import { ReadableSpan } from '@opentelemetry/sdk-trace-base';
import { O as OTLPCloudflareExporterBaseConfig, a as OTLPCloudflareExporterBase } from '../OTLPCloudflareExporterBase-Df0nMjbf.js';
import '@opentelemetry/core';
import '@opentelemetry/otlp-exporter-base';

interface OTLPProtoTraceExporterConfig extends OTLPCloudflareExporterBaseConfig {
}
declare class OTLPProtoTraceExporter extends OTLPCloudflareExporterBase<OTLPProtoTraceExporterConfig, ReadableSpan, Uint8Array> {
    static fromEnv(env: Record<string, unknown>): OTLPProtoTraceExporter;
    constructor(config: OTLPProtoTraceExporterConfig);
    contentType: string;
    convert(spans: ReadableSpan[]): Uint8Array;
    getUrl(config: OTLPCloudflareExporterBaseConfig): string;
}

export { OTLPProtoTraceExporter, type OTLPProtoTraceExporterConfig };
