import {
  __commonJS,
  __require,
  __toESM
} from "./chunk-Q4N4RHTN.js";

// node_modules/@protobufjs/aspromise/index.js
var require_aspromise = __commonJS({
  "node_modules/@protobufjs/aspromise/index.js"(exports, module) {
    "use strict";
    module.exports = asPromise;
    function asPromise(fn, ctx) {
      var params = new Array(arguments.length - 1), offset = 0, index = 2, pending = true;
      while (index < arguments.length)
        params[offset++] = arguments[index++];
      return new Promise(function executor(resolve, reject) {
        params[offset] = function callback(err) {
          if (pending) {
            pending = false;
            if (err)
              reject(err);
            else {
              var params2 = new Array(arguments.length - 1), offset2 = 0;
              while (offset2 < params2.length)
                params2[offset2++] = arguments[offset2];
              resolve.apply(null, params2);
            }
          }
        };
        try {
          fn.apply(ctx || null, params);
        } catch (err) {
          if (pending) {
            pending = false;
            reject(err);
          }
        }
      });
    }
  }
});

// node_modules/@protobufjs/base64/index.js
var require_base64 = __commonJS({
  "node_modules/@protobufjs/base64/index.js"(exports) {
    "use strict";
    var base64 = exports;
    base64.length = function length(string) {
      var p = string.length;
      if (!p)
        return 0;
      var n = 0;
      while (--p % 4 > 1 && string.charAt(p) === "=")
        ++n;
      return Math.ceil(string.length * 3) / 4 - n;
    };
    var b64 = new Array(64);
    var s64 = new Array(123);
    for (i = 0; i < 64; )
      s64[b64[i] = i < 26 ? i + 65 : i < 52 ? i + 71 : i < 62 ? i - 4 : i - 59 | 43] = i++;
    var i;
    base64.encode = function encode(buffer, start, end) {
      var parts = null, chunk = [];
      var i2 = 0, j = 0, t;
      while (start < end) {
        var b = buffer[start++];
        switch (j) {
          case 0:
            chunk[i2++] = b64[b >> 2];
            t = (b & 3) << 4;
            j = 1;
            break;
          case 1:
            chunk[i2++] = b64[t | b >> 4];
            t = (b & 15) << 2;
            j = 2;
            break;
          case 2:
            chunk[i2++] = b64[t | b >> 6];
            chunk[i2++] = b64[b & 63];
            j = 0;
            break;
        }
        if (i2 > 8191) {
          (parts || (parts = [])).push(String.fromCharCode.apply(String, chunk));
          i2 = 0;
        }
      }
      if (j) {
        chunk[i2++] = b64[t];
        chunk[i2++] = 61;
        if (j === 1)
          chunk[i2++] = 61;
      }
      if (parts) {
        if (i2)
          parts.push(String.fromCharCode.apply(String, chunk.slice(0, i2)));
        return parts.join("");
      }
      return String.fromCharCode.apply(String, chunk.slice(0, i2));
    };
    var invalidEncoding = "invalid encoding";
    base64.decode = function decode(string, buffer, offset) {
      var start = offset;
      var j = 0, t;
      for (var i2 = 0; i2 < string.length; ) {
        var c = string.charCodeAt(i2++);
        if (c === 61 && j > 1)
          break;
        if ((c = s64[c]) === void 0)
          throw Error(invalidEncoding);
        switch (j) {
          case 0:
            t = c;
            j = 1;
            break;
          case 1:
            buffer[offset++] = t << 2 | (c & 48) >> 4;
            t = c;
            j = 2;
            break;
          case 2:
            buffer[offset++] = (t & 15) << 4 | (c & 60) >> 2;
            t = c;
            j = 3;
            break;
          case 3:
            buffer[offset++] = (t & 3) << 6 | c;
            j = 0;
            break;
        }
      }
      if (j === 1)
        throw Error(invalidEncoding);
      return offset - start;
    };
    base64.test = function test(string) {
      return /^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/.test(string);
    };
  }
});

// node_modules/@protobufjs/eventemitter/index.js
var require_eventemitter = __commonJS({
  "node_modules/@protobufjs/eventemitter/index.js"(exports, module) {
    "use strict";
    module.exports = EventEmitter;
    function EventEmitter() {
      this._listeners = {};
    }
    EventEmitter.prototype.on = function on(evt, fn, ctx) {
      (this._listeners[evt] || (this._listeners[evt] = [])).push({
        fn,
        ctx: ctx || this
      });
      return this;
    };
    EventEmitter.prototype.off = function off(evt, fn) {
      if (evt === void 0)
        this._listeners = {};
      else {
        if (fn === void 0)
          this._listeners[evt] = [];
        else {
          var listeners = this._listeners[evt];
          for (var i = 0; i < listeners.length; )
            if (listeners[i].fn === fn)
              listeners.splice(i, 1);
            else
              ++i;
        }
      }
      return this;
    };
    EventEmitter.prototype.emit = function emit(evt) {
      var listeners = this._listeners[evt];
      if (listeners) {
        var args = [], i = 1;
        for (; i < arguments.length; )
          args.push(arguments[i++]);
        for (i = 0; i < listeners.length; )
          listeners[i].fn.apply(listeners[i++].ctx, args);
      }
      return this;
    };
  }
});

// node_modules/@protobufjs/float/index.js
var require_float = __commonJS({
  "node_modules/@protobufjs/float/index.js"(exports, module) {
    "use strict";
    module.exports = factory(factory);
    function factory(exports2) {
      if (typeof Float32Array !== "undefined")
        (function() {
          var f32 = new Float32Array([-0]), f8b = new Uint8Array(f32.buffer), le = f8b[3] === 128;
          function writeFloat_f32_cpy(val, buf, pos) {
            f32[0] = val;
            buf[pos] = f8b[0];
            buf[pos + 1] = f8b[1];
            buf[pos + 2] = f8b[2];
            buf[pos + 3] = f8b[3];
          }
          function writeFloat_f32_rev(val, buf, pos) {
            f32[0] = val;
            buf[pos] = f8b[3];
            buf[pos + 1] = f8b[2];
            buf[pos + 2] = f8b[1];
            buf[pos + 3] = f8b[0];
          }
          exports2.writeFloatLE = le ? writeFloat_f32_cpy : writeFloat_f32_rev;
          exports2.writeFloatBE = le ? writeFloat_f32_rev : writeFloat_f32_cpy;
          function readFloat_f32_cpy(buf, pos) {
            f8b[0] = buf[pos];
            f8b[1] = buf[pos + 1];
            f8b[2] = buf[pos + 2];
            f8b[3] = buf[pos + 3];
            return f32[0];
          }
          function readFloat_f32_rev(buf, pos) {
            f8b[3] = buf[pos];
            f8b[2] = buf[pos + 1];
            f8b[1] = buf[pos + 2];
            f8b[0] = buf[pos + 3];
            return f32[0];
          }
          exports2.readFloatLE = le ? readFloat_f32_cpy : readFloat_f32_rev;
          exports2.readFloatBE = le ? readFloat_f32_rev : readFloat_f32_cpy;
        })();
      else
        (function() {
          function writeFloat_ieee754(writeUint, val, buf, pos) {
            var sign = val < 0 ? 1 : 0;
            if (sign)
              val = -val;
            if (val === 0)
              writeUint(1 / val > 0 ? (
                /* positive */
                0
              ) : (
                /* negative 0 */
                2147483648
              ), buf, pos);
            else if (isNaN(val))
              writeUint(2143289344, buf, pos);
            else if (val > 34028234663852886e22)
              writeUint((sign << 31 | 2139095040) >>> 0, buf, pos);
            else if (val < 11754943508222875e-54)
              writeUint((sign << 31 | Math.round(val / 1401298464324817e-60)) >>> 0, buf, pos);
            else {
              var exponent = Math.floor(Math.log(val) / Math.LN2), mantissa = Math.round(val * Math.pow(2, -exponent) * 8388608) & 8388607;
              writeUint((sign << 31 | exponent + 127 << 23 | mantissa) >>> 0, buf, pos);
            }
          }
          exports2.writeFloatLE = writeFloat_ieee754.bind(null, writeUintLE);
          exports2.writeFloatBE = writeFloat_ieee754.bind(null, writeUintBE);
          function readFloat_ieee754(readUint, buf, pos) {
            var uint = readUint(buf, pos), sign = (uint >> 31) * 2 + 1, exponent = uint >>> 23 & 255, mantissa = uint & 8388607;
            return exponent === 255 ? mantissa ? NaN : sign * Infinity : exponent === 0 ? sign * 1401298464324817e-60 * mantissa : sign * Math.pow(2, exponent - 150) * (mantissa + 8388608);
          }
          exports2.readFloatLE = readFloat_ieee754.bind(null, readUintLE);
          exports2.readFloatBE = readFloat_ieee754.bind(null, readUintBE);
        })();
      if (typeof Float64Array !== "undefined")
        (function() {
          var f64 = new Float64Array([-0]), f8b = new Uint8Array(f64.buffer), le = f8b[7] === 128;
          function writeDouble_f64_cpy(val, buf, pos) {
            f64[0] = val;
            buf[pos] = f8b[0];
            buf[pos + 1] = f8b[1];
            buf[pos + 2] = f8b[2];
            buf[pos + 3] = f8b[3];
            buf[pos + 4] = f8b[4];
            buf[pos + 5] = f8b[5];
            buf[pos + 6] = f8b[6];
            buf[pos + 7] = f8b[7];
          }
          function writeDouble_f64_rev(val, buf, pos) {
            f64[0] = val;
            buf[pos] = f8b[7];
            buf[pos + 1] = f8b[6];
            buf[pos + 2] = f8b[5];
            buf[pos + 3] = f8b[4];
            buf[pos + 4] = f8b[3];
            buf[pos + 5] = f8b[2];
            buf[pos + 6] = f8b[1];
            buf[pos + 7] = f8b[0];
          }
          exports2.writeDoubleLE = le ? writeDouble_f64_cpy : writeDouble_f64_rev;
          exports2.writeDoubleBE = le ? writeDouble_f64_rev : writeDouble_f64_cpy;
          function readDouble_f64_cpy(buf, pos) {
            f8b[0] = buf[pos];
            f8b[1] = buf[pos + 1];
            f8b[2] = buf[pos + 2];
            f8b[3] = buf[pos + 3];
            f8b[4] = buf[pos + 4];
            f8b[5] = buf[pos + 5];
            f8b[6] = buf[pos + 6];
            f8b[7] = buf[pos + 7];
            return f64[0];
          }
          function readDouble_f64_rev(buf, pos) {
            f8b[7] = buf[pos];
            f8b[6] = buf[pos + 1];
            f8b[5] = buf[pos + 2];
            f8b[4] = buf[pos + 3];
            f8b[3] = buf[pos + 4];
            f8b[2] = buf[pos + 5];
            f8b[1] = buf[pos + 6];
            f8b[0] = buf[pos + 7];
            return f64[0];
          }
          exports2.readDoubleLE = le ? readDouble_f64_cpy : readDouble_f64_rev;
          exports2.readDoubleBE = le ? readDouble_f64_rev : readDouble_f64_cpy;
        })();
      else
        (function() {
          function writeDouble_ieee754(writeUint, off0, off1, val, buf, pos) {
            var sign = val < 0 ? 1 : 0;
            if (sign)
              val = -val;
            if (val === 0) {
              writeUint(0, buf, pos + off0);
              writeUint(1 / val > 0 ? (
                /* positive */
                0
              ) : (
                /* negative 0 */
                2147483648
              ), buf, pos + off1);
            } else if (isNaN(val)) {
              writeUint(0, buf, pos + off0);
              writeUint(2146959360, buf, pos + off1);
            } else if (val > 17976931348623157e292) {
              writeUint(0, buf, pos + off0);
              writeUint((sign << 31 | 2146435072) >>> 0, buf, pos + off1);
            } else {
              var mantissa;
              if (val < 22250738585072014e-324) {
                mantissa = val / 5e-324;
                writeUint(mantissa >>> 0, buf, pos + off0);
                writeUint((sign << 31 | mantissa / 4294967296) >>> 0, buf, pos + off1);
              } else {
                var exponent = Math.floor(Math.log(val) / Math.LN2);
                if (exponent === 1024)
                  exponent = 1023;
                mantissa = val * Math.pow(2, -exponent);
                writeUint(mantissa * 4503599627370496 >>> 0, buf, pos + off0);
                writeUint((sign << 31 | exponent + 1023 << 20 | mantissa * 1048576 & 1048575) >>> 0, buf, pos + off1);
              }
            }
          }
          exports2.writeDoubleLE = writeDouble_ieee754.bind(null, writeUintLE, 0, 4);
          exports2.writeDoubleBE = writeDouble_ieee754.bind(null, writeUintBE, 4, 0);
          function readDouble_ieee754(readUint, off0, off1, buf, pos) {
            var lo = readUint(buf, pos + off0), hi = readUint(buf, pos + off1);
            var sign = (hi >> 31) * 2 + 1, exponent = hi >>> 20 & 2047, mantissa = 4294967296 * (hi & 1048575) + lo;
            return exponent === 2047 ? mantissa ? NaN : sign * Infinity : exponent === 0 ? sign * 5e-324 * mantissa : sign * Math.pow(2, exponent - 1075) * (mantissa + 4503599627370496);
          }
          exports2.readDoubleLE = readDouble_ieee754.bind(null, readUintLE, 0, 4);
          exports2.readDoubleBE = readDouble_ieee754.bind(null, readUintBE, 4, 0);
        })();
      return exports2;
    }
    function writeUintLE(val, buf, pos) {
      buf[pos] = val & 255;
      buf[pos + 1] = val >>> 8 & 255;
      buf[pos + 2] = val >>> 16 & 255;
      buf[pos + 3] = val >>> 24;
    }
    function writeUintBE(val, buf, pos) {
      buf[pos] = val >>> 24;
      buf[pos + 1] = val >>> 16 & 255;
      buf[pos + 2] = val >>> 8 & 255;
      buf[pos + 3] = val & 255;
    }
    function readUintLE(buf, pos) {
      return (buf[pos] | buf[pos + 1] << 8 | buf[pos + 2] << 16 | buf[pos + 3] << 24) >>> 0;
    }
    function readUintBE(buf, pos) {
      return (buf[pos] << 24 | buf[pos + 1] << 16 | buf[pos + 2] << 8 | buf[pos + 3]) >>> 0;
    }
  }
});

// node_modules/@protobufjs/utf8/index.js
var require_utf8 = __commonJS({
  "node_modules/@protobufjs/utf8/index.js"(exports) {
    "use strict";
    var utf8 = exports;
    utf8.length = function utf8_length(string) {
      var len = 0, c = 0;
      for (var i = 0; i < string.length; ++i) {
        c = string.charCodeAt(i);
        if (c < 128)
          len += 1;
        else if (c < 2048)
          len += 2;
        else if ((c & 64512) === 55296 && (string.charCodeAt(i + 1) & 64512) === 56320) {
          ++i;
          len += 4;
        } else
          len += 3;
      }
      return len;
    };
    utf8.read = function utf8_read(buffer, start, end) {
      var len = end - start;
      if (len < 1)
        return "";
      var parts = null, chunk = [], i = 0, t;
      while (start < end) {
        t = buffer[start++];
        if (t < 128)
          chunk[i++] = t;
        else if (t > 191 && t < 224)
          chunk[i++] = (t & 31) << 6 | buffer[start++] & 63;
        else if (t > 239 && t < 365) {
          t = ((t & 7) << 18 | (buffer[start++] & 63) << 12 | (buffer[start++] & 63) << 6 | buffer[start++] & 63) - 65536;
          chunk[i++] = 55296 + (t >> 10);
          chunk[i++] = 56320 + (t & 1023);
        } else
          chunk[i++] = (t & 15) << 12 | (buffer[start++] & 63) << 6 | buffer[start++] & 63;
        if (i > 8191) {
          (parts || (parts = [])).push(String.fromCharCode.apply(String, chunk));
          i = 0;
        }
      }
      if (parts) {
        if (i)
          parts.push(String.fromCharCode.apply(String, chunk.slice(0, i)));
        return parts.join("");
      }
      return String.fromCharCode.apply(String, chunk.slice(0, i));
    };
    utf8.write = function utf8_write(string, buffer, offset) {
      var start = offset, c1, c2;
      for (var i = 0; i < string.length; ++i) {
        c1 = string.charCodeAt(i);
        if (c1 < 128) {
          buffer[offset++] = c1;
        } else if (c1 < 2048) {
          buffer[offset++] = c1 >> 6 | 192;
          buffer[offset++] = c1 & 63 | 128;
        } else if ((c1 & 64512) === 55296 && ((c2 = string.charCodeAt(i + 1)) & 64512) === 56320) {
          c1 = 65536 + ((c1 & 1023) << 10) + (c2 & 1023);
          ++i;
          buffer[offset++] = c1 >> 18 | 240;
          buffer[offset++] = c1 >> 12 & 63 | 128;
          buffer[offset++] = c1 >> 6 & 63 | 128;
          buffer[offset++] = c1 & 63 | 128;
        } else {
          buffer[offset++] = c1 >> 12 | 224;
          buffer[offset++] = c1 >> 6 & 63 | 128;
          buffer[offset++] = c1 & 63 | 128;
        }
      }
      return offset - start;
    };
  }
});

// node_modules/@protobufjs/pool/index.js
var require_pool = __commonJS({
  "node_modules/@protobufjs/pool/index.js"(exports, module) {
    "use strict";
    module.exports = pool;
    function pool(alloc, slice, size) {
      var SIZE = size || 8192;
      var MAX = SIZE >>> 1;
      var slab = null;
      var offset = SIZE;
      return function pool_alloc(size2) {
        if (size2 < 1 || size2 > MAX)
          return alloc(size2);
        if (offset + size2 > SIZE) {
          slab = alloc(SIZE);
          offset = 0;
        }
        var buf = slice.call(slab, offset, offset += size2);
        if (offset & 7)
          offset = (offset | 7) + 1;
        return buf;
      };
    }
  }
});

// node_modules/protobufjs/src/util/longbits.js
var require_longbits = __commonJS({
  "node_modules/protobufjs/src/util/longbits.js"(exports, module) {
    "use strict";
    module.exports = LongBits;
    var util2 = require_minimal();
    function LongBits(lo, hi) {
      this.lo = lo >>> 0;
      this.hi = hi >>> 0;
    }
    var zero = LongBits.zero = new LongBits(0, 0);
    zero.toNumber = function() {
      return 0;
    };
    zero.zzEncode = zero.zzDecode = function() {
      return this;
    };
    zero.length = function() {
      return 1;
    };
    var zeroHash = LongBits.zeroHash = "\0\0\0\0\0\0\0\0";
    LongBits.fromNumber = function fromNumber(value) {
      if (value === 0)
        return zero;
      var sign = value < 0;
      if (sign)
        value = -value;
      var lo = value >>> 0, hi = (value - lo) / 4294967296 >>> 0;
      if (sign) {
        hi = ~hi >>> 0;
        lo = ~lo >>> 0;
        if (++lo > 4294967295) {
          lo = 0;
          if (++hi > 4294967295)
            hi = 0;
        }
      }
      return new LongBits(lo, hi);
    };
    LongBits.from = function from(value) {
      if (typeof value === "number")
        return LongBits.fromNumber(value);
      if (util2.isString(value)) {
        if (util2.Long)
          value = util2.Long.fromString(value);
        else
          return LongBits.fromNumber(parseInt(value, 10));
      }
      return value.low || value.high ? new LongBits(value.low >>> 0, value.high >>> 0) : zero;
    };
    LongBits.prototype.toNumber = function toNumber(unsigned) {
      if (!unsigned && this.hi >>> 31) {
        var lo = ~this.lo + 1 >>> 0, hi = ~this.hi >>> 0;
        if (!lo)
          hi = hi + 1 >>> 0;
        return -(lo + hi * 4294967296);
      }
      return this.lo + this.hi * 4294967296;
    };
    LongBits.prototype.toLong = function toLong(unsigned) {
      return util2.Long ? new util2.Long(this.lo | 0, this.hi | 0, Boolean(unsigned)) : { low: this.lo | 0, high: this.hi | 0, unsigned: Boolean(unsigned) };
    };
    var charCodeAt = String.prototype.charCodeAt;
    LongBits.fromHash = function fromHash(hash) {
      if (hash === zeroHash)
        return zero;
      return new LongBits(
        (charCodeAt.call(hash, 0) | charCodeAt.call(hash, 1) << 8 | charCodeAt.call(hash, 2) << 16 | charCodeAt.call(hash, 3) << 24) >>> 0,
        (charCodeAt.call(hash, 4) | charCodeAt.call(hash, 5) << 8 | charCodeAt.call(hash, 6) << 16 | charCodeAt.call(hash, 7) << 24) >>> 0
      );
    };
    LongBits.prototype.toHash = function toHash() {
      return String.fromCharCode(
        this.lo & 255,
        this.lo >>> 8 & 255,
        this.lo >>> 16 & 255,
        this.lo >>> 24,
        this.hi & 255,
        this.hi >>> 8 & 255,
        this.hi >>> 16 & 255,
        this.hi >>> 24
      );
    };
    LongBits.prototype.zzEncode = function zzEncode() {
      var mask = this.hi >> 31;
      this.hi = ((this.hi << 1 | this.lo >>> 31) ^ mask) >>> 0;
      this.lo = (this.lo << 1 ^ mask) >>> 0;
      return this;
    };
    LongBits.prototype.zzDecode = function zzDecode() {
      var mask = -(this.lo & 1);
      this.lo = ((this.lo >>> 1 | this.hi << 31) ^ mask) >>> 0;
      this.hi = (this.hi >>> 1 ^ mask) >>> 0;
      return this;
    };
    LongBits.prototype.length = function length() {
      var part0 = this.lo, part1 = (this.lo >>> 28 | this.hi << 4) >>> 0, part2 = this.hi >>> 24;
      return part2 === 0 ? part1 === 0 ? part0 < 16384 ? part0 < 128 ? 1 : 2 : part0 < 2097152 ? 3 : 4 : part1 < 16384 ? part1 < 128 ? 5 : 6 : part1 < 2097152 ? 7 : 8 : part2 < 128 ? 9 : 10;
    };
  }
});

// node_modules/long/umd/index.js
var require_umd = __commonJS({
  "node_modules/long/umd/index.js"(exports, module) {
    var Long = function(exports2) {
      "use strict";
      Object.defineProperty(exports2, "__esModule", {
        value: true
      });
      exports2.default = void 0;
      var wasm = null;
      try {
        wasm = new WebAssembly.Instance(new WebAssembly.Module(new Uint8Array([0, 97, 115, 109, 1, 0, 0, 0, 1, 13, 2, 96, 0, 1, 127, 96, 4, 127, 127, 127, 127, 1, 127, 3, 7, 6, 0, 1, 1, 1, 1, 1, 6, 6, 1, 127, 1, 65, 0, 11, 7, 50, 6, 3, 109, 117, 108, 0, 1, 5, 100, 105, 118, 95, 115, 0, 2, 5, 100, 105, 118, 95, 117, 0, 3, 5, 114, 101, 109, 95, 115, 0, 4, 5, 114, 101, 109, 95, 117, 0, 5, 8, 103, 101, 116, 95, 104, 105, 103, 104, 0, 0, 10, 191, 1, 6, 4, 0, 35, 0, 11, 36, 1, 1, 126, 32, 0, 173, 32, 1, 173, 66, 32, 134, 132, 32, 2, 173, 32, 3, 173, 66, 32, 134, 132, 126, 34, 4, 66, 32, 135, 167, 36, 0, 32, 4, 167, 11, 36, 1, 1, 126, 32, 0, 173, 32, 1, 173, 66, 32, 134, 132, 32, 2, 173, 32, 3, 173, 66, 32, 134, 132, 127, 34, 4, 66, 32, 135, 167, 36, 0, 32, 4, 167, 11, 36, 1, 1, 126, 32, 0, 173, 32, 1, 173, 66, 32, 134, 132, 32, 2, 173, 32, 3, 173, 66, 32, 134, 132, 128, 34, 4, 66, 32, 135, 167, 36, 0, 32, 4, 167, 11, 36, 1, 1, 126, 32, 0, 173, 32, 1, 173, 66, 32, 134, 132, 32, 2, 173, 32, 3, 173, 66, 32, 134, 132, 129, 34, 4, 66, 32, 135, 167, 36, 0, 32, 4, 167, 11, 36, 1, 1, 126, 32, 0, 173, 32, 1, 173, 66, 32, 134, 132, 32, 2, 173, 32, 3, 173, 66, 32, 134, 132, 130, 34, 4, 66, 32, 135, 167, 36, 0, 32, 4, 167, 11])), {}).exports;
      } catch (e) {
      }
      function Long2(low, high, unsigned) {
        this.low = low | 0;
        this.high = high | 0;
        this.unsigned = !!unsigned;
      }
      Long2.prototype.__isLong__;
      Object.defineProperty(Long2.prototype, "__isLong__", {
        value: true
      });
      function isLong(obj) {
        return (obj && obj["__isLong__"]) === true;
      }
      function ctz32(value) {
        var c = Math.clz32(value & -value);
        return value ? 31 - c : c;
      }
      Long2.isLong = isLong;
      var INT_CACHE = {};
      var UINT_CACHE = {};
      function fromInt(value, unsigned) {
        var obj, cachedObj, cache;
        if (unsigned) {
          value >>>= 0;
          if (cache = 0 <= value && value < 256) {
            cachedObj = UINT_CACHE[value];
            if (cachedObj)
              return cachedObj;
          }
          obj = fromBits(value, 0, true);
          if (cache)
            UINT_CACHE[value] = obj;
          return obj;
        } else {
          value |= 0;
          if (cache = -128 <= value && value < 128) {
            cachedObj = INT_CACHE[value];
            if (cachedObj)
              return cachedObj;
          }
          obj = fromBits(value, value < 0 ? -1 : 0, false);
          if (cache)
            INT_CACHE[value] = obj;
          return obj;
        }
      }
      Long2.fromInt = fromInt;
      function fromNumber(value, unsigned) {
        if (isNaN(value))
          return unsigned ? UZERO : ZERO;
        if (unsigned) {
          if (value < 0)
            return UZERO;
          if (value >= TWO_PWR_64_DBL)
            return MAX_UNSIGNED_VALUE;
        } else {
          if (value <= -TWO_PWR_63_DBL)
            return MIN_VALUE;
          if (value + 1 >= TWO_PWR_63_DBL)
            return MAX_VALUE;
        }
        if (value < 0)
          return fromNumber(-value, unsigned).neg();
        return fromBits(value % TWO_PWR_32_DBL | 0, value / TWO_PWR_32_DBL | 0, unsigned);
      }
      Long2.fromNumber = fromNumber;
      function fromBits(lowBits, highBits, unsigned) {
        return new Long2(lowBits, highBits, unsigned);
      }
      Long2.fromBits = fromBits;
      var pow_dbl = Math.pow;
      function fromString(str, unsigned, radix) {
        if (str.length === 0)
          throw Error("empty string");
        if (typeof unsigned === "number") {
          radix = unsigned;
          unsigned = false;
        } else {
          unsigned = !!unsigned;
        }
        if (str === "NaN" || str === "Infinity" || str === "+Infinity" || str === "-Infinity")
          return unsigned ? UZERO : ZERO;
        radix = radix || 10;
        if (radix < 2 || 36 < radix)
          throw RangeError("radix");
        var p;
        if ((p = str.indexOf("-")) > 0)
          throw Error("interior hyphen");
        else if (p === 0) {
          return fromString(str.substring(1), unsigned, radix).neg();
        }
        var radixToPower = fromNumber(pow_dbl(radix, 8));
        var result = ZERO;
        for (var i = 0; i < str.length; i += 8) {
          var size = Math.min(8, str.length - i), value = parseInt(str.substring(i, i + size), radix);
          if (size < 8) {
            var power = fromNumber(pow_dbl(radix, size));
            result = result.mul(power).add(fromNumber(value));
          } else {
            result = result.mul(radixToPower);
            result = result.add(fromNumber(value));
          }
        }
        result.unsigned = unsigned;
        return result;
      }
      Long2.fromString = fromString;
      function fromValue(val, unsigned) {
        if (typeof val === "number")
          return fromNumber(val, unsigned);
        if (typeof val === "string")
          return fromString(val, unsigned);
        return fromBits(val.low, val.high, typeof unsigned === "boolean" ? unsigned : val.unsigned);
      }
      Long2.fromValue = fromValue;
      var TWO_PWR_16_DBL = 1 << 16;
      var TWO_PWR_24_DBL = 1 << 24;
      var TWO_PWR_32_DBL = TWO_PWR_16_DBL * TWO_PWR_16_DBL;
      var TWO_PWR_64_DBL = TWO_PWR_32_DBL * TWO_PWR_32_DBL;
      var TWO_PWR_63_DBL = TWO_PWR_64_DBL / 2;
      var TWO_PWR_24 = fromInt(TWO_PWR_24_DBL);
      var ZERO = fromInt(0);
      Long2.ZERO = ZERO;
      var UZERO = fromInt(0, true);
      Long2.UZERO = UZERO;
      var ONE = fromInt(1);
      Long2.ONE = ONE;
      var UONE = fromInt(1, true);
      Long2.UONE = UONE;
      var NEG_ONE = fromInt(-1);
      Long2.NEG_ONE = NEG_ONE;
      var MAX_VALUE = fromBits(4294967295 | 0, 2147483647 | 0, false);
      Long2.MAX_VALUE = MAX_VALUE;
      var MAX_UNSIGNED_VALUE = fromBits(4294967295 | 0, 4294967295 | 0, true);
      Long2.MAX_UNSIGNED_VALUE = MAX_UNSIGNED_VALUE;
      var MIN_VALUE = fromBits(0, 2147483648 | 0, false);
      Long2.MIN_VALUE = MIN_VALUE;
      var LongPrototype = Long2.prototype;
      LongPrototype.toInt = function toInt() {
        return this.unsigned ? this.low >>> 0 : this.low;
      };
      LongPrototype.toNumber = function toNumber() {
        if (this.unsigned)
          return (this.high >>> 0) * TWO_PWR_32_DBL + (this.low >>> 0);
        return this.high * TWO_PWR_32_DBL + (this.low >>> 0);
      };
      LongPrototype.toString = function toString(radix) {
        radix = radix || 10;
        if (radix < 2 || 36 < radix)
          throw RangeError("radix");
        if (this.isZero())
          return "0";
        if (this.isNegative()) {
          if (this.eq(MIN_VALUE)) {
            var radixLong = fromNumber(radix), div = this.div(radixLong), rem1 = div.mul(radixLong).sub(this);
            return div.toString(radix) + rem1.toInt().toString(radix);
          } else
            return "-" + this.neg().toString(radix);
        }
        var radixToPower = fromNumber(pow_dbl(radix, 6), this.unsigned), rem = this;
        var result = "";
        while (true) {
          var remDiv = rem.div(radixToPower), intval = rem.sub(remDiv.mul(radixToPower)).toInt() >>> 0, digits = intval.toString(radix);
          rem = remDiv;
          if (rem.isZero())
            return digits + result;
          else {
            while (digits.length < 6)
              digits = "0" + digits;
            result = "" + digits + result;
          }
        }
      };
      LongPrototype.getHighBits = function getHighBits() {
        return this.high;
      };
      LongPrototype.getHighBitsUnsigned = function getHighBitsUnsigned() {
        return this.high >>> 0;
      };
      LongPrototype.getLowBits = function getLowBits() {
        return this.low;
      };
      LongPrototype.getLowBitsUnsigned = function getLowBitsUnsigned() {
        return this.low >>> 0;
      };
      LongPrototype.getNumBitsAbs = function getNumBitsAbs() {
        if (this.isNegative())
          return this.eq(MIN_VALUE) ? 64 : this.neg().getNumBitsAbs();
        var val = this.high != 0 ? this.high : this.low;
        for (var bit = 31; bit > 0; bit--)
          if ((val & 1 << bit) != 0)
            break;
        return this.high != 0 ? bit + 33 : bit + 1;
      };
      LongPrototype.isZero = function isZero() {
        return this.high === 0 && this.low === 0;
      };
      LongPrototype.eqz = LongPrototype.isZero;
      LongPrototype.isNegative = function isNegative() {
        return !this.unsigned && this.high < 0;
      };
      LongPrototype.isPositive = function isPositive() {
        return this.unsigned || this.high >= 0;
      };
      LongPrototype.isOdd = function isOdd() {
        return (this.low & 1) === 1;
      };
      LongPrototype.isEven = function isEven() {
        return (this.low & 1) === 0;
      };
      LongPrototype.equals = function equals(other) {
        if (!isLong(other))
          other = fromValue(other);
        if (this.unsigned !== other.unsigned && this.high >>> 31 === 1 && other.high >>> 31 === 1)
          return false;
        return this.high === other.high && this.low === other.low;
      };
      LongPrototype.eq = LongPrototype.equals;
      LongPrototype.notEquals = function notEquals(other) {
        return !this.eq(
          /* validates */
          other
        );
      };
      LongPrototype.neq = LongPrototype.notEquals;
      LongPrototype.ne = LongPrototype.notEquals;
      LongPrototype.lessThan = function lessThan(other) {
        return this.comp(
          /* validates */
          other
        ) < 0;
      };
      LongPrototype.lt = LongPrototype.lessThan;
      LongPrototype.lessThanOrEqual = function lessThanOrEqual(other) {
        return this.comp(
          /* validates */
          other
        ) <= 0;
      };
      LongPrototype.lte = LongPrototype.lessThanOrEqual;
      LongPrototype.le = LongPrototype.lessThanOrEqual;
      LongPrototype.greaterThan = function greaterThan(other) {
        return this.comp(
          /* validates */
          other
        ) > 0;
      };
      LongPrototype.gt = LongPrototype.greaterThan;
      LongPrototype.greaterThanOrEqual = function greaterThanOrEqual(other) {
        return this.comp(
          /* validates */
          other
        ) >= 0;
      };
      LongPrototype.gte = LongPrototype.greaterThanOrEqual;
      LongPrototype.ge = LongPrototype.greaterThanOrEqual;
      LongPrototype.compare = function compare(other) {
        if (!isLong(other))
          other = fromValue(other);
        if (this.eq(other))
          return 0;
        var thisNeg = this.isNegative(), otherNeg = other.isNegative();
        if (thisNeg && !otherNeg)
          return -1;
        if (!thisNeg && otherNeg)
          return 1;
        if (!this.unsigned)
          return this.sub(other).isNegative() ? -1 : 1;
        return other.high >>> 0 > this.high >>> 0 || other.high === this.high && other.low >>> 0 > this.low >>> 0 ? -1 : 1;
      };
      LongPrototype.comp = LongPrototype.compare;
      LongPrototype.negate = function negate() {
        if (!this.unsigned && this.eq(MIN_VALUE))
          return MIN_VALUE;
        return this.not().add(ONE);
      };
      LongPrototype.neg = LongPrototype.negate;
      LongPrototype.add = function add(addend) {
        if (!isLong(addend))
          addend = fromValue(addend);
        var a48 = this.high >>> 16;
        var a32 = this.high & 65535;
        var a16 = this.low >>> 16;
        var a00 = this.low & 65535;
        var b48 = addend.high >>> 16;
        var b32 = addend.high & 65535;
        var b16 = addend.low >>> 16;
        var b00 = addend.low & 65535;
        var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
        c00 += a00 + b00;
        c16 += c00 >>> 16;
        c00 &= 65535;
        c16 += a16 + b16;
        c32 += c16 >>> 16;
        c16 &= 65535;
        c32 += a32 + b32;
        c48 += c32 >>> 16;
        c32 &= 65535;
        c48 += a48 + b48;
        c48 &= 65535;
        return fromBits(c16 << 16 | c00, c48 << 16 | c32, this.unsigned);
      };
      LongPrototype.subtract = function subtract(subtrahend) {
        if (!isLong(subtrahend))
          subtrahend = fromValue(subtrahend);
        return this.add(subtrahend.neg());
      };
      LongPrototype.sub = LongPrototype.subtract;
      LongPrototype.multiply = function multiply(multiplier) {
        if (this.isZero())
          return this;
        if (!isLong(multiplier))
          multiplier = fromValue(multiplier);
        if (wasm) {
          var low = wasm["mul"](this.low, this.high, multiplier.low, multiplier.high);
          return fromBits(low, wasm["get_high"](), this.unsigned);
        }
        if (multiplier.isZero())
          return this.unsigned ? UZERO : ZERO;
        if (this.eq(MIN_VALUE))
          return multiplier.isOdd() ? MIN_VALUE : ZERO;
        if (multiplier.eq(MIN_VALUE))
          return this.isOdd() ? MIN_VALUE : ZERO;
        if (this.isNegative()) {
          if (multiplier.isNegative())
            return this.neg().mul(multiplier.neg());
          else
            return this.neg().mul(multiplier).neg();
        } else if (multiplier.isNegative())
          return this.mul(multiplier.neg()).neg();
        if (this.lt(TWO_PWR_24) && multiplier.lt(TWO_PWR_24))
          return fromNumber(this.toNumber() * multiplier.toNumber(), this.unsigned);
        var a48 = this.high >>> 16;
        var a32 = this.high & 65535;
        var a16 = this.low >>> 16;
        var a00 = this.low & 65535;
        var b48 = multiplier.high >>> 16;
        var b32 = multiplier.high & 65535;
        var b16 = multiplier.low >>> 16;
        var b00 = multiplier.low & 65535;
        var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
        c00 += a00 * b00;
        c16 += c00 >>> 16;
        c00 &= 65535;
        c16 += a16 * b00;
        c32 += c16 >>> 16;
        c16 &= 65535;
        c16 += a00 * b16;
        c32 += c16 >>> 16;
        c16 &= 65535;
        c32 += a32 * b00;
        c48 += c32 >>> 16;
        c32 &= 65535;
        c32 += a16 * b16;
        c48 += c32 >>> 16;
        c32 &= 65535;
        c32 += a00 * b32;
        c48 += c32 >>> 16;
        c32 &= 65535;
        c48 += a48 * b00 + a32 * b16 + a16 * b32 + a00 * b48;
        c48 &= 65535;
        return fromBits(c16 << 16 | c00, c48 << 16 | c32, this.unsigned);
      };
      LongPrototype.mul = LongPrototype.multiply;
      LongPrototype.divide = function divide(divisor) {
        if (!isLong(divisor))
          divisor = fromValue(divisor);
        if (divisor.isZero())
          throw Error("division by zero");
        if (wasm) {
          if (!this.unsigned && this.high === -2147483648 && divisor.low === -1 && divisor.high === -1) {
            return this;
          }
          var low = (this.unsigned ? wasm["div_u"] : wasm["div_s"])(this.low, this.high, divisor.low, divisor.high);
          return fromBits(low, wasm["get_high"](), this.unsigned);
        }
        if (this.isZero())
          return this.unsigned ? UZERO : ZERO;
        var approx, rem, res;
        if (!this.unsigned) {
          if (this.eq(MIN_VALUE)) {
            if (divisor.eq(ONE) || divisor.eq(NEG_ONE))
              return MIN_VALUE;
            else if (divisor.eq(MIN_VALUE))
              return ONE;
            else {
              var halfThis = this.shr(1);
              approx = halfThis.div(divisor).shl(1);
              if (approx.eq(ZERO)) {
                return divisor.isNegative() ? ONE : NEG_ONE;
              } else {
                rem = this.sub(divisor.mul(approx));
                res = approx.add(rem.div(divisor));
                return res;
              }
            }
          } else if (divisor.eq(MIN_VALUE))
            return this.unsigned ? UZERO : ZERO;
          if (this.isNegative()) {
            if (divisor.isNegative())
              return this.neg().div(divisor.neg());
            return this.neg().div(divisor).neg();
          } else if (divisor.isNegative())
            return this.div(divisor.neg()).neg();
          res = ZERO;
        } else {
          if (!divisor.unsigned)
            divisor = divisor.toUnsigned();
          if (divisor.gt(this))
            return UZERO;
          if (divisor.gt(this.shru(1)))
            return UONE;
          res = UZERO;
        }
        rem = this;
        while (rem.gte(divisor)) {
          approx = Math.max(1, Math.floor(rem.toNumber() / divisor.toNumber()));
          var log2 = Math.ceil(Math.log(approx) / Math.LN2), delta = log2 <= 48 ? 1 : pow_dbl(2, log2 - 48), approxRes = fromNumber(approx), approxRem = approxRes.mul(divisor);
          while (approxRem.isNegative() || approxRem.gt(rem)) {
            approx -= delta;
            approxRes = fromNumber(approx, this.unsigned);
            approxRem = approxRes.mul(divisor);
          }
          if (approxRes.isZero())
            approxRes = ONE;
          res = res.add(approxRes);
          rem = rem.sub(approxRem);
        }
        return res;
      };
      LongPrototype.div = LongPrototype.divide;
      LongPrototype.modulo = function modulo(divisor) {
        if (!isLong(divisor))
          divisor = fromValue(divisor);
        if (wasm) {
          var low = (this.unsigned ? wasm["rem_u"] : wasm["rem_s"])(this.low, this.high, divisor.low, divisor.high);
          return fromBits(low, wasm["get_high"](), this.unsigned);
        }
        return this.sub(this.div(divisor).mul(divisor));
      };
      LongPrototype.mod = LongPrototype.modulo;
      LongPrototype.rem = LongPrototype.modulo;
      LongPrototype.not = function not() {
        return fromBits(~this.low, ~this.high, this.unsigned);
      };
      LongPrototype.countLeadingZeros = function countLeadingZeros() {
        return this.high ? Math.clz32(this.high) : Math.clz32(this.low) + 32;
      };
      LongPrototype.clz = LongPrototype.countLeadingZeros;
      LongPrototype.countTrailingZeros = function countTrailingZeros() {
        return this.low ? ctz32(this.low) : ctz32(this.high) + 32;
      };
      LongPrototype.ctz = LongPrototype.countTrailingZeros;
      LongPrototype.and = function and(other) {
        if (!isLong(other))
          other = fromValue(other);
        return fromBits(this.low & other.low, this.high & other.high, this.unsigned);
      };
      LongPrototype.or = function or(other) {
        if (!isLong(other))
          other = fromValue(other);
        return fromBits(this.low | other.low, this.high | other.high, this.unsigned);
      };
      LongPrototype.xor = function xor(other) {
        if (!isLong(other))
          other = fromValue(other);
        return fromBits(this.low ^ other.low, this.high ^ other.high, this.unsigned);
      };
      LongPrototype.shiftLeft = function shiftLeft(numBits) {
        if (isLong(numBits))
          numBits = numBits.toInt();
        if ((numBits &= 63) === 0)
          return this;
        else if (numBits < 32)
          return fromBits(this.low << numBits, this.high << numBits | this.low >>> 32 - numBits, this.unsigned);
        else
          return fromBits(0, this.low << numBits - 32, this.unsigned);
      };
      LongPrototype.shl = LongPrototype.shiftLeft;
      LongPrototype.shiftRight = function shiftRight(numBits) {
        if (isLong(numBits))
          numBits = numBits.toInt();
        if ((numBits &= 63) === 0)
          return this;
        else if (numBits < 32)
          return fromBits(this.low >>> numBits | this.high << 32 - numBits, this.high >> numBits, this.unsigned);
        else
          return fromBits(this.high >> numBits - 32, this.high >= 0 ? 0 : -1, this.unsigned);
      };
      LongPrototype.shr = LongPrototype.shiftRight;
      LongPrototype.shiftRightUnsigned = function shiftRightUnsigned(numBits) {
        if (isLong(numBits))
          numBits = numBits.toInt();
        if ((numBits &= 63) === 0)
          return this;
        if (numBits < 32)
          return fromBits(this.low >>> numBits | this.high << 32 - numBits, this.high >>> numBits, this.unsigned);
        if (numBits === 32)
          return fromBits(this.high, 0, this.unsigned);
        return fromBits(this.high >>> numBits - 32, 0, this.unsigned);
      };
      LongPrototype.shru = LongPrototype.shiftRightUnsigned;
      LongPrototype.shr_u = LongPrototype.shiftRightUnsigned;
      LongPrototype.rotateLeft = function rotateLeft(numBits) {
        var b;
        if (isLong(numBits))
          numBits = numBits.toInt();
        if ((numBits &= 63) === 0)
          return this;
        if (numBits === 32)
          return fromBits(this.high, this.low, this.unsigned);
        if (numBits < 32) {
          b = 32 - numBits;
          return fromBits(this.low << numBits | this.high >>> b, this.high << numBits | this.low >>> b, this.unsigned);
        }
        numBits -= 32;
        b = 32 - numBits;
        return fromBits(this.high << numBits | this.low >>> b, this.low << numBits | this.high >>> b, this.unsigned);
      };
      LongPrototype.rotl = LongPrototype.rotateLeft;
      LongPrototype.rotateRight = function rotateRight(numBits) {
        var b;
        if (isLong(numBits))
          numBits = numBits.toInt();
        if ((numBits &= 63) === 0)
          return this;
        if (numBits === 32)
          return fromBits(this.high, this.low, this.unsigned);
        if (numBits < 32) {
          b = 32 - numBits;
          return fromBits(this.high << b | this.low >>> numBits, this.low << b | this.high >>> numBits, this.unsigned);
        }
        numBits -= 32;
        b = 32 - numBits;
        return fromBits(this.low << b | this.high >>> numBits, this.high << b | this.low >>> numBits, this.unsigned);
      };
      LongPrototype.rotr = LongPrototype.rotateRight;
      LongPrototype.toSigned = function toSigned() {
        if (!this.unsigned)
          return this;
        return fromBits(this.low, this.high, false);
      };
      LongPrototype.toUnsigned = function toUnsigned() {
        if (this.unsigned)
          return this;
        return fromBits(this.low, this.high, true);
      };
      LongPrototype.toBytes = function toBytes(le) {
        return le ? this.toBytesLE() : this.toBytesBE();
      };
      LongPrototype.toBytesLE = function toBytesLE() {
        var hi = this.high, lo = this.low;
        return [lo & 255, lo >>> 8 & 255, lo >>> 16 & 255, lo >>> 24, hi & 255, hi >>> 8 & 255, hi >>> 16 & 255, hi >>> 24];
      };
      LongPrototype.toBytesBE = function toBytesBE() {
        var hi = this.high, lo = this.low;
        return [hi >>> 24, hi >>> 16 & 255, hi >>> 8 & 255, hi & 255, lo >>> 24, lo >>> 16 & 255, lo >>> 8 & 255, lo & 255];
      };
      Long2.fromBytes = function fromBytes(bytes, unsigned, le) {
        return le ? Long2.fromBytesLE(bytes, unsigned) : Long2.fromBytesBE(bytes, unsigned);
      };
      Long2.fromBytesLE = function fromBytesLE(bytes, unsigned) {
        return new Long2(bytes[0] | bytes[1] << 8 | bytes[2] << 16 | bytes[3] << 24, bytes[4] | bytes[5] << 8 | bytes[6] << 16 | bytes[7] << 24, unsigned);
      };
      Long2.fromBytesBE = function fromBytesBE(bytes, unsigned) {
        return new Long2(bytes[4] << 24 | bytes[5] << 16 | bytes[6] << 8 | bytes[7], bytes[0] << 24 | bytes[1] << 16 | bytes[2] << 8 | bytes[3], unsigned);
      };
      var _default = Long2;
      exports2.default = _default;
      return "default" in exports2 ? exports2.default : exports2;
    }({});
    if (typeof define === "function" && define.amd)
      define([], function() {
        return Long;
      });
    else if (typeof module === "object" && typeof exports === "object")
      module.exports = Long;
  }
});

// node_modules/protobufjs/src/util/minimal.js
var require_minimal = __commonJS({
  "node_modules/protobufjs/src/util/minimal.js"(exports) {
    "use strict";
    var util2 = exports;
    util2.asPromise = require_aspromise();
    util2.base64 = require_base64();
    util2.EventEmitter = require_eventemitter();
    util2.float = require_float();
    util2.utf8 = require_utf8();
    util2.pool = require_pool();
    util2.LongBits = require_longbits();
    util2.isNode = Boolean(typeof global !== "undefined" && global && global.process && global.process.versions && global.process.versions.node);
    util2.global = util2.isNode && global || typeof window !== "undefined" && window || typeof self !== "undefined" && self || exports;
    util2.emptyArray = Object.freeze ? Object.freeze([]) : (
      /* istanbul ignore next */
      []
    );
    util2.emptyObject = Object.freeze ? Object.freeze({}) : (
      /* istanbul ignore next */
      {}
    );
    util2.isInteger = Number.isInteger || /* istanbul ignore next */
    function isInteger(value) {
      return typeof value === "number" && isFinite(value) && Math.floor(value) === value;
    };
    util2.isString = function isString(value) {
      return typeof value === "string" || value instanceof String;
    };
    util2.isObject = function isObject(value) {
      return value && typeof value === "object";
    };
    util2.isset = /**
     * Checks if a property on a message is considered to be present.
     * @param {Object} obj Plain object or message instance
     * @param {string} prop Property name
     * @returns {boolean} `true` if considered to be present, otherwise `false`
     */
    util2.isSet = function isSet(obj, prop) {
      var value = obj[prop];
      if (value != null && obj.hasOwnProperty(prop))
        return typeof value !== "object" || (Array.isArray(value) ? value.length : Object.keys(value).length) > 0;
      return false;
    };
    util2.Buffer = function() {
      try {
        var Buffer = __require("buffer").Buffer;
        return Buffer.prototype.utf8Write ? Buffer : (
          /* istanbul ignore next */
          null
        );
      } catch (e) {
        return null;
      }
    }();
    util2._Buffer_from = null;
    util2._Buffer_allocUnsafe = null;
    util2.newBuffer = function newBuffer(sizeOrArray) {
      return typeof sizeOrArray === "number" ? util2.Buffer ? util2._Buffer_allocUnsafe(sizeOrArray) : new util2.Array(sizeOrArray) : util2.Buffer ? util2._Buffer_from(sizeOrArray) : typeof Uint8Array === "undefined" ? sizeOrArray : new Uint8Array(sizeOrArray);
    };
    util2.Array = typeof Uint8Array !== "undefined" ? Uint8Array : Array;
    util2.Long = /* istanbul ignore next */
    util2.global.dcodeIO && /* istanbul ignore next */
    util2.global.dcodeIO.Long || /* istanbul ignore next */
    util2.global.Long || require_umd();
    util2.key2Re = /^true|false|0|1$/;
    util2.key32Re = /^-?(?:0|[1-9][0-9]*)$/;
    util2.key64Re = /^(?:[\\x00-\\xff]{8}|-?(?:0|[1-9][0-9]*))$/;
    util2.longToHash = function longToHash(value) {
      return value ? util2.LongBits.from(value).toHash() : util2.LongBits.zeroHash;
    };
    util2.longFromHash = function longFromHash(hash, unsigned) {
      var bits = util2.LongBits.fromHash(hash);
      if (util2.Long)
        return util2.Long.fromBits(bits.lo, bits.hi, unsigned);
      return bits.toNumber(Boolean(unsigned));
    };
    function merge(dst, src, ifNotSet) {
      for (var keys = Object.keys(src), i = 0; i < keys.length; ++i)
        if (dst[keys[i]] === void 0 || !ifNotSet)
          dst[keys[i]] = src[keys[i]];
      return dst;
    }
    util2.merge = merge;
    util2.lcFirst = function lcFirst(str) {
      return str.charAt(0).toLowerCase() + str.substring(1);
    };
    function newError(name) {
      function CustomError(message, properties) {
        if (!(this instanceof CustomError))
          return new CustomError(message, properties);
        Object.defineProperty(this, "message", { get: function() {
          return message;
        } });
        if (Error.captureStackTrace)
          Error.captureStackTrace(this, CustomError);
        else
          Object.defineProperty(this, "stack", { value: new Error().stack || "" });
        if (properties)
          merge(this, properties);
      }
      CustomError.prototype = Object.create(Error.prototype, {
        constructor: {
          value: CustomError,
          writable: true,
          enumerable: false,
          configurable: true
        },
        name: {
          get: function get() {
            return name;
          },
          set: void 0,
          enumerable: false,
          // configurable: false would accurately preserve the behavior of
          // the original, but I'm guessing that was not intentional.
          // For an actual error subclass, this property would
          // be configurable.
          configurable: true
        },
        toString: {
          value: function value() {
            return this.name + ": " + this.message;
          },
          writable: true,
          enumerable: false,
          configurable: true
        }
      });
      return CustomError;
    }
    util2.newError = newError;
    util2.ProtocolError = newError("ProtocolError");
    util2.oneOfGetter = function getOneOf(fieldNames) {
      var fieldMap = {};
      for (var i = 0; i < fieldNames.length; ++i)
        fieldMap[fieldNames[i]] = 1;
      return function() {
        for (var keys = Object.keys(this), i2 = keys.length - 1; i2 > -1; --i2)
          if (fieldMap[keys[i2]] === 1 && this[keys[i2]] !== void 0 && this[keys[i2]] !== null)
            return keys[i2];
      };
    };
    util2.oneOfSetter = function setOneOf(fieldNames) {
      return function(name) {
        for (var i = 0; i < fieldNames.length; ++i)
          if (fieldNames[i] !== name)
            delete this[fieldNames[i]];
      };
    };
    util2.toJSONOptions = {
      longs: String,
      enums: String,
      bytes: String,
      json: true
    };
    util2._configure = function() {
      var Buffer = util2.Buffer;
      if (!Buffer) {
        util2._Buffer_from = util2._Buffer_allocUnsafe = null;
        return;
      }
      util2._Buffer_from = Buffer.from !== Uint8Array.from && Buffer.from || /* istanbul ignore next */
      function Buffer_from(value, encoding) {
        return new Buffer(value, encoding);
      };
      util2._Buffer_allocUnsafe = Buffer.allocUnsafe || /* istanbul ignore next */
      function Buffer_allocUnsafe(size) {
        return new Buffer(size);
      };
    };
  }
});

// node_modules/protobufjs/src/writer.js
var require_writer = __commonJS({
  "node_modules/protobufjs/src/writer.js"(exports, module) {
    "use strict";
    module.exports = Writer2;
    var util2 = require_minimal();
    var BufferWriter;
    var LongBits = util2.LongBits;
    var base64 = util2.base64;
    var utf8 = util2.utf8;
    function Op(fn, len, val) {
      this.fn = fn;
      this.len = len;
      this.next = void 0;
      this.val = val;
    }
    function noop() {
    }
    function State(writer) {
      this.head = writer.head;
      this.tail = writer.tail;
      this.len = writer.len;
      this.next = writer.states;
    }
    function Writer2() {
      this.len = 0;
      this.head = new Op(noop, 0, 0);
      this.tail = this.head;
      this.states = null;
    }
    var create = function create2() {
      return util2.Buffer ? function create_buffer_setup() {
        return (Writer2.create = function create_buffer() {
          return new BufferWriter();
        })();
      } : function create_array() {
        return new Writer2();
      };
    };
    Writer2.create = create();
    Writer2.alloc = function alloc(size) {
      return new util2.Array(size);
    };
    if (util2.Array !== Array)
      Writer2.alloc = util2.pool(Writer2.alloc, util2.Array.prototype.subarray);
    Writer2.prototype._push = function push(fn, len, val) {
      this.tail = this.tail.next = new Op(fn, len, val);
      this.len += len;
      return this;
    };
    function writeByte(val, buf, pos) {
      buf[pos] = val & 255;
    }
    function writeVarint32(val, buf, pos) {
      while (val > 127) {
        buf[pos++] = val & 127 | 128;
        val >>>= 7;
      }
      buf[pos] = val;
    }
    function VarintOp(len, val) {
      this.len = len;
      this.next = void 0;
      this.val = val;
    }
    VarintOp.prototype = Object.create(Op.prototype);
    VarintOp.prototype.fn = writeVarint32;
    Writer2.prototype.uint32 = function write_uint32(value) {
      this.len += (this.tail = this.tail.next = new VarintOp(
        (value = value >>> 0) < 128 ? 1 : value < 16384 ? 2 : value < 2097152 ? 3 : value < 268435456 ? 4 : 5,
        value
      )).len;
      return this;
    };
    Writer2.prototype.int32 = function write_int32(value) {
      return value < 0 ? this._push(writeVarint64, 10, LongBits.fromNumber(value)) : this.uint32(value);
    };
    Writer2.prototype.sint32 = function write_sint32(value) {
      return this.uint32((value << 1 ^ value >> 31) >>> 0);
    };
    function writeVarint64(val, buf, pos) {
      while (val.hi) {
        buf[pos++] = val.lo & 127 | 128;
        val.lo = (val.lo >>> 7 | val.hi << 25) >>> 0;
        val.hi >>>= 7;
      }
      while (val.lo > 127) {
        buf[pos++] = val.lo & 127 | 128;
        val.lo = val.lo >>> 7;
      }
      buf[pos++] = val.lo;
    }
    Writer2.prototype.uint64 = function write_uint64(value) {
      var bits = LongBits.from(value);
      return this._push(writeVarint64, bits.length(), bits);
    };
    Writer2.prototype.int64 = Writer2.prototype.uint64;
    Writer2.prototype.sint64 = function write_sint64(value) {
      var bits = LongBits.from(value).zzEncode();
      return this._push(writeVarint64, bits.length(), bits);
    };
    Writer2.prototype.bool = function write_bool(value) {
      return this._push(writeByte, 1, value ? 1 : 0);
    };
    function writeFixed32(val, buf, pos) {
      buf[pos] = val & 255;
      buf[pos + 1] = val >>> 8 & 255;
      buf[pos + 2] = val >>> 16 & 255;
      buf[pos + 3] = val >>> 24;
    }
    Writer2.prototype.fixed32 = function write_fixed32(value) {
      return this._push(writeFixed32, 4, value >>> 0);
    };
    Writer2.prototype.sfixed32 = Writer2.prototype.fixed32;
    Writer2.prototype.fixed64 = function write_fixed64(value) {
      var bits = LongBits.from(value);
      return this._push(writeFixed32, 4, bits.lo)._push(writeFixed32, 4, bits.hi);
    };
    Writer2.prototype.sfixed64 = Writer2.prototype.fixed64;
    Writer2.prototype.float = function write_float(value) {
      return this._push(util2.float.writeFloatLE, 4, value);
    };
    Writer2.prototype.double = function write_double(value) {
      return this._push(util2.float.writeDoubleLE, 8, value);
    };
    var writeBytes = util2.Array.prototype.set ? function writeBytes_set(val, buf, pos) {
      buf.set(val, pos);
    } : function writeBytes_for(val, buf, pos) {
      for (var i = 0; i < val.length; ++i)
        buf[pos + i] = val[i];
    };
    Writer2.prototype.bytes = function write_bytes(value) {
      var len = value.length >>> 0;
      if (!len)
        return this._push(writeByte, 1, 0);
      if (util2.isString(value)) {
        var buf = Writer2.alloc(len = base64.length(value));
        base64.decode(value, buf, 0);
        value = buf;
      }
      return this.uint32(len)._push(writeBytes, len, value);
    };
    Writer2.prototype.string = function write_string(value) {
      var len = utf8.length(value);
      return len ? this.uint32(len)._push(utf8.write, len, value) : this._push(writeByte, 1, 0);
    };
    Writer2.prototype.fork = function fork() {
      this.states = new State(this);
      this.head = this.tail = new Op(noop, 0, 0);
      this.len = 0;
      return this;
    };
    Writer2.prototype.reset = function reset() {
      if (this.states) {
        this.head = this.states.head;
        this.tail = this.states.tail;
        this.len = this.states.len;
        this.states = this.states.next;
      } else {
        this.head = this.tail = new Op(noop, 0, 0);
        this.len = 0;
      }
      return this;
    };
    Writer2.prototype.ldelim = function ldelim() {
      var head = this.head, tail = this.tail, len = this.len;
      this.reset().uint32(len);
      if (len) {
        this.tail.next = head.next;
        this.tail = tail;
        this.len += len;
      }
      return this;
    };
    Writer2.prototype.finish = function finish() {
      var head = this.head.next, buf = this.constructor.alloc(this.len), pos = 0;
      while (head) {
        head.fn(head.val, buf, pos);
        pos += head.len;
        head = head.next;
      }
      return buf;
    };
    Writer2._configure = function(BufferWriter_) {
      BufferWriter = BufferWriter_;
      Writer2.create = create();
      BufferWriter._configure();
    };
  }
});

// node_modules/protobufjs/src/writer_buffer.js
var require_writer_buffer = __commonJS({
  "node_modules/protobufjs/src/writer_buffer.js"(exports, module) {
    "use strict";
    module.exports = BufferWriter;
    var Writer2 = require_writer();
    (BufferWriter.prototype = Object.create(Writer2.prototype)).constructor = BufferWriter;
    var util2 = require_minimal();
    function BufferWriter() {
      Writer2.call(this);
    }
    BufferWriter._configure = function() {
      BufferWriter.alloc = util2._Buffer_allocUnsafe;
      BufferWriter.writeBytesBuffer = util2.Buffer && util2.Buffer.prototype instanceof Uint8Array && util2.Buffer.prototype.set.name === "set" ? function writeBytesBuffer_set(val, buf, pos) {
        buf.set(val, pos);
      } : function writeBytesBuffer_copy(val, buf, pos) {
        if (val.copy)
          val.copy(buf, pos, 0, val.length);
        else
          for (var i = 0; i < val.length; )
            buf[pos++] = val[i++];
      };
    };
    BufferWriter.prototype.bytes = function write_bytes_buffer(value) {
      if (util2.isString(value))
        value = util2._Buffer_from(value, "base64");
      var len = value.length >>> 0;
      this.uint32(len);
      if (len)
        this._push(BufferWriter.writeBytesBuffer, len, value);
      return this;
    };
    function writeStringBuffer(val, buf, pos) {
      util2.utf8.write(val, buf, pos);
    }
    BufferWriter.prototype.string = function write_string_buffer(value) {
      var len = util2.Buffer.byteLength(value);
      this.uint32(len);
      if (len)
        this._push(writeStringBuffer, len, value);
      return this;
    };
    BufferWriter._configure();
  }
});

// node_modules/protobufjs/src/reader.js
var require_reader = __commonJS({
  "node_modules/protobufjs/src/reader.js"(exports, module) {
    "use strict";
    module.exports = Reader2;
    var util2 = require_minimal();
    var BufferReader;
    var LongBits = util2.LongBits;
    var utf8 = util2.utf8;
    function indexOutOfRange(reader, writeLength) {
      return RangeError("index out of range: " + reader.pos + " + " + (writeLength || 1) + " > " + reader.len);
    }
    function Reader2(buffer) {
      this.buf = buffer;
      this.pos = 0;
      this.len = buffer.length;
    }
    var create_array = typeof Uint8Array !== "undefined" ? function create_typed_array(buffer) {
      if (buffer instanceof Uint8Array || Array.isArray(buffer))
        return new Reader2(buffer);
      throw Error("illegal buffer");
    } : function create_array2(buffer) {
      if (Array.isArray(buffer))
        return new Reader2(buffer);
      throw Error("illegal buffer");
    };
    var create = function create2() {
      return util2.Buffer ? function create_buffer_setup(buffer) {
        return (Reader2.create = function create_buffer(buffer2) {
          return util2.Buffer.isBuffer(buffer2) ? new BufferReader(buffer2) : create_array(buffer2);
        })(buffer);
      } : create_array;
    };
    Reader2.create = create();
    Reader2.prototype._slice = util2.Array.prototype.subarray || /* istanbul ignore next */
    util2.Array.prototype.slice;
    Reader2.prototype.uint32 = /* @__PURE__ */ function read_uint32_setup() {
      var value = 4294967295;
      return function read_uint32() {
        value = (this.buf[this.pos] & 127) >>> 0;
        if (this.buf[this.pos++] < 128)
          return value;
        value = (value | (this.buf[this.pos] & 127) << 7) >>> 0;
        if (this.buf[this.pos++] < 128)
          return value;
        value = (value | (this.buf[this.pos] & 127) << 14) >>> 0;
        if (this.buf[this.pos++] < 128)
          return value;
        value = (value | (this.buf[this.pos] & 127) << 21) >>> 0;
        if (this.buf[this.pos++] < 128)
          return value;
        value = (value | (this.buf[this.pos] & 15) << 28) >>> 0;
        if (this.buf[this.pos++] < 128)
          return value;
        if ((this.pos += 5) > this.len) {
          this.pos = this.len;
          throw indexOutOfRange(this, 10);
        }
        return value;
      };
    }();
    Reader2.prototype.int32 = function read_int32() {
      return this.uint32() | 0;
    };
    Reader2.prototype.sint32 = function read_sint32() {
      var value = this.uint32();
      return value >>> 1 ^ -(value & 1) | 0;
    };
    function readLongVarint() {
      var bits = new LongBits(0, 0);
      var i = 0;
      if (this.len - this.pos > 4) {
        for (; i < 4; ++i) {
          bits.lo = (bits.lo | (this.buf[this.pos] & 127) << i * 7) >>> 0;
          if (this.buf[this.pos++] < 128)
            return bits;
        }
        bits.lo = (bits.lo | (this.buf[this.pos] & 127) << 28) >>> 0;
        bits.hi = (bits.hi | (this.buf[this.pos] & 127) >> 4) >>> 0;
        if (this.buf[this.pos++] < 128)
          return bits;
        i = 0;
      } else {
        for (; i < 3; ++i) {
          if (this.pos >= this.len)
            throw indexOutOfRange(this);
          bits.lo = (bits.lo | (this.buf[this.pos] & 127) << i * 7) >>> 0;
          if (this.buf[this.pos++] < 128)
            return bits;
        }
        bits.lo = (bits.lo | (this.buf[this.pos++] & 127) << i * 7) >>> 0;
        return bits;
      }
      if (this.len - this.pos > 4) {
        for (; i < 5; ++i) {
          bits.hi = (bits.hi | (this.buf[this.pos] & 127) << i * 7 + 3) >>> 0;
          if (this.buf[this.pos++] < 128)
            return bits;
        }
      } else {
        for (; i < 5; ++i) {
          if (this.pos >= this.len)
            throw indexOutOfRange(this);
          bits.hi = (bits.hi | (this.buf[this.pos] & 127) << i * 7 + 3) >>> 0;
          if (this.buf[this.pos++] < 128)
            return bits;
        }
      }
      throw Error("invalid varint encoding");
    }
    Reader2.prototype.bool = function read_bool() {
      return this.uint32() !== 0;
    };
    function readFixed32_end(buf, end) {
      return (buf[end - 4] | buf[end - 3] << 8 | buf[end - 2] << 16 | buf[end - 1] << 24) >>> 0;
    }
    Reader2.prototype.fixed32 = function read_fixed32() {
      if (this.pos + 4 > this.len)
        throw indexOutOfRange(this, 4);
      return readFixed32_end(this.buf, this.pos += 4);
    };
    Reader2.prototype.sfixed32 = function read_sfixed32() {
      if (this.pos + 4 > this.len)
        throw indexOutOfRange(this, 4);
      return readFixed32_end(this.buf, this.pos += 4) | 0;
    };
    function readFixed64() {
      if (this.pos + 8 > this.len)
        throw indexOutOfRange(this, 8);
      return new LongBits(readFixed32_end(this.buf, this.pos += 4), readFixed32_end(this.buf, this.pos += 4));
    }
    Reader2.prototype.float = function read_float() {
      if (this.pos + 4 > this.len)
        throw indexOutOfRange(this, 4);
      var value = util2.float.readFloatLE(this.buf, this.pos);
      this.pos += 4;
      return value;
    };
    Reader2.prototype.double = function read_double() {
      if (this.pos + 8 > this.len)
        throw indexOutOfRange(this, 4);
      var value = util2.float.readDoubleLE(this.buf, this.pos);
      this.pos += 8;
      return value;
    };
    Reader2.prototype.bytes = function read_bytes() {
      var length = this.uint32(), start = this.pos, end = this.pos + length;
      if (end > this.len)
        throw indexOutOfRange(this, length);
      this.pos += length;
      if (Array.isArray(this.buf))
        return this.buf.slice(start, end);
      if (start === end) {
        var nativeBuffer = util2.Buffer;
        return nativeBuffer ? nativeBuffer.alloc(0) : new this.buf.constructor(0);
      }
      return this._slice.call(this.buf, start, end);
    };
    Reader2.prototype.string = function read_string() {
      var bytes = this.bytes();
      return utf8.read(bytes, 0, bytes.length);
    };
    Reader2.prototype.skip = function skip(length) {
      if (typeof length === "number") {
        if (this.pos + length > this.len)
          throw indexOutOfRange(this, length);
        this.pos += length;
      } else {
        do {
          if (this.pos >= this.len)
            throw indexOutOfRange(this);
        } while (this.buf[this.pos++] & 128);
      }
      return this;
    };
    Reader2.prototype.skipType = function(wireType) {
      switch (wireType) {
        case 0:
          this.skip();
          break;
        case 1:
          this.skip(8);
          break;
        case 2:
          this.skip(this.uint32());
          break;
        case 3:
          while ((wireType = this.uint32() & 7) !== 4) {
            this.skipType(wireType);
          }
          break;
        case 5:
          this.skip(4);
          break;
        default:
          throw Error("invalid wire type " + wireType + " at offset " + this.pos);
      }
      return this;
    };
    Reader2._configure = function(BufferReader_) {
      BufferReader = BufferReader_;
      Reader2.create = create();
      BufferReader._configure();
      var fn = util2.Long ? "toLong" : (
        /* istanbul ignore next */
        "toNumber"
      );
      util2.merge(Reader2.prototype, {
        int64: function read_int64() {
          return readLongVarint.call(this)[fn](false);
        },
        uint64: function read_uint64() {
          return readLongVarint.call(this)[fn](true);
        },
        sint64: function read_sint64() {
          return readLongVarint.call(this).zzDecode()[fn](false);
        },
        fixed64: function read_fixed64() {
          return readFixed64.call(this)[fn](true);
        },
        sfixed64: function read_sfixed64() {
          return readFixed64.call(this)[fn](false);
        }
      });
    };
  }
});

// node_modules/protobufjs/src/reader_buffer.js
var require_reader_buffer = __commonJS({
  "node_modules/protobufjs/src/reader_buffer.js"(exports, module) {
    "use strict";
    module.exports = BufferReader;
    var Reader2 = require_reader();
    (BufferReader.prototype = Object.create(Reader2.prototype)).constructor = BufferReader;
    var util2 = require_minimal();
    function BufferReader(buffer) {
      Reader2.call(this, buffer);
    }
    BufferReader._configure = function() {
      if (util2.Buffer)
        BufferReader.prototype._slice = util2.Buffer.prototype.slice;
    };
    BufferReader.prototype.string = function read_string_buffer() {
      var len = this.uint32();
      return this.buf.utf8Slice ? this.buf.utf8Slice(this.pos, this.pos = Math.min(this.pos + len, this.len)) : this.buf.toString("utf-8", this.pos, this.pos = Math.min(this.pos + len, this.len));
    };
    BufferReader._configure();
  }
});

// node_modules/protobufjs/src/rpc/service.js
var require_service = __commonJS({
  "node_modules/protobufjs/src/rpc/service.js"(exports, module) {
    "use strict";
    module.exports = Service;
    var util2 = require_minimal();
    (Service.prototype = Object.create(util2.EventEmitter.prototype)).constructor = Service;
    function Service(rpcImpl, requestDelimited, responseDelimited) {
      if (typeof rpcImpl !== "function")
        throw TypeError("rpcImpl must be a function");
      util2.EventEmitter.call(this);
      this.rpcImpl = rpcImpl;
      this.requestDelimited = Boolean(requestDelimited);
      this.responseDelimited = Boolean(responseDelimited);
    }
    Service.prototype.rpcCall = function rpcCall(method, requestCtor, responseCtor, request, callback) {
      if (!request)
        throw TypeError("request must be specified");
      var self2 = this;
      if (!callback)
        return util2.asPromise(rpcCall, self2, method, requestCtor, responseCtor, request);
      if (!self2.rpcImpl) {
        setTimeout(function() {
          callback(Error("already ended"));
        }, 0);
        return void 0;
      }
      try {
        return self2.rpcImpl(
          method,
          requestCtor[self2.requestDelimited ? "encodeDelimited" : "encode"](request).finish(),
          function rpcCallback(err, response) {
            if (err) {
              self2.emit("error", err, method);
              return callback(err);
            }
            if (response === null) {
              self2.end(
                /* endedByRPC */
                true
              );
              return void 0;
            }
            if (!(response instanceof responseCtor)) {
              try {
                response = responseCtor[self2.responseDelimited ? "decodeDelimited" : "decode"](response);
              } catch (err2) {
                self2.emit("error", err2, method);
                return callback(err2);
              }
            }
            self2.emit("data", response, method);
            return callback(null, response);
          }
        );
      } catch (err) {
        self2.emit("error", err, method);
        setTimeout(function() {
          callback(err);
        }, 0);
        return void 0;
      }
    };
    Service.prototype.end = function end(endedByRPC) {
      if (this.rpcImpl) {
        if (!endedByRPC)
          this.rpcImpl(null, null, null);
        this.rpcImpl = null;
        this.emit("end").off();
      }
      return this;
    };
  }
});

// node_modules/protobufjs/src/rpc.js
var require_rpc = __commonJS({
  "node_modules/protobufjs/src/rpc.js"(exports) {
    "use strict";
    var rpc2 = exports;
    rpc2.Service = require_service();
  }
});

// node_modules/protobufjs/src/roots.js
var require_roots = __commonJS({
  "node_modules/protobufjs/src/roots.js"(exports, module) {
    "use strict";
    module.exports = {};
  }
});

// node_modules/protobufjs/src/index-minimal.js
var require_index_minimal = __commonJS({
  "node_modules/protobufjs/src/index-minimal.js"(exports) {
    "use strict";
    var protobuf = exports;
    protobuf.build = "minimal";
    protobuf.Writer = require_writer();
    protobuf.BufferWriter = require_writer_buffer();
    protobuf.Reader = require_reader();
    protobuf.BufferReader = require_reader_buffer();
    protobuf.util = require_minimal();
    protobuf.rpc = require_rpc();
    protobuf.roots = require_roots();
    protobuf.configure = configure;
    function configure() {
      protobuf.util._configure();
      protobuf.Writer._configure(protobuf.BufferWriter);
      protobuf.Reader._configure(protobuf.BufferReader);
    }
    configure();
  }
});

// node_modules/protobufjs/minimal.js
var require_minimal2 = __commonJS({
  "node_modules/protobufjs/minimal.js"(exports, module) {
    "use strict";
    module.exports = require_index_minimal();
  }
});

// src/proto.js
var $protobuf = __toESM(require_minimal2(), 1);
var $Reader = $protobuf.Reader;
var $Writer = $protobuf.Writer;
var $util = $protobuf.util;
var $root = $protobuf.roots["default"] || ($protobuf.roots["default"] = {});
var opentelemetry = $root.opentelemetry = (() => {
  const opentelemetry2 = {};
  opentelemetry2.proto = function() {
    const proto = {};
    proto.common = function() {
      const common = {};
      common.v1 = function() {
        const v1 = {};
        v1.AnyValue = function() {
          function AnyValue(properties) {
            if (properties) {
              for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                if (properties[keys[i]] != null)
                  this[keys[i]] = properties[keys[i]];
            }
          }
          AnyValue.prototype.stringValue = null;
          AnyValue.prototype.boolValue = null;
          AnyValue.prototype.intValue = null;
          AnyValue.prototype.doubleValue = null;
          AnyValue.prototype.arrayValue = null;
          AnyValue.prototype.kvlistValue = null;
          AnyValue.prototype.bytesValue = null;
          let $oneOfFields;
          Object.defineProperty(AnyValue.prototype, "value", {
            get: $util.oneOfGetter($oneOfFields = ["stringValue", "boolValue", "intValue", "doubleValue", "arrayValue", "kvlistValue", "bytesValue"]),
            set: $util.oneOfSetter($oneOfFields)
          });
          AnyValue.create = function create(properties) {
            return new AnyValue(properties);
          };
          AnyValue.encode = function encode(message, writer) {
            if (!writer)
              writer = $Writer.create();
            if (message.stringValue != null && Object.hasOwnProperty.call(message, "stringValue"))
              writer.uint32(
                /* id 1, wireType 2 =*/
                10
              ).string(message.stringValue);
            if (message.boolValue != null && Object.hasOwnProperty.call(message, "boolValue"))
              writer.uint32(
                /* id 2, wireType 0 =*/
                16
              ).bool(message.boolValue);
            if (message.intValue != null && Object.hasOwnProperty.call(message, "intValue"))
              writer.uint32(
                /* id 3, wireType 0 =*/
                24
              ).int64(message.intValue);
            if (message.doubleValue != null && Object.hasOwnProperty.call(message, "doubleValue"))
              writer.uint32(
                /* id 4, wireType 1 =*/
                33
              ).double(message.doubleValue);
            if (message.arrayValue != null && Object.hasOwnProperty.call(message, "arrayValue"))
              $root.opentelemetry.proto.common.v1.ArrayValue.encode(message.arrayValue, writer.uint32(
                /* id 5, wireType 2 =*/
                42
              ).fork()).ldelim();
            if (message.kvlistValue != null && Object.hasOwnProperty.call(message, "kvlistValue"))
              $root.opentelemetry.proto.common.v1.KeyValueList.encode(message.kvlistValue, writer.uint32(
                /* id 6, wireType 2 =*/
                50
              ).fork()).ldelim();
            if (message.bytesValue != null && Object.hasOwnProperty.call(message, "bytesValue"))
              writer.uint32(
                /* id 7, wireType 2 =*/
                58
              ).bytes(message.bytesValue);
            return writer;
          };
          AnyValue.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
          };
          AnyValue.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
              reader = $Reader.create(reader);
            let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.common.v1.AnyValue();
            while (reader.pos < end) {
              let tag = reader.uint32();
              switch (tag >>> 3) {
                case 1: {
                  message.stringValue = reader.string();
                  break;
                }
                case 2: {
                  message.boolValue = reader.bool();
                  break;
                }
                case 3: {
                  message.intValue = reader.int64();
                  break;
                }
                case 4: {
                  message.doubleValue = reader.double();
                  break;
                }
                case 5: {
                  message.arrayValue = $root.opentelemetry.proto.common.v1.ArrayValue.decode(reader, reader.uint32());
                  break;
                }
                case 6: {
                  message.kvlistValue = $root.opentelemetry.proto.common.v1.KeyValueList.decode(reader, reader.uint32());
                  break;
                }
                case 7: {
                  message.bytesValue = reader.bytes();
                  break;
                }
                default:
                  reader.skipType(tag & 7);
                  break;
              }
            }
            return message;
          };
          AnyValue.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
              reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
          };
          AnyValue.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
              return "object expected";
            let properties = {};
            if (message.stringValue != null && message.hasOwnProperty("stringValue")) {
              properties.value = 1;
              if (!$util.isString(message.stringValue))
                return "stringValue: string expected";
            }
            if (message.boolValue != null && message.hasOwnProperty("boolValue")) {
              if (properties.value === 1)
                return "value: multiple values";
              properties.value = 1;
              if (typeof message.boolValue !== "boolean")
                return "boolValue: boolean expected";
            }
            if (message.intValue != null && message.hasOwnProperty("intValue")) {
              if (properties.value === 1)
                return "value: multiple values";
              properties.value = 1;
              if (!$util.isInteger(message.intValue) && !(message.intValue && $util.isInteger(message.intValue.low) && $util.isInteger(message.intValue.high)))
                return "intValue: integer|Long expected";
            }
            if (message.doubleValue != null && message.hasOwnProperty("doubleValue")) {
              if (properties.value === 1)
                return "value: multiple values";
              properties.value = 1;
              if (typeof message.doubleValue !== "number")
                return "doubleValue: number expected";
            }
            if (message.arrayValue != null && message.hasOwnProperty("arrayValue")) {
              if (properties.value === 1)
                return "value: multiple values";
              properties.value = 1;
              {
                let error = $root.opentelemetry.proto.common.v1.ArrayValue.verify(message.arrayValue);
                if (error)
                  return "arrayValue." + error;
              }
            }
            if (message.kvlistValue != null && message.hasOwnProperty("kvlistValue")) {
              if (properties.value === 1)
                return "value: multiple values";
              properties.value = 1;
              {
                let error = $root.opentelemetry.proto.common.v1.KeyValueList.verify(message.kvlistValue);
                if (error)
                  return "kvlistValue." + error;
              }
            }
            if (message.bytesValue != null && message.hasOwnProperty("bytesValue")) {
              if (properties.value === 1)
                return "value: multiple values";
              properties.value = 1;
              if (!(message.bytesValue && typeof message.bytesValue.length === "number" || $util.isString(message.bytesValue)))
                return "bytesValue: buffer expected";
            }
            return null;
          };
          AnyValue.fromObject = function fromObject(object) {
            if (object instanceof $root.opentelemetry.proto.common.v1.AnyValue)
              return object;
            let message = new $root.opentelemetry.proto.common.v1.AnyValue();
            if (object.stringValue != null)
              message.stringValue = String(object.stringValue);
            if (object.boolValue != null)
              message.boolValue = Boolean(object.boolValue);
            if (object.intValue != null) {
              if ($util.Long)
                (message.intValue = $util.Long.fromValue(object.intValue)).unsigned = false;
              else if (typeof object.intValue === "string")
                message.intValue = parseInt(object.intValue, 10);
              else if (typeof object.intValue === "number")
                message.intValue = object.intValue;
              else if (typeof object.intValue === "object")
                message.intValue = new $util.LongBits(object.intValue.low >>> 0, object.intValue.high >>> 0).toNumber();
            }
            if (object.doubleValue != null)
              message.doubleValue = Number(object.doubleValue);
            if (object.arrayValue != null) {
              if (typeof object.arrayValue !== "object")
                throw TypeError(".opentelemetry.proto.common.v1.AnyValue.arrayValue: object expected");
              message.arrayValue = $root.opentelemetry.proto.common.v1.ArrayValue.fromObject(object.arrayValue);
            }
            if (object.kvlistValue != null) {
              if (typeof object.kvlistValue !== "object")
                throw TypeError(".opentelemetry.proto.common.v1.AnyValue.kvlistValue: object expected");
              message.kvlistValue = $root.opentelemetry.proto.common.v1.KeyValueList.fromObject(object.kvlistValue);
            }
            if (object.bytesValue != null) {
              if (typeof object.bytesValue === "string")
                $util.base64.decode(object.bytesValue, message.bytesValue = $util.newBuffer($util.base64.length(object.bytesValue)), 0);
              else if (object.bytesValue.length >= 0)
                message.bytesValue = object.bytesValue;
            }
            return message;
          };
          AnyValue.toObject = function toObject(message, options) {
            if (!options)
              options = {};
            let object = {};
            if (message.stringValue != null && message.hasOwnProperty("stringValue")) {
              object.stringValue = message.stringValue;
              if (options.oneofs)
                object.value = "stringValue";
            }
            if (message.boolValue != null && message.hasOwnProperty("boolValue")) {
              object.boolValue = message.boolValue;
              if (options.oneofs)
                object.value = "boolValue";
            }
            if (message.intValue != null && message.hasOwnProperty("intValue")) {
              if (typeof message.intValue === "number")
                object.intValue = options.longs === String ? String(message.intValue) : message.intValue;
              else
                object.intValue = options.longs === String ? $util.Long.prototype.toString.call(message.intValue) : options.longs === Number ? new $util.LongBits(message.intValue.low >>> 0, message.intValue.high >>> 0).toNumber() : message.intValue;
              if (options.oneofs)
                object.value = "intValue";
            }
            if (message.doubleValue != null && message.hasOwnProperty("doubleValue")) {
              object.doubleValue = options.json && !isFinite(message.doubleValue) ? String(message.doubleValue) : message.doubleValue;
              if (options.oneofs)
                object.value = "doubleValue";
            }
            if (message.arrayValue != null && message.hasOwnProperty("arrayValue")) {
              object.arrayValue = $root.opentelemetry.proto.common.v1.ArrayValue.toObject(message.arrayValue, options);
              if (options.oneofs)
                object.value = "arrayValue";
            }
            if (message.kvlistValue != null && message.hasOwnProperty("kvlistValue")) {
              object.kvlistValue = $root.opentelemetry.proto.common.v1.KeyValueList.toObject(message.kvlistValue, options);
              if (options.oneofs)
                object.value = "kvlistValue";
            }
            if (message.bytesValue != null && message.hasOwnProperty("bytesValue")) {
              object.bytesValue = options.bytes === String ? $util.base64.encode(message.bytesValue, 0, message.bytesValue.length) : options.bytes === Array ? Array.prototype.slice.call(message.bytesValue) : message.bytesValue;
              if (options.oneofs)
                object.value = "bytesValue";
            }
            return object;
          };
          AnyValue.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
          };
          AnyValue.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
            if (typeUrlPrefix === void 0) {
              typeUrlPrefix = "type.googleapis.com";
            }
            return typeUrlPrefix + "/opentelemetry.proto.common.v1.AnyValue";
          };
          return AnyValue;
        }();
        v1.ArrayValue = function() {
          function ArrayValue(properties) {
            this.values = [];
            if (properties) {
              for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                if (properties[keys[i]] != null)
                  this[keys[i]] = properties[keys[i]];
            }
          }
          ArrayValue.prototype.values = $util.emptyArray;
          ArrayValue.create = function create(properties) {
            return new ArrayValue(properties);
          };
          ArrayValue.encode = function encode(message, writer) {
            if (!writer)
              writer = $Writer.create();
            if (message.values != null && message.values.length)
              for (let i = 0; i < message.values.length; ++i)
                $root.opentelemetry.proto.common.v1.AnyValue.encode(message.values[i], writer.uint32(
                  /* id 1, wireType 2 =*/
                  10
                ).fork()).ldelim();
            return writer;
          };
          ArrayValue.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
          };
          ArrayValue.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
              reader = $Reader.create(reader);
            let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.common.v1.ArrayValue();
            while (reader.pos < end) {
              let tag = reader.uint32();
              switch (tag >>> 3) {
                case 1: {
                  if (!(message.values && message.values.length))
                    message.values = [];
                  message.values.push($root.opentelemetry.proto.common.v1.AnyValue.decode(reader, reader.uint32()));
                  break;
                }
                default:
                  reader.skipType(tag & 7);
                  break;
              }
            }
            return message;
          };
          ArrayValue.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
              reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
          };
          ArrayValue.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
              return "object expected";
            if (message.values != null && message.hasOwnProperty("values")) {
              if (!Array.isArray(message.values))
                return "values: array expected";
              for (let i = 0; i < message.values.length; ++i) {
                let error = $root.opentelemetry.proto.common.v1.AnyValue.verify(message.values[i]);
                if (error)
                  return "values." + error;
              }
            }
            return null;
          };
          ArrayValue.fromObject = function fromObject(object) {
            if (object instanceof $root.opentelemetry.proto.common.v1.ArrayValue)
              return object;
            let message = new $root.opentelemetry.proto.common.v1.ArrayValue();
            if (object.values) {
              if (!Array.isArray(object.values))
                throw TypeError(".opentelemetry.proto.common.v1.ArrayValue.values: array expected");
              message.values = [];
              for (let i = 0; i < object.values.length; ++i) {
                if (typeof object.values[i] !== "object")
                  throw TypeError(".opentelemetry.proto.common.v1.ArrayValue.values: object expected");
                message.values[i] = $root.opentelemetry.proto.common.v1.AnyValue.fromObject(object.values[i]);
              }
            }
            return message;
          };
          ArrayValue.toObject = function toObject(message, options) {
            if (!options)
              options = {};
            let object = {};
            if (options.arrays || options.defaults)
              object.values = [];
            if (message.values && message.values.length) {
              object.values = [];
              for (let j = 0; j < message.values.length; ++j)
                object.values[j] = $root.opentelemetry.proto.common.v1.AnyValue.toObject(message.values[j], options);
            }
            return object;
          };
          ArrayValue.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
          };
          ArrayValue.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
            if (typeUrlPrefix === void 0) {
              typeUrlPrefix = "type.googleapis.com";
            }
            return typeUrlPrefix + "/opentelemetry.proto.common.v1.ArrayValue";
          };
          return ArrayValue;
        }();
        v1.KeyValueList = function() {
          function KeyValueList(properties) {
            this.values = [];
            if (properties) {
              for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                if (properties[keys[i]] != null)
                  this[keys[i]] = properties[keys[i]];
            }
          }
          KeyValueList.prototype.values = $util.emptyArray;
          KeyValueList.create = function create(properties) {
            return new KeyValueList(properties);
          };
          KeyValueList.encode = function encode(message, writer) {
            if (!writer)
              writer = $Writer.create();
            if (message.values != null && message.values.length)
              for (let i = 0; i < message.values.length; ++i)
                $root.opentelemetry.proto.common.v1.KeyValue.encode(message.values[i], writer.uint32(
                  /* id 1, wireType 2 =*/
                  10
                ).fork()).ldelim();
            return writer;
          };
          KeyValueList.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
          };
          KeyValueList.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
              reader = $Reader.create(reader);
            let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.common.v1.KeyValueList();
            while (reader.pos < end) {
              let tag = reader.uint32();
              switch (tag >>> 3) {
                case 1: {
                  if (!(message.values && message.values.length))
                    message.values = [];
                  message.values.push($root.opentelemetry.proto.common.v1.KeyValue.decode(reader, reader.uint32()));
                  break;
                }
                default:
                  reader.skipType(tag & 7);
                  break;
              }
            }
            return message;
          };
          KeyValueList.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
              reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
          };
          KeyValueList.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
              return "object expected";
            if (message.values != null && message.hasOwnProperty("values")) {
              if (!Array.isArray(message.values))
                return "values: array expected";
              for (let i = 0; i < message.values.length; ++i) {
                let error = $root.opentelemetry.proto.common.v1.KeyValue.verify(message.values[i]);
                if (error)
                  return "values." + error;
              }
            }
            return null;
          };
          KeyValueList.fromObject = function fromObject(object) {
            if (object instanceof $root.opentelemetry.proto.common.v1.KeyValueList)
              return object;
            let message = new $root.opentelemetry.proto.common.v1.KeyValueList();
            if (object.values) {
              if (!Array.isArray(object.values))
                throw TypeError(".opentelemetry.proto.common.v1.KeyValueList.values: array expected");
              message.values = [];
              for (let i = 0; i < object.values.length; ++i) {
                if (typeof object.values[i] !== "object")
                  throw TypeError(".opentelemetry.proto.common.v1.KeyValueList.values: object expected");
                message.values[i] = $root.opentelemetry.proto.common.v1.KeyValue.fromObject(object.values[i]);
              }
            }
            return message;
          };
          KeyValueList.toObject = function toObject(message, options) {
            if (!options)
              options = {};
            let object = {};
            if (options.arrays || options.defaults)
              object.values = [];
            if (message.values && message.values.length) {
              object.values = [];
              for (let j = 0; j < message.values.length; ++j)
                object.values[j] = $root.opentelemetry.proto.common.v1.KeyValue.toObject(message.values[j], options);
            }
            return object;
          };
          KeyValueList.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
          };
          KeyValueList.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
            if (typeUrlPrefix === void 0) {
              typeUrlPrefix = "type.googleapis.com";
            }
            return typeUrlPrefix + "/opentelemetry.proto.common.v1.KeyValueList";
          };
          return KeyValueList;
        }();
        v1.KeyValue = function() {
          function KeyValue(properties) {
            if (properties) {
              for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                if (properties[keys[i]] != null)
                  this[keys[i]] = properties[keys[i]];
            }
          }
          KeyValue.prototype.key = "";
          KeyValue.prototype.value = null;
          KeyValue.create = function create(properties) {
            return new KeyValue(properties);
          };
          KeyValue.encode = function encode(message, writer) {
            if (!writer)
              writer = $Writer.create();
            if (message.key != null && Object.hasOwnProperty.call(message, "key"))
              writer.uint32(
                /* id 1, wireType 2 =*/
                10
              ).string(message.key);
            if (message.value != null && Object.hasOwnProperty.call(message, "value"))
              $root.opentelemetry.proto.common.v1.AnyValue.encode(message.value, writer.uint32(
                /* id 2, wireType 2 =*/
                18
              ).fork()).ldelim();
            return writer;
          };
          KeyValue.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
          };
          KeyValue.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
              reader = $Reader.create(reader);
            let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.common.v1.KeyValue();
            while (reader.pos < end) {
              let tag = reader.uint32();
              switch (tag >>> 3) {
                case 1: {
                  message.key = reader.string();
                  break;
                }
                case 2: {
                  message.value = $root.opentelemetry.proto.common.v1.AnyValue.decode(reader, reader.uint32());
                  break;
                }
                default:
                  reader.skipType(tag & 7);
                  break;
              }
            }
            return message;
          };
          KeyValue.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
              reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
          };
          KeyValue.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
              return "object expected";
            if (message.key != null && message.hasOwnProperty("key")) {
              if (!$util.isString(message.key))
                return "key: string expected";
            }
            if (message.value != null && message.hasOwnProperty("value")) {
              let error = $root.opentelemetry.proto.common.v1.AnyValue.verify(message.value);
              if (error)
                return "value." + error;
            }
            return null;
          };
          KeyValue.fromObject = function fromObject(object) {
            if (object instanceof $root.opentelemetry.proto.common.v1.KeyValue)
              return object;
            let message = new $root.opentelemetry.proto.common.v1.KeyValue();
            if (object.key != null)
              message.key = String(object.key);
            if (object.value != null) {
              if (typeof object.value !== "object")
                throw TypeError(".opentelemetry.proto.common.v1.KeyValue.value: object expected");
              message.value = $root.opentelemetry.proto.common.v1.AnyValue.fromObject(object.value);
            }
            return message;
          };
          KeyValue.toObject = function toObject(message, options) {
            if (!options)
              options = {};
            let object = {};
            if (options.defaults) {
              object.key = "";
              object.value = null;
            }
            if (message.key != null && message.hasOwnProperty("key"))
              object.key = message.key;
            if (message.value != null && message.hasOwnProperty("value"))
              object.value = $root.opentelemetry.proto.common.v1.AnyValue.toObject(message.value, options);
            return object;
          };
          KeyValue.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
          };
          KeyValue.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
            if (typeUrlPrefix === void 0) {
              typeUrlPrefix = "type.googleapis.com";
            }
            return typeUrlPrefix + "/opentelemetry.proto.common.v1.KeyValue";
          };
          return KeyValue;
        }();
        v1.InstrumentationScope = function() {
          function InstrumentationScope(properties) {
            this.attributes = [];
            if (properties) {
              for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                if (properties[keys[i]] != null)
                  this[keys[i]] = properties[keys[i]];
            }
          }
          InstrumentationScope.prototype.name = "";
          InstrumentationScope.prototype.version = "";
          InstrumentationScope.prototype.attributes = $util.emptyArray;
          InstrumentationScope.prototype.droppedAttributesCount = 0;
          InstrumentationScope.create = function create(properties) {
            return new InstrumentationScope(properties);
          };
          InstrumentationScope.encode = function encode(message, writer) {
            if (!writer)
              writer = $Writer.create();
            if (message.name != null && Object.hasOwnProperty.call(message, "name"))
              writer.uint32(
                /* id 1, wireType 2 =*/
                10
              ).string(message.name);
            if (message.version != null && Object.hasOwnProperty.call(message, "version"))
              writer.uint32(
                /* id 2, wireType 2 =*/
                18
              ).string(message.version);
            if (message.attributes != null && message.attributes.length)
              for (let i = 0; i < message.attributes.length; ++i)
                $root.opentelemetry.proto.common.v1.KeyValue.encode(message.attributes[i], writer.uint32(
                  /* id 3, wireType 2 =*/
                  26
                ).fork()).ldelim();
            if (message.droppedAttributesCount != null && Object.hasOwnProperty.call(message, "droppedAttributesCount"))
              writer.uint32(
                /* id 4, wireType 0 =*/
                32
              ).uint32(message.droppedAttributesCount);
            return writer;
          };
          InstrumentationScope.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
          };
          InstrumentationScope.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
              reader = $Reader.create(reader);
            let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.common.v1.InstrumentationScope();
            while (reader.pos < end) {
              let tag = reader.uint32();
              switch (tag >>> 3) {
                case 1: {
                  message.name = reader.string();
                  break;
                }
                case 2: {
                  message.version = reader.string();
                  break;
                }
                case 3: {
                  if (!(message.attributes && message.attributes.length))
                    message.attributes = [];
                  message.attributes.push($root.opentelemetry.proto.common.v1.KeyValue.decode(reader, reader.uint32()));
                  break;
                }
                case 4: {
                  message.droppedAttributesCount = reader.uint32();
                  break;
                }
                default:
                  reader.skipType(tag & 7);
                  break;
              }
            }
            return message;
          };
          InstrumentationScope.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
              reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
          };
          InstrumentationScope.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
              return "object expected";
            if (message.name != null && message.hasOwnProperty("name")) {
              if (!$util.isString(message.name))
                return "name: string expected";
            }
            if (message.version != null && message.hasOwnProperty("version")) {
              if (!$util.isString(message.version))
                return "version: string expected";
            }
            if (message.attributes != null && message.hasOwnProperty("attributes")) {
              if (!Array.isArray(message.attributes))
                return "attributes: array expected";
              for (let i = 0; i < message.attributes.length; ++i) {
                let error = $root.opentelemetry.proto.common.v1.KeyValue.verify(message.attributes[i]);
                if (error)
                  return "attributes." + error;
              }
            }
            if (message.droppedAttributesCount != null && message.hasOwnProperty("droppedAttributesCount")) {
              if (!$util.isInteger(message.droppedAttributesCount))
                return "droppedAttributesCount: integer expected";
            }
            return null;
          };
          InstrumentationScope.fromObject = function fromObject(object) {
            if (object instanceof $root.opentelemetry.proto.common.v1.InstrumentationScope)
              return object;
            let message = new $root.opentelemetry.proto.common.v1.InstrumentationScope();
            if (object.name != null)
              message.name = String(object.name);
            if (object.version != null)
              message.version = String(object.version);
            if (object.attributes) {
              if (!Array.isArray(object.attributes))
                throw TypeError(".opentelemetry.proto.common.v1.InstrumentationScope.attributes: array expected");
              message.attributes = [];
              for (let i = 0; i < object.attributes.length; ++i) {
                if (typeof object.attributes[i] !== "object")
                  throw TypeError(".opentelemetry.proto.common.v1.InstrumentationScope.attributes: object expected");
                message.attributes[i] = $root.opentelemetry.proto.common.v1.KeyValue.fromObject(object.attributes[i]);
              }
            }
            if (object.droppedAttributesCount != null)
              message.droppedAttributesCount = object.droppedAttributesCount >>> 0;
            return message;
          };
          InstrumentationScope.toObject = function toObject(message, options) {
            if (!options)
              options = {};
            let object = {};
            if (options.arrays || options.defaults)
              object.attributes = [];
            if (options.defaults) {
              object.name = "";
              object.version = "";
              object.droppedAttributesCount = 0;
            }
            if (message.name != null && message.hasOwnProperty("name"))
              object.name = message.name;
            if (message.version != null && message.hasOwnProperty("version"))
              object.version = message.version;
            if (message.attributes && message.attributes.length) {
              object.attributes = [];
              for (let j = 0; j < message.attributes.length; ++j)
                object.attributes[j] = $root.opentelemetry.proto.common.v1.KeyValue.toObject(message.attributes[j], options);
            }
            if (message.droppedAttributesCount != null && message.hasOwnProperty("droppedAttributesCount"))
              object.droppedAttributesCount = message.droppedAttributesCount;
            return object;
          };
          InstrumentationScope.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
          };
          InstrumentationScope.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
            if (typeUrlPrefix === void 0) {
              typeUrlPrefix = "type.googleapis.com";
            }
            return typeUrlPrefix + "/opentelemetry.proto.common.v1.InstrumentationScope";
          };
          return InstrumentationScope;
        }();
        return v1;
      }();
      return common;
    }();
    proto.resource = function() {
      const resource = {};
      resource.v1 = function() {
        const v1 = {};
        v1.Resource = function() {
          function Resource(properties) {
            this.attributes = [];
            if (properties) {
              for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                if (properties[keys[i]] != null)
                  this[keys[i]] = properties[keys[i]];
            }
          }
          Resource.prototype.attributes = $util.emptyArray;
          Resource.prototype.droppedAttributesCount = 0;
          Resource.create = function create(properties) {
            return new Resource(properties);
          };
          Resource.encode = function encode(message, writer) {
            if (!writer)
              writer = $Writer.create();
            if (message.attributes != null && message.attributes.length)
              for (let i = 0; i < message.attributes.length; ++i)
                $root.opentelemetry.proto.common.v1.KeyValue.encode(message.attributes[i], writer.uint32(
                  /* id 1, wireType 2 =*/
                  10
                ).fork()).ldelim();
            if (message.droppedAttributesCount != null && Object.hasOwnProperty.call(message, "droppedAttributesCount"))
              writer.uint32(
                /* id 2, wireType 0 =*/
                16
              ).uint32(message.droppedAttributesCount);
            return writer;
          };
          Resource.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
          };
          Resource.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
              reader = $Reader.create(reader);
            let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.resource.v1.Resource();
            while (reader.pos < end) {
              let tag = reader.uint32();
              switch (tag >>> 3) {
                case 1: {
                  if (!(message.attributes && message.attributes.length))
                    message.attributes = [];
                  message.attributes.push($root.opentelemetry.proto.common.v1.KeyValue.decode(reader, reader.uint32()));
                  break;
                }
                case 2: {
                  message.droppedAttributesCount = reader.uint32();
                  break;
                }
                default:
                  reader.skipType(tag & 7);
                  break;
              }
            }
            return message;
          };
          Resource.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
              reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
          };
          Resource.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
              return "object expected";
            if (message.attributes != null && message.hasOwnProperty("attributes")) {
              if (!Array.isArray(message.attributes))
                return "attributes: array expected";
              for (let i = 0; i < message.attributes.length; ++i) {
                let error = $root.opentelemetry.proto.common.v1.KeyValue.verify(message.attributes[i]);
                if (error)
                  return "attributes." + error;
              }
            }
            if (message.droppedAttributesCount != null && message.hasOwnProperty("droppedAttributesCount")) {
              if (!$util.isInteger(message.droppedAttributesCount))
                return "droppedAttributesCount: integer expected";
            }
            return null;
          };
          Resource.fromObject = function fromObject(object) {
            if (object instanceof $root.opentelemetry.proto.resource.v1.Resource)
              return object;
            let message = new $root.opentelemetry.proto.resource.v1.Resource();
            if (object.attributes) {
              if (!Array.isArray(object.attributes))
                throw TypeError(".opentelemetry.proto.resource.v1.Resource.attributes: array expected");
              message.attributes = [];
              for (let i = 0; i < object.attributes.length; ++i) {
                if (typeof object.attributes[i] !== "object")
                  throw TypeError(".opentelemetry.proto.resource.v1.Resource.attributes: object expected");
                message.attributes[i] = $root.opentelemetry.proto.common.v1.KeyValue.fromObject(object.attributes[i]);
              }
            }
            if (object.droppedAttributesCount != null)
              message.droppedAttributesCount = object.droppedAttributesCount >>> 0;
            return message;
          };
          Resource.toObject = function toObject(message, options) {
            if (!options)
              options = {};
            let object = {};
            if (options.arrays || options.defaults)
              object.attributes = [];
            if (options.defaults)
              object.droppedAttributesCount = 0;
            if (message.attributes && message.attributes.length) {
              object.attributes = [];
              for (let j = 0; j < message.attributes.length; ++j)
                object.attributes[j] = $root.opentelemetry.proto.common.v1.KeyValue.toObject(message.attributes[j], options);
            }
            if (message.droppedAttributesCount != null && message.hasOwnProperty("droppedAttributesCount"))
              object.droppedAttributesCount = message.droppedAttributesCount;
            return object;
          };
          Resource.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
          };
          Resource.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
            if (typeUrlPrefix === void 0) {
              typeUrlPrefix = "type.googleapis.com";
            }
            return typeUrlPrefix + "/opentelemetry.proto.resource.v1.Resource";
          };
          return Resource;
        }();
        return v1;
      }();
      return resource;
    }();
    proto.trace = function() {
      const trace = {};
      trace.v1 = function() {
        const v1 = {};
        v1.TracesData = function() {
          function TracesData(properties) {
            this.resourceSpans = [];
            if (properties) {
              for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                if (properties[keys[i]] != null)
                  this[keys[i]] = properties[keys[i]];
            }
          }
          TracesData.prototype.resourceSpans = $util.emptyArray;
          TracesData.create = function create(properties) {
            return new TracesData(properties);
          };
          TracesData.encode = function encode(message, writer) {
            if (!writer)
              writer = $Writer.create();
            if (message.resourceSpans != null && message.resourceSpans.length)
              for (let i = 0; i < message.resourceSpans.length; ++i)
                $root.opentelemetry.proto.trace.v1.ResourceSpans.encode(message.resourceSpans[i], writer.uint32(
                  /* id 1, wireType 2 =*/
                  10
                ).fork()).ldelim();
            return writer;
          };
          TracesData.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
          };
          TracesData.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
              reader = $Reader.create(reader);
            let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.trace.v1.TracesData();
            while (reader.pos < end) {
              let tag = reader.uint32();
              switch (tag >>> 3) {
                case 1: {
                  if (!(message.resourceSpans && message.resourceSpans.length))
                    message.resourceSpans = [];
                  message.resourceSpans.push($root.opentelemetry.proto.trace.v1.ResourceSpans.decode(reader, reader.uint32()));
                  break;
                }
                default:
                  reader.skipType(tag & 7);
                  break;
              }
            }
            return message;
          };
          TracesData.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
              reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
          };
          TracesData.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
              return "object expected";
            if (message.resourceSpans != null && message.hasOwnProperty("resourceSpans")) {
              if (!Array.isArray(message.resourceSpans))
                return "resourceSpans: array expected";
              for (let i = 0; i < message.resourceSpans.length; ++i) {
                let error = $root.opentelemetry.proto.trace.v1.ResourceSpans.verify(message.resourceSpans[i]);
                if (error)
                  return "resourceSpans." + error;
              }
            }
            return null;
          };
          TracesData.fromObject = function fromObject(object) {
            if (object instanceof $root.opentelemetry.proto.trace.v1.TracesData)
              return object;
            let message = new $root.opentelemetry.proto.trace.v1.TracesData();
            if (object.resourceSpans) {
              if (!Array.isArray(object.resourceSpans))
                throw TypeError(".opentelemetry.proto.trace.v1.TracesData.resourceSpans: array expected");
              message.resourceSpans = [];
              for (let i = 0; i < object.resourceSpans.length; ++i) {
                if (typeof object.resourceSpans[i] !== "object")
                  throw TypeError(".opentelemetry.proto.trace.v1.TracesData.resourceSpans: object expected");
                message.resourceSpans[i] = $root.opentelemetry.proto.trace.v1.ResourceSpans.fromObject(object.resourceSpans[i]);
              }
            }
            return message;
          };
          TracesData.toObject = function toObject(message, options) {
            if (!options)
              options = {};
            let object = {};
            if (options.arrays || options.defaults)
              object.resourceSpans = [];
            if (message.resourceSpans && message.resourceSpans.length) {
              object.resourceSpans = [];
              for (let j = 0; j < message.resourceSpans.length; ++j)
                object.resourceSpans[j] = $root.opentelemetry.proto.trace.v1.ResourceSpans.toObject(message.resourceSpans[j], options);
            }
            return object;
          };
          TracesData.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
          };
          TracesData.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
            if (typeUrlPrefix === void 0) {
              typeUrlPrefix = "type.googleapis.com";
            }
            return typeUrlPrefix + "/opentelemetry.proto.trace.v1.TracesData";
          };
          return TracesData;
        }();
        v1.ResourceSpans = function() {
          function ResourceSpans(properties) {
            this.scopeSpans = [];
            if (properties) {
              for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                if (properties[keys[i]] != null)
                  this[keys[i]] = properties[keys[i]];
            }
          }
          ResourceSpans.prototype.resource = null;
          ResourceSpans.prototype.scopeSpans = $util.emptyArray;
          ResourceSpans.prototype.schemaUrl = "";
          ResourceSpans.create = function create(properties) {
            return new ResourceSpans(properties);
          };
          ResourceSpans.encode = function encode(message, writer) {
            if (!writer)
              writer = $Writer.create();
            if (message.resource != null && Object.hasOwnProperty.call(message, "resource"))
              $root.opentelemetry.proto.resource.v1.Resource.encode(message.resource, writer.uint32(
                /* id 1, wireType 2 =*/
                10
              ).fork()).ldelim();
            if (message.scopeSpans != null && message.scopeSpans.length)
              for (let i = 0; i < message.scopeSpans.length; ++i)
                $root.opentelemetry.proto.trace.v1.ScopeSpans.encode(message.scopeSpans[i], writer.uint32(
                  /* id 2, wireType 2 =*/
                  18
                ).fork()).ldelim();
            if (message.schemaUrl != null && Object.hasOwnProperty.call(message, "schemaUrl"))
              writer.uint32(
                /* id 3, wireType 2 =*/
                26
              ).string(message.schemaUrl);
            return writer;
          };
          ResourceSpans.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
          };
          ResourceSpans.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
              reader = $Reader.create(reader);
            let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.trace.v1.ResourceSpans();
            while (reader.pos < end) {
              let tag = reader.uint32();
              switch (tag >>> 3) {
                case 1: {
                  message.resource = $root.opentelemetry.proto.resource.v1.Resource.decode(reader, reader.uint32());
                  break;
                }
                case 2: {
                  if (!(message.scopeSpans && message.scopeSpans.length))
                    message.scopeSpans = [];
                  message.scopeSpans.push($root.opentelemetry.proto.trace.v1.ScopeSpans.decode(reader, reader.uint32()));
                  break;
                }
                case 3: {
                  message.schemaUrl = reader.string();
                  break;
                }
                default:
                  reader.skipType(tag & 7);
                  break;
              }
            }
            return message;
          };
          ResourceSpans.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
              reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
          };
          ResourceSpans.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
              return "object expected";
            if (message.resource != null && message.hasOwnProperty("resource")) {
              let error = $root.opentelemetry.proto.resource.v1.Resource.verify(message.resource);
              if (error)
                return "resource." + error;
            }
            if (message.scopeSpans != null && message.hasOwnProperty("scopeSpans")) {
              if (!Array.isArray(message.scopeSpans))
                return "scopeSpans: array expected";
              for (let i = 0; i < message.scopeSpans.length; ++i) {
                let error = $root.opentelemetry.proto.trace.v1.ScopeSpans.verify(message.scopeSpans[i]);
                if (error)
                  return "scopeSpans." + error;
              }
            }
            if (message.schemaUrl != null && message.hasOwnProperty("schemaUrl")) {
              if (!$util.isString(message.schemaUrl))
                return "schemaUrl: string expected";
            }
            return null;
          };
          ResourceSpans.fromObject = function fromObject(object) {
            if (object instanceof $root.opentelemetry.proto.trace.v1.ResourceSpans)
              return object;
            let message = new $root.opentelemetry.proto.trace.v1.ResourceSpans();
            if (object.resource != null) {
              if (typeof object.resource !== "object")
                throw TypeError(".opentelemetry.proto.trace.v1.ResourceSpans.resource: object expected");
              message.resource = $root.opentelemetry.proto.resource.v1.Resource.fromObject(object.resource);
            }
            if (object.scopeSpans) {
              if (!Array.isArray(object.scopeSpans))
                throw TypeError(".opentelemetry.proto.trace.v1.ResourceSpans.scopeSpans: array expected");
              message.scopeSpans = [];
              for (let i = 0; i < object.scopeSpans.length; ++i) {
                if (typeof object.scopeSpans[i] !== "object")
                  throw TypeError(".opentelemetry.proto.trace.v1.ResourceSpans.scopeSpans: object expected");
                message.scopeSpans[i] = $root.opentelemetry.proto.trace.v1.ScopeSpans.fromObject(object.scopeSpans[i]);
              }
            }
            if (object.schemaUrl != null)
              message.schemaUrl = String(object.schemaUrl);
            return message;
          };
          ResourceSpans.toObject = function toObject(message, options) {
            if (!options)
              options = {};
            let object = {};
            if (options.arrays || options.defaults)
              object.scopeSpans = [];
            if (options.defaults) {
              object.resource = null;
              object.schemaUrl = "";
            }
            if (message.resource != null && message.hasOwnProperty("resource"))
              object.resource = $root.opentelemetry.proto.resource.v1.Resource.toObject(message.resource, options);
            if (message.scopeSpans && message.scopeSpans.length) {
              object.scopeSpans = [];
              for (let j = 0; j < message.scopeSpans.length; ++j)
                object.scopeSpans[j] = $root.opentelemetry.proto.trace.v1.ScopeSpans.toObject(message.scopeSpans[j], options);
            }
            if (message.schemaUrl != null && message.hasOwnProperty("schemaUrl"))
              object.schemaUrl = message.schemaUrl;
            return object;
          };
          ResourceSpans.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
          };
          ResourceSpans.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
            if (typeUrlPrefix === void 0) {
              typeUrlPrefix = "type.googleapis.com";
            }
            return typeUrlPrefix + "/opentelemetry.proto.trace.v1.ResourceSpans";
          };
          return ResourceSpans;
        }();
        v1.ScopeSpans = function() {
          function ScopeSpans(properties) {
            this.spans = [];
            if (properties) {
              for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                if (properties[keys[i]] != null)
                  this[keys[i]] = properties[keys[i]];
            }
          }
          ScopeSpans.prototype.scope = null;
          ScopeSpans.prototype.spans = $util.emptyArray;
          ScopeSpans.prototype.schemaUrl = "";
          ScopeSpans.create = function create(properties) {
            return new ScopeSpans(properties);
          };
          ScopeSpans.encode = function encode(message, writer) {
            if (!writer)
              writer = $Writer.create();
            if (message.scope != null && Object.hasOwnProperty.call(message, "scope"))
              $root.opentelemetry.proto.common.v1.InstrumentationScope.encode(message.scope, writer.uint32(
                /* id 1, wireType 2 =*/
                10
              ).fork()).ldelim();
            if (message.spans != null && message.spans.length)
              for (let i = 0; i < message.spans.length; ++i)
                $root.opentelemetry.proto.trace.v1.Span.encode(message.spans[i], writer.uint32(
                  /* id 2, wireType 2 =*/
                  18
                ).fork()).ldelim();
            if (message.schemaUrl != null && Object.hasOwnProperty.call(message, "schemaUrl"))
              writer.uint32(
                /* id 3, wireType 2 =*/
                26
              ).string(message.schemaUrl);
            return writer;
          };
          ScopeSpans.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
          };
          ScopeSpans.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
              reader = $Reader.create(reader);
            let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.trace.v1.ScopeSpans();
            while (reader.pos < end) {
              let tag = reader.uint32();
              switch (tag >>> 3) {
                case 1: {
                  message.scope = $root.opentelemetry.proto.common.v1.InstrumentationScope.decode(reader, reader.uint32());
                  break;
                }
                case 2: {
                  if (!(message.spans && message.spans.length))
                    message.spans = [];
                  message.spans.push($root.opentelemetry.proto.trace.v1.Span.decode(reader, reader.uint32()));
                  break;
                }
                case 3: {
                  message.schemaUrl = reader.string();
                  break;
                }
                default:
                  reader.skipType(tag & 7);
                  break;
              }
            }
            return message;
          };
          ScopeSpans.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
              reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
          };
          ScopeSpans.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
              return "object expected";
            if (message.scope != null && message.hasOwnProperty("scope")) {
              let error = $root.opentelemetry.proto.common.v1.InstrumentationScope.verify(message.scope);
              if (error)
                return "scope." + error;
            }
            if (message.spans != null && message.hasOwnProperty("spans")) {
              if (!Array.isArray(message.spans))
                return "spans: array expected";
              for (let i = 0; i < message.spans.length; ++i) {
                let error = $root.opentelemetry.proto.trace.v1.Span.verify(message.spans[i]);
                if (error)
                  return "spans." + error;
              }
            }
            if (message.schemaUrl != null && message.hasOwnProperty("schemaUrl")) {
              if (!$util.isString(message.schemaUrl))
                return "schemaUrl: string expected";
            }
            return null;
          };
          ScopeSpans.fromObject = function fromObject(object) {
            if (object instanceof $root.opentelemetry.proto.trace.v1.ScopeSpans)
              return object;
            let message = new $root.opentelemetry.proto.trace.v1.ScopeSpans();
            if (object.scope != null) {
              if (typeof object.scope !== "object")
                throw TypeError(".opentelemetry.proto.trace.v1.ScopeSpans.scope: object expected");
              message.scope = $root.opentelemetry.proto.common.v1.InstrumentationScope.fromObject(object.scope);
            }
            if (object.spans) {
              if (!Array.isArray(object.spans))
                throw TypeError(".opentelemetry.proto.trace.v1.ScopeSpans.spans: array expected");
              message.spans = [];
              for (let i = 0; i < object.spans.length; ++i) {
                if (typeof object.spans[i] !== "object")
                  throw TypeError(".opentelemetry.proto.trace.v1.ScopeSpans.spans: object expected");
                message.spans[i] = $root.opentelemetry.proto.trace.v1.Span.fromObject(object.spans[i]);
              }
            }
            if (object.schemaUrl != null)
              message.schemaUrl = String(object.schemaUrl);
            return message;
          };
          ScopeSpans.toObject = function toObject(message, options) {
            if (!options)
              options = {};
            let object = {};
            if (options.arrays || options.defaults)
              object.spans = [];
            if (options.defaults) {
              object.scope = null;
              object.schemaUrl = "";
            }
            if (message.scope != null && message.hasOwnProperty("scope"))
              object.scope = $root.opentelemetry.proto.common.v1.InstrumentationScope.toObject(message.scope, options);
            if (message.spans && message.spans.length) {
              object.spans = [];
              for (let j = 0; j < message.spans.length; ++j)
                object.spans[j] = $root.opentelemetry.proto.trace.v1.Span.toObject(message.spans[j], options);
            }
            if (message.schemaUrl != null && message.hasOwnProperty("schemaUrl"))
              object.schemaUrl = message.schemaUrl;
            return object;
          };
          ScopeSpans.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
          };
          ScopeSpans.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
            if (typeUrlPrefix === void 0) {
              typeUrlPrefix = "type.googleapis.com";
            }
            return typeUrlPrefix + "/opentelemetry.proto.trace.v1.ScopeSpans";
          };
          return ScopeSpans;
        }();
        v1.Span = function() {
          function Span(properties) {
            this.attributes = [];
            this.events = [];
            this.links = [];
            if (properties) {
              for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                if (properties[keys[i]] != null)
                  this[keys[i]] = properties[keys[i]];
            }
          }
          Span.prototype.traceId = $util.newBuffer([]);
          Span.prototype.spanId = $util.newBuffer([]);
          Span.prototype.traceState = "";
          Span.prototype.parentSpanId = $util.newBuffer([]);
          Span.prototype.flags = 0;
          Span.prototype.name = "";
          Span.prototype.kind = 0;
          Span.prototype.startTimeUnixNano = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
          Span.prototype.endTimeUnixNano = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
          Span.prototype.attributes = $util.emptyArray;
          Span.prototype.droppedAttributesCount = 0;
          Span.prototype.events = $util.emptyArray;
          Span.prototype.droppedEventsCount = 0;
          Span.prototype.links = $util.emptyArray;
          Span.prototype.droppedLinksCount = 0;
          Span.prototype.status = null;
          Span.create = function create(properties) {
            return new Span(properties);
          };
          Span.encode = function encode(message, writer) {
            if (!writer)
              writer = $Writer.create();
            if (message.traceId != null && Object.hasOwnProperty.call(message, "traceId"))
              writer.uint32(
                /* id 1, wireType 2 =*/
                10
              ).bytes(message.traceId);
            if (message.spanId != null && Object.hasOwnProperty.call(message, "spanId"))
              writer.uint32(
                /* id 2, wireType 2 =*/
                18
              ).bytes(message.spanId);
            if (message.traceState != null && Object.hasOwnProperty.call(message, "traceState"))
              writer.uint32(
                /* id 3, wireType 2 =*/
                26
              ).string(message.traceState);
            if (message.parentSpanId != null && Object.hasOwnProperty.call(message, "parentSpanId"))
              writer.uint32(
                /* id 4, wireType 2 =*/
                34
              ).bytes(message.parentSpanId);
            if (message.name != null && Object.hasOwnProperty.call(message, "name"))
              writer.uint32(
                /* id 5, wireType 2 =*/
                42
              ).string(message.name);
            if (message.kind != null && Object.hasOwnProperty.call(message, "kind"))
              writer.uint32(
                /* id 6, wireType 0 =*/
                48
              ).int32(message.kind);
            if (message.startTimeUnixNano != null && Object.hasOwnProperty.call(message, "startTimeUnixNano"))
              writer.uint32(
                /* id 7, wireType 1 =*/
                57
              ).fixed64(message.startTimeUnixNano);
            if (message.endTimeUnixNano != null && Object.hasOwnProperty.call(message, "endTimeUnixNano"))
              writer.uint32(
                /* id 8, wireType 1 =*/
                65
              ).fixed64(message.endTimeUnixNano);
            if (message.attributes != null && message.attributes.length)
              for (let i = 0; i < message.attributes.length; ++i)
                $root.opentelemetry.proto.common.v1.KeyValue.encode(message.attributes[i], writer.uint32(
                  /* id 9, wireType 2 =*/
                  74
                ).fork()).ldelim();
            if (message.droppedAttributesCount != null && Object.hasOwnProperty.call(message, "droppedAttributesCount"))
              writer.uint32(
                /* id 10, wireType 0 =*/
                80
              ).uint32(message.droppedAttributesCount);
            if (message.events != null && message.events.length)
              for (let i = 0; i < message.events.length; ++i)
                $root.opentelemetry.proto.trace.v1.Span.Event.encode(message.events[i], writer.uint32(
                  /* id 11, wireType 2 =*/
                  90
                ).fork()).ldelim();
            if (message.droppedEventsCount != null && Object.hasOwnProperty.call(message, "droppedEventsCount"))
              writer.uint32(
                /* id 12, wireType 0 =*/
                96
              ).uint32(message.droppedEventsCount);
            if (message.links != null && message.links.length)
              for (let i = 0; i < message.links.length; ++i)
                $root.opentelemetry.proto.trace.v1.Span.Link.encode(message.links[i], writer.uint32(
                  /* id 13, wireType 2 =*/
                  106
                ).fork()).ldelim();
            if (message.droppedLinksCount != null && Object.hasOwnProperty.call(message, "droppedLinksCount"))
              writer.uint32(
                /* id 14, wireType 0 =*/
                112
              ).uint32(message.droppedLinksCount);
            if (message.status != null && Object.hasOwnProperty.call(message, "status"))
              $root.opentelemetry.proto.trace.v1.Status.encode(message.status, writer.uint32(
                /* id 15, wireType 2 =*/
                122
              ).fork()).ldelim();
            if (message.flags != null && Object.hasOwnProperty.call(message, "flags"))
              writer.uint32(
                /* id 16, wireType 5 =*/
                133
              ).fixed32(message.flags);
            return writer;
          };
          Span.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
          };
          Span.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
              reader = $Reader.create(reader);
            let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.trace.v1.Span();
            while (reader.pos < end) {
              let tag = reader.uint32();
              switch (tag >>> 3) {
                case 1: {
                  message.traceId = reader.bytes();
                  break;
                }
                case 2: {
                  message.spanId = reader.bytes();
                  break;
                }
                case 3: {
                  message.traceState = reader.string();
                  break;
                }
                case 4: {
                  message.parentSpanId = reader.bytes();
                  break;
                }
                case 16: {
                  message.flags = reader.fixed32();
                  break;
                }
                case 5: {
                  message.name = reader.string();
                  break;
                }
                case 6: {
                  message.kind = reader.int32();
                  break;
                }
                case 7: {
                  message.startTimeUnixNano = reader.fixed64();
                  break;
                }
                case 8: {
                  message.endTimeUnixNano = reader.fixed64();
                  break;
                }
                case 9: {
                  if (!(message.attributes && message.attributes.length))
                    message.attributes = [];
                  message.attributes.push($root.opentelemetry.proto.common.v1.KeyValue.decode(reader, reader.uint32()));
                  break;
                }
                case 10: {
                  message.droppedAttributesCount = reader.uint32();
                  break;
                }
                case 11: {
                  if (!(message.events && message.events.length))
                    message.events = [];
                  message.events.push($root.opentelemetry.proto.trace.v1.Span.Event.decode(reader, reader.uint32()));
                  break;
                }
                case 12: {
                  message.droppedEventsCount = reader.uint32();
                  break;
                }
                case 13: {
                  if (!(message.links && message.links.length))
                    message.links = [];
                  message.links.push($root.opentelemetry.proto.trace.v1.Span.Link.decode(reader, reader.uint32()));
                  break;
                }
                case 14: {
                  message.droppedLinksCount = reader.uint32();
                  break;
                }
                case 15: {
                  message.status = $root.opentelemetry.proto.trace.v1.Status.decode(reader, reader.uint32());
                  break;
                }
                default:
                  reader.skipType(tag & 7);
                  break;
              }
            }
            return message;
          };
          Span.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
              reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
          };
          Span.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
              return "object expected";
            if (message.traceId != null && message.hasOwnProperty("traceId")) {
              if (!(message.traceId && typeof message.traceId.length === "number" || $util.isString(message.traceId)))
                return "traceId: buffer expected";
            }
            if (message.spanId != null && message.hasOwnProperty("spanId")) {
              if (!(message.spanId && typeof message.spanId.length === "number" || $util.isString(message.spanId)))
                return "spanId: buffer expected";
            }
            if (message.traceState != null && message.hasOwnProperty("traceState")) {
              if (!$util.isString(message.traceState))
                return "traceState: string expected";
            }
            if (message.parentSpanId != null && message.hasOwnProperty("parentSpanId")) {
              if (!(message.parentSpanId && typeof message.parentSpanId.length === "number" || $util.isString(message.parentSpanId)))
                return "parentSpanId: buffer expected";
            }
            if (message.flags != null && message.hasOwnProperty("flags")) {
              if (!$util.isInteger(message.flags))
                return "flags: integer expected";
            }
            if (message.name != null && message.hasOwnProperty("name")) {
              if (!$util.isString(message.name))
                return "name: string expected";
            }
            if (message.kind != null && message.hasOwnProperty("kind"))
              switch (message.kind) {
                default:
                  return "kind: enum value expected";
                case 0:
                case 1:
                case 2:
                case 3:
                case 4:
                case 5:
                  break;
              }
            if (message.startTimeUnixNano != null && message.hasOwnProperty("startTimeUnixNano")) {
              if (!$util.isInteger(message.startTimeUnixNano) && !(message.startTimeUnixNano && $util.isInteger(message.startTimeUnixNano.low) && $util.isInteger(message.startTimeUnixNano.high)))
                return "startTimeUnixNano: integer|Long expected";
            }
            if (message.endTimeUnixNano != null && message.hasOwnProperty("endTimeUnixNano")) {
              if (!$util.isInteger(message.endTimeUnixNano) && !(message.endTimeUnixNano && $util.isInteger(message.endTimeUnixNano.low) && $util.isInteger(message.endTimeUnixNano.high)))
                return "endTimeUnixNano: integer|Long expected";
            }
            if (message.attributes != null && message.hasOwnProperty("attributes")) {
              if (!Array.isArray(message.attributes))
                return "attributes: array expected";
              for (let i = 0; i < message.attributes.length; ++i) {
                let error = $root.opentelemetry.proto.common.v1.KeyValue.verify(message.attributes[i]);
                if (error)
                  return "attributes." + error;
              }
            }
            if (message.droppedAttributesCount != null && message.hasOwnProperty("droppedAttributesCount")) {
              if (!$util.isInteger(message.droppedAttributesCount))
                return "droppedAttributesCount: integer expected";
            }
            if (message.events != null && message.hasOwnProperty("events")) {
              if (!Array.isArray(message.events))
                return "events: array expected";
              for (let i = 0; i < message.events.length; ++i) {
                let error = $root.opentelemetry.proto.trace.v1.Span.Event.verify(message.events[i]);
                if (error)
                  return "events." + error;
              }
            }
            if (message.droppedEventsCount != null && message.hasOwnProperty("droppedEventsCount")) {
              if (!$util.isInteger(message.droppedEventsCount))
                return "droppedEventsCount: integer expected";
            }
            if (message.links != null && message.hasOwnProperty("links")) {
              if (!Array.isArray(message.links))
                return "links: array expected";
              for (let i = 0; i < message.links.length; ++i) {
                let error = $root.opentelemetry.proto.trace.v1.Span.Link.verify(message.links[i]);
                if (error)
                  return "links." + error;
              }
            }
            if (message.droppedLinksCount != null && message.hasOwnProperty("droppedLinksCount")) {
              if (!$util.isInteger(message.droppedLinksCount))
                return "droppedLinksCount: integer expected";
            }
            if (message.status != null && message.hasOwnProperty("status")) {
              let error = $root.opentelemetry.proto.trace.v1.Status.verify(message.status);
              if (error)
                return "status." + error;
            }
            return null;
          };
          Span.fromObject = function fromObject(object) {
            if (object instanceof $root.opentelemetry.proto.trace.v1.Span)
              return object;
            let message = new $root.opentelemetry.proto.trace.v1.Span();
            if (object.traceId != null) {
              if (typeof object.traceId === "string")
                $util.base64.decode(object.traceId, message.traceId = $util.newBuffer($util.base64.length(object.traceId)), 0);
              else if (object.traceId.length >= 0)
                message.traceId = object.traceId;
            }
            if (object.spanId != null) {
              if (typeof object.spanId === "string")
                $util.base64.decode(object.spanId, message.spanId = $util.newBuffer($util.base64.length(object.spanId)), 0);
              else if (object.spanId.length >= 0)
                message.spanId = object.spanId;
            }
            if (object.traceState != null)
              message.traceState = String(object.traceState);
            if (object.parentSpanId != null) {
              if (typeof object.parentSpanId === "string")
                $util.base64.decode(object.parentSpanId, message.parentSpanId = $util.newBuffer($util.base64.length(object.parentSpanId)), 0);
              else if (object.parentSpanId.length >= 0)
                message.parentSpanId = object.parentSpanId;
            }
            if (object.flags != null)
              message.flags = object.flags >>> 0;
            if (object.name != null)
              message.name = String(object.name);
            switch (object.kind) {
              default:
                if (typeof object.kind === "number") {
                  message.kind = object.kind;
                  break;
                }
                break;
              case "SPAN_KIND_UNSPECIFIED":
              case 0:
                message.kind = 0;
                break;
              case "SPAN_KIND_INTERNAL":
              case 1:
                message.kind = 1;
                break;
              case "SPAN_KIND_SERVER":
              case 2:
                message.kind = 2;
                break;
              case "SPAN_KIND_CLIENT":
              case 3:
                message.kind = 3;
                break;
              case "SPAN_KIND_PRODUCER":
              case 4:
                message.kind = 4;
                break;
              case "SPAN_KIND_CONSUMER":
              case 5:
                message.kind = 5;
                break;
            }
            if (object.startTimeUnixNano != null) {
              if ($util.Long)
                (message.startTimeUnixNano = $util.Long.fromValue(object.startTimeUnixNano)).unsigned = false;
              else if (typeof object.startTimeUnixNano === "string")
                message.startTimeUnixNano = parseInt(object.startTimeUnixNano, 10);
              else if (typeof object.startTimeUnixNano === "number")
                message.startTimeUnixNano = object.startTimeUnixNano;
              else if (typeof object.startTimeUnixNano === "object")
                message.startTimeUnixNano = new $util.LongBits(object.startTimeUnixNano.low >>> 0, object.startTimeUnixNano.high >>> 0).toNumber();
            }
            if (object.endTimeUnixNano != null) {
              if ($util.Long)
                (message.endTimeUnixNano = $util.Long.fromValue(object.endTimeUnixNano)).unsigned = false;
              else if (typeof object.endTimeUnixNano === "string")
                message.endTimeUnixNano = parseInt(object.endTimeUnixNano, 10);
              else if (typeof object.endTimeUnixNano === "number")
                message.endTimeUnixNano = object.endTimeUnixNano;
              else if (typeof object.endTimeUnixNano === "object")
                message.endTimeUnixNano = new $util.LongBits(object.endTimeUnixNano.low >>> 0, object.endTimeUnixNano.high >>> 0).toNumber();
            }
            if (object.attributes) {
              if (!Array.isArray(object.attributes))
                throw TypeError(".opentelemetry.proto.trace.v1.Span.attributes: array expected");
              message.attributes = [];
              for (let i = 0; i < object.attributes.length; ++i) {
                if (typeof object.attributes[i] !== "object")
                  throw TypeError(".opentelemetry.proto.trace.v1.Span.attributes: object expected");
                message.attributes[i] = $root.opentelemetry.proto.common.v1.KeyValue.fromObject(object.attributes[i]);
              }
            }
            if (object.droppedAttributesCount != null)
              message.droppedAttributesCount = object.droppedAttributesCount >>> 0;
            if (object.events) {
              if (!Array.isArray(object.events))
                throw TypeError(".opentelemetry.proto.trace.v1.Span.events: array expected");
              message.events = [];
              for (let i = 0; i < object.events.length; ++i) {
                if (typeof object.events[i] !== "object")
                  throw TypeError(".opentelemetry.proto.trace.v1.Span.events: object expected");
                message.events[i] = $root.opentelemetry.proto.trace.v1.Span.Event.fromObject(object.events[i]);
              }
            }
            if (object.droppedEventsCount != null)
              message.droppedEventsCount = object.droppedEventsCount >>> 0;
            if (object.links) {
              if (!Array.isArray(object.links))
                throw TypeError(".opentelemetry.proto.trace.v1.Span.links: array expected");
              message.links = [];
              for (let i = 0; i < object.links.length; ++i) {
                if (typeof object.links[i] !== "object")
                  throw TypeError(".opentelemetry.proto.trace.v1.Span.links: object expected");
                message.links[i] = $root.opentelemetry.proto.trace.v1.Span.Link.fromObject(object.links[i]);
              }
            }
            if (object.droppedLinksCount != null)
              message.droppedLinksCount = object.droppedLinksCount >>> 0;
            if (object.status != null) {
              if (typeof object.status !== "object")
                throw TypeError(".opentelemetry.proto.trace.v1.Span.status: object expected");
              message.status = $root.opentelemetry.proto.trace.v1.Status.fromObject(object.status);
            }
            return message;
          };
          Span.toObject = function toObject(message, options) {
            if (!options)
              options = {};
            let object = {};
            if (options.arrays || options.defaults) {
              object.attributes = [];
              object.events = [];
              object.links = [];
            }
            if (options.defaults) {
              if (options.bytes === String)
                object.traceId = "";
              else {
                object.traceId = [];
                if (options.bytes !== Array)
                  object.traceId = $util.newBuffer(object.traceId);
              }
              if (options.bytes === String)
                object.spanId = "";
              else {
                object.spanId = [];
                if (options.bytes !== Array)
                  object.spanId = $util.newBuffer(object.spanId);
              }
              object.traceState = "";
              if (options.bytes === String)
                object.parentSpanId = "";
              else {
                object.parentSpanId = [];
                if (options.bytes !== Array)
                  object.parentSpanId = $util.newBuffer(object.parentSpanId);
              }
              object.name = "";
              object.kind = options.enums === String ? "SPAN_KIND_UNSPECIFIED" : 0;
              if ($util.Long) {
                let long = new $util.Long(0, 0, false);
                object.startTimeUnixNano = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
              } else
                object.startTimeUnixNano = options.longs === String ? "0" : 0;
              if ($util.Long) {
                let long = new $util.Long(0, 0, false);
                object.endTimeUnixNano = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
              } else
                object.endTimeUnixNano = options.longs === String ? "0" : 0;
              object.droppedAttributesCount = 0;
              object.droppedEventsCount = 0;
              object.droppedLinksCount = 0;
              object.status = null;
              object.flags = 0;
            }
            if (message.traceId != null && message.hasOwnProperty("traceId"))
              object.traceId = options.bytes === String ? $util.base64.encode(message.traceId, 0, message.traceId.length) : options.bytes === Array ? Array.prototype.slice.call(message.traceId) : message.traceId;
            if (message.spanId != null && message.hasOwnProperty("spanId"))
              object.spanId = options.bytes === String ? $util.base64.encode(message.spanId, 0, message.spanId.length) : options.bytes === Array ? Array.prototype.slice.call(message.spanId) : message.spanId;
            if (message.traceState != null && message.hasOwnProperty("traceState"))
              object.traceState = message.traceState;
            if (message.parentSpanId != null && message.hasOwnProperty("parentSpanId"))
              object.parentSpanId = options.bytes === String ? $util.base64.encode(message.parentSpanId, 0, message.parentSpanId.length) : options.bytes === Array ? Array.prototype.slice.call(message.parentSpanId) : message.parentSpanId;
            if (message.name != null && message.hasOwnProperty("name"))
              object.name = message.name;
            if (message.kind != null && message.hasOwnProperty("kind"))
              object.kind = options.enums === String ? $root.opentelemetry.proto.trace.v1.Span.SpanKind[message.kind] === void 0 ? message.kind : $root.opentelemetry.proto.trace.v1.Span.SpanKind[message.kind] : message.kind;
            if (message.startTimeUnixNano != null && message.hasOwnProperty("startTimeUnixNano"))
              if (typeof message.startTimeUnixNano === "number")
                object.startTimeUnixNano = options.longs === String ? String(message.startTimeUnixNano) : message.startTimeUnixNano;
              else
                object.startTimeUnixNano = options.longs === String ? $util.Long.prototype.toString.call(message.startTimeUnixNano) : options.longs === Number ? new $util.LongBits(message.startTimeUnixNano.low >>> 0, message.startTimeUnixNano.high >>> 0).toNumber() : message.startTimeUnixNano;
            if (message.endTimeUnixNano != null && message.hasOwnProperty("endTimeUnixNano"))
              if (typeof message.endTimeUnixNano === "number")
                object.endTimeUnixNano = options.longs === String ? String(message.endTimeUnixNano) : message.endTimeUnixNano;
              else
                object.endTimeUnixNano = options.longs === String ? $util.Long.prototype.toString.call(message.endTimeUnixNano) : options.longs === Number ? new $util.LongBits(message.endTimeUnixNano.low >>> 0, message.endTimeUnixNano.high >>> 0).toNumber() : message.endTimeUnixNano;
            if (message.attributes && message.attributes.length) {
              object.attributes = [];
              for (let j = 0; j < message.attributes.length; ++j)
                object.attributes[j] = $root.opentelemetry.proto.common.v1.KeyValue.toObject(message.attributes[j], options);
            }
            if (message.droppedAttributesCount != null && message.hasOwnProperty("droppedAttributesCount"))
              object.droppedAttributesCount = message.droppedAttributesCount;
            if (message.events && message.events.length) {
              object.events = [];
              for (let j = 0; j < message.events.length; ++j)
                object.events[j] = $root.opentelemetry.proto.trace.v1.Span.Event.toObject(message.events[j], options);
            }
            if (message.droppedEventsCount != null && message.hasOwnProperty("droppedEventsCount"))
              object.droppedEventsCount = message.droppedEventsCount;
            if (message.links && message.links.length) {
              object.links = [];
              for (let j = 0; j < message.links.length; ++j)
                object.links[j] = $root.opentelemetry.proto.trace.v1.Span.Link.toObject(message.links[j], options);
            }
            if (message.droppedLinksCount != null && message.hasOwnProperty("droppedLinksCount"))
              object.droppedLinksCount = message.droppedLinksCount;
            if (message.status != null && message.hasOwnProperty("status"))
              object.status = $root.opentelemetry.proto.trace.v1.Status.toObject(message.status, options);
            if (message.flags != null && message.hasOwnProperty("flags"))
              object.flags = message.flags;
            return object;
          };
          Span.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
          };
          Span.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
            if (typeUrlPrefix === void 0) {
              typeUrlPrefix = "type.googleapis.com";
            }
            return typeUrlPrefix + "/opentelemetry.proto.trace.v1.Span";
          };
          Span.SpanKind = function() {
            const valuesById = {}, values = Object.create(valuesById);
            values[valuesById[0] = "SPAN_KIND_UNSPECIFIED"] = 0;
            values[valuesById[1] = "SPAN_KIND_INTERNAL"] = 1;
            values[valuesById[2] = "SPAN_KIND_SERVER"] = 2;
            values[valuesById[3] = "SPAN_KIND_CLIENT"] = 3;
            values[valuesById[4] = "SPAN_KIND_PRODUCER"] = 4;
            values[valuesById[5] = "SPAN_KIND_CONSUMER"] = 5;
            return values;
          }();
          Span.Event = function() {
            function Event(properties) {
              this.attributes = [];
              if (properties) {
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                  if (properties[keys[i]] != null)
                    this[keys[i]] = properties[keys[i]];
              }
            }
            Event.prototype.timeUnixNano = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
            Event.prototype.name = "";
            Event.prototype.attributes = $util.emptyArray;
            Event.prototype.droppedAttributesCount = 0;
            Event.create = function create(properties) {
              return new Event(properties);
            };
            Event.encode = function encode(message, writer) {
              if (!writer)
                writer = $Writer.create();
              if (message.timeUnixNano != null && Object.hasOwnProperty.call(message, "timeUnixNano"))
                writer.uint32(
                  /* id 1, wireType 1 =*/
                  9
                ).fixed64(message.timeUnixNano);
              if (message.name != null && Object.hasOwnProperty.call(message, "name"))
                writer.uint32(
                  /* id 2, wireType 2 =*/
                  18
                ).string(message.name);
              if (message.attributes != null && message.attributes.length)
                for (let i = 0; i < message.attributes.length; ++i)
                  $root.opentelemetry.proto.common.v1.KeyValue.encode(message.attributes[i], writer.uint32(
                    /* id 3, wireType 2 =*/
                    26
                  ).fork()).ldelim();
              if (message.droppedAttributesCount != null && Object.hasOwnProperty.call(message, "droppedAttributesCount"))
                writer.uint32(
                  /* id 4, wireType 0 =*/
                  32
                ).uint32(message.droppedAttributesCount);
              return writer;
            };
            Event.encodeDelimited = function encodeDelimited(message, writer) {
              return this.encode(message, writer).ldelim();
            };
            Event.decode = function decode(reader, length) {
              if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
              let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.trace.v1.Span.Event();
              while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                  case 1: {
                    message.timeUnixNano = reader.fixed64();
                    break;
                  }
                  case 2: {
                    message.name = reader.string();
                    break;
                  }
                  case 3: {
                    if (!(message.attributes && message.attributes.length))
                      message.attributes = [];
                    message.attributes.push($root.opentelemetry.proto.common.v1.KeyValue.decode(reader, reader.uint32()));
                    break;
                  }
                  case 4: {
                    message.droppedAttributesCount = reader.uint32();
                    break;
                  }
                  default:
                    reader.skipType(tag & 7);
                    break;
                }
              }
              return message;
            };
            Event.decodeDelimited = function decodeDelimited(reader) {
              if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
              return this.decode(reader, reader.uint32());
            };
            Event.verify = function verify(message) {
              if (typeof message !== "object" || message === null)
                return "object expected";
              if (message.timeUnixNano != null && message.hasOwnProperty("timeUnixNano")) {
                if (!$util.isInteger(message.timeUnixNano) && !(message.timeUnixNano && $util.isInteger(message.timeUnixNano.low) && $util.isInteger(message.timeUnixNano.high)))
                  return "timeUnixNano: integer|Long expected";
              }
              if (message.name != null && message.hasOwnProperty("name")) {
                if (!$util.isString(message.name))
                  return "name: string expected";
              }
              if (message.attributes != null && message.hasOwnProperty("attributes")) {
                if (!Array.isArray(message.attributes))
                  return "attributes: array expected";
                for (let i = 0; i < message.attributes.length; ++i) {
                  let error = $root.opentelemetry.proto.common.v1.KeyValue.verify(message.attributes[i]);
                  if (error)
                    return "attributes." + error;
                }
              }
              if (message.droppedAttributesCount != null && message.hasOwnProperty("droppedAttributesCount")) {
                if (!$util.isInteger(message.droppedAttributesCount))
                  return "droppedAttributesCount: integer expected";
              }
              return null;
            };
            Event.fromObject = function fromObject(object) {
              if (object instanceof $root.opentelemetry.proto.trace.v1.Span.Event)
                return object;
              let message = new $root.opentelemetry.proto.trace.v1.Span.Event();
              if (object.timeUnixNano != null) {
                if ($util.Long)
                  (message.timeUnixNano = $util.Long.fromValue(object.timeUnixNano)).unsigned = false;
                else if (typeof object.timeUnixNano === "string")
                  message.timeUnixNano = parseInt(object.timeUnixNano, 10);
                else if (typeof object.timeUnixNano === "number")
                  message.timeUnixNano = object.timeUnixNano;
                else if (typeof object.timeUnixNano === "object")
                  message.timeUnixNano = new $util.LongBits(object.timeUnixNano.low >>> 0, object.timeUnixNano.high >>> 0).toNumber();
              }
              if (object.name != null)
                message.name = String(object.name);
              if (object.attributes) {
                if (!Array.isArray(object.attributes))
                  throw TypeError(".opentelemetry.proto.trace.v1.Span.Event.attributes: array expected");
                message.attributes = [];
                for (let i = 0; i < object.attributes.length; ++i) {
                  if (typeof object.attributes[i] !== "object")
                    throw TypeError(".opentelemetry.proto.trace.v1.Span.Event.attributes: object expected");
                  message.attributes[i] = $root.opentelemetry.proto.common.v1.KeyValue.fromObject(object.attributes[i]);
                }
              }
              if (object.droppedAttributesCount != null)
                message.droppedAttributesCount = object.droppedAttributesCount >>> 0;
              return message;
            };
            Event.toObject = function toObject(message, options) {
              if (!options)
                options = {};
              let object = {};
              if (options.arrays || options.defaults)
                object.attributes = [];
              if (options.defaults) {
                if ($util.Long) {
                  let long = new $util.Long(0, 0, false);
                  object.timeUnixNano = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                } else
                  object.timeUnixNano = options.longs === String ? "0" : 0;
                object.name = "";
                object.droppedAttributesCount = 0;
              }
              if (message.timeUnixNano != null && message.hasOwnProperty("timeUnixNano"))
                if (typeof message.timeUnixNano === "number")
                  object.timeUnixNano = options.longs === String ? String(message.timeUnixNano) : message.timeUnixNano;
                else
                  object.timeUnixNano = options.longs === String ? $util.Long.prototype.toString.call(message.timeUnixNano) : options.longs === Number ? new $util.LongBits(message.timeUnixNano.low >>> 0, message.timeUnixNano.high >>> 0).toNumber() : message.timeUnixNano;
              if (message.name != null && message.hasOwnProperty("name"))
                object.name = message.name;
              if (message.attributes && message.attributes.length) {
                object.attributes = [];
                for (let j = 0; j < message.attributes.length; ++j)
                  object.attributes[j] = $root.opentelemetry.proto.common.v1.KeyValue.toObject(message.attributes[j], options);
              }
              if (message.droppedAttributesCount != null && message.hasOwnProperty("droppedAttributesCount"))
                object.droppedAttributesCount = message.droppedAttributesCount;
              return object;
            };
            Event.prototype.toJSON = function toJSON() {
              return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
            };
            Event.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
              if (typeUrlPrefix === void 0) {
                typeUrlPrefix = "type.googleapis.com";
              }
              return typeUrlPrefix + "/opentelemetry.proto.trace.v1.Span.Event";
            };
            return Event;
          }();
          Span.Link = function() {
            function Link(properties) {
              this.attributes = [];
              if (properties) {
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                  if (properties[keys[i]] != null)
                    this[keys[i]] = properties[keys[i]];
              }
            }
            Link.prototype.traceId = $util.newBuffer([]);
            Link.prototype.spanId = $util.newBuffer([]);
            Link.prototype.traceState = "";
            Link.prototype.attributes = $util.emptyArray;
            Link.prototype.droppedAttributesCount = 0;
            Link.prototype.flags = 0;
            Link.create = function create(properties) {
              return new Link(properties);
            };
            Link.encode = function encode(message, writer) {
              if (!writer)
                writer = $Writer.create();
              if (message.traceId != null && Object.hasOwnProperty.call(message, "traceId"))
                writer.uint32(
                  /* id 1, wireType 2 =*/
                  10
                ).bytes(message.traceId);
              if (message.spanId != null && Object.hasOwnProperty.call(message, "spanId"))
                writer.uint32(
                  /* id 2, wireType 2 =*/
                  18
                ).bytes(message.spanId);
              if (message.traceState != null && Object.hasOwnProperty.call(message, "traceState"))
                writer.uint32(
                  /* id 3, wireType 2 =*/
                  26
                ).string(message.traceState);
              if (message.attributes != null && message.attributes.length)
                for (let i = 0; i < message.attributes.length; ++i)
                  $root.opentelemetry.proto.common.v1.KeyValue.encode(message.attributes[i], writer.uint32(
                    /* id 4, wireType 2 =*/
                    34
                  ).fork()).ldelim();
              if (message.droppedAttributesCount != null && Object.hasOwnProperty.call(message, "droppedAttributesCount"))
                writer.uint32(
                  /* id 5, wireType 0 =*/
                  40
                ).uint32(message.droppedAttributesCount);
              if (message.flags != null && Object.hasOwnProperty.call(message, "flags"))
                writer.uint32(
                  /* id 6, wireType 5 =*/
                  53
                ).fixed32(message.flags);
              return writer;
            };
            Link.encodeDelimited = function encodeDelimited(message, writer) {
              return this.encode(message, writer).ldelim();
            };
            Link.decode = function decode(reader, length) {
              if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
              let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.trace.v1.Span.Link();
              while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                  case 1: {
                    message.traceId = reader.bytes();
                    break;
                  }
                  case 2: {
                    message.spanId = reader.bytes();
                    break;
                  }
                  case 3: {
                    message.traceState = reader.string();
                    break;
                  }
                  case 4: {
                    if (!(message.attributes && message.attributes.length))
                      message.attributes = [];
                    message.attributes.push($root.opentelemetry.proto.common.v1.KeyValue.decode(reader, reader.uint32()));
                    break;
                  }
                  case 5: {
                    message.droppedAttributesCount = reader.uint32();
                    break;
                  }
                  case 6: {
                    message.flags = reader.fixed32();
                    break;
                  }
                  default:
                    reader.skipType(tag & 7);
                    break;
                }
              }
              return message;
            };
            Link.decodeDelimited = function decodeDelimited(reader) {
              if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
              return this.decode(reader, reader.uint32());
            };
            Link.verify = function verify(message) {
              if (typeof message !== "object" || message === null)
                return "object expected";
              if (message.traceId != null && message.hasOwnProperty("traceId")) {
                if (!(message.traceId && typeof message.traceId.length === "number" || $util.isString(message.traceId)))
                  return "traceId: buffer expected";
              }
              if (message.spanId != null && message.hasOwnProperty("spanId")) {
                if (!(message.spanId && typeof message.spanId.length === "number" || $util.isString(message.spanId)))
                  return "spanId: buffer expected";
              }
              if (message.traceState != null && message.hasOwnProperty("traceState")) {
                if (!$util.isString(message.traceState))
                  return "traceState: string expected";
              }
              if (message.attributes != null && message.hasOwnProperty("attributes")) {
                if (!Array.isArray(message.attributes))
                  return "attributes: array expected";
                for (let i = 0; i < message.attributes.length; ++i) {
                  let error = $root.opentelemetry.proto.common.v1.KeyValue.verify(message.attributes[i]);
                  if (error)
                    return "attributes." + error;
                }
              }
              if (message.droppedAttributesCount != null && message.hasOwnProperty("droppedAttributesCount")) {
                if (!$util.isInteger(message.droppedAttributesCount))
                  return "droppedAttributesCount: integer expected";
              }
              if (message.flags != null && message.hasOwnProperty("flags")) {
                if (!$util.isInteger(message.flags))
                  return "flags: integer expected";
              }
              return null;
            };
            Link.fromObject = function fromObject(object) {
              if (object instanceof $root.opentelemetry.proto.trace.v1.Span.Link)
                return object;
              let message = new $root.opentelemetry.proto.trace.v1.Span.Link();
              if (object.traceId != null) {
                if (typeof object.traceId === "string")
                  $util.base64.decode(object.traceId, message.traceId = $util.newBuffer($util.base64.length(object.traceId)), 0);
                else if (object.traceId.length >= 0)
                  message.traceId = object.traceId;
              }
              if (object.spanId != null) {
                if (typeof object.spanId === "string")
                  $util.base64.decode(object.spanId, message.spanId = $util.newBuffer($util.base64.length(object.spanId)), 0);
                else if (object.spanId.length >= 0)
                  message.spanId = object.spanId;
              }
              if (object.traceState != null)
                message.traceState = String(object.traceState);
              if (object.attributes) {
                if (!Array.isArray(object.attributes))
                  throw TypeError(".opentelemetry.proto.trace.v1.Span.Link.attributes: array expected");
                message.attributes = [];
                for (let i = 0; i < object.attributes.length; ++i) {
                  if (typeof object.attributes[i] !== "object")
                    throw TypeError(".opentelemetry.proto.trace.v1.Span.Link.attributes: object expected");
                  message.attributes[i] = $root.opentelemetry.proto.common.v1.KeyValue.fromObject(object.attributes[i]);
                }
              }
              if (object.droppedAttributesCount != null)
                message.droppedAttributesCount = object.droppedAttributesCount >>> 0;
              if (object.flags != null)
                message.flags = object.flags >>> 0;
              return message;
            };
            Link.toObject = function toObject(message, options) {
              if (!options)
                options = {};
              let object = {};
              if (options.arrays || options.defaults)
                object.attributes = [];
              if (options.defaults) {
                if (options.bytes === String)
                  object.traceId = "";
                else {
                  object.traceId = [];
                  if (options.bytes !== Array)
                    object.traceId = $util.newBuffer(object.traceId);
                }
                if (options.bytes === String)
                  object.spanId = "";
                else {
                  object.spanId = [];
                  if (options.bytes !== Array)
                    object.spanId = $util.newBuffer(object.spanId);
                }
                object.traceState = "";
                object.droppedAttributesCount = 0;
                object.flags = 0;
              }
              if (message.traceId != null && message.hasOwnProperty("traceId"))
                object.traceId = options.bytes === String ? $util.base64.encode(message.traceId, 0, message.traceId.length) : options.bytes === Array ? Array.prototype.slice.call(message.traceId) : message.traceId;
              if (message.spanId != null && message.hasOwnProperty("spanId"))
                object.spanId = options.bytes === String ? $util.base64.encode(message.spanId, 0, message.spanId.length) : options.bytes === Array ? Array.prototype.slice.call(message.spanId) : message.spanId;
              if (message.traceState != null && message.hasOwnProperty("traceState"))
                object.traceState = message.traceState;
              if (message.attributes && message.attributes.length) {
                object.attributes = [];
                for (let j = 0; j < message.attributes.length; ++j)
                  object.attributes[j] = $root.opentelemetry.proto.common.v1.KeyValue.toObject(message.attributes[j], options);
              }
              if (message.droppedAttributesCount != null && message.hasOwnProperty("droppedAttributesCount"))
                object.droppedAttributesCount = message.droppedAttributesCount;
              if (message.flags != null && message.hasOwnProperty("flags"))
                object.flags = message.flags;
              return object;
            };
            Link.prototype.toJSON = function toJSON() {
              return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
            };
            Link.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
              if (typeUrlPrefix === void 0) {
                typeUrlPrefix = "type.googleapis.com";
              }
              return typeUrlPrefix + "/opentelemetry.proto.trace.v1.Span.Link";
            };
            return Link;
          }();
          return Span;
        }();
        v1.Status = function() {
          function Status(properties) {
            if (properties) {
              for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                if (properties[keys[i]] != null)
                  this[keys[i]] = properties[keys[i]];
            }
          }
          Status.prototype.message = "";
          Status.prototype.code = 0;
          Status.create = function create(properties) {
            return new Status(properties);
          };
          Status.encode = function encode(message, writer) {
            if (!writer)
              writer = $Writer.create();
            if (message.message != null && Object.hasOwnProperty.call(message, "message"))
              writer.uint32(
                /* id 2, wireType 2 =*/
                18
              ).string(message.message);
            if (message.code != null && Object.hasOwnProperty.call(message, "code"))
              writer.uint32(
                /* id 3, wireType 0 =*/
                24
              ).int32(message.code);
            return writer;
          };
          Status.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
          };
          Status.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
              reader = $Reader.create(reader);
            let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.trace.v1.Status();
            while (reader.pos < end) {
              let tag = reader.uint32();
              switch (tag >>> 3) {
                case 2: {
                  message.message = reader.string();
                  break;
                }
                case 3: {
                  message.code = reader.int32();
                  break;
                }
                default:
                  reader.skipType(tag & 7);
                  break;
              }
            }
            return message;
          };
          Status.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
              reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
          };
          Status.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
              return "object expected";
            if (message.message != null && message.hasOwnProperty("message")) {
              if (!$util.isString(message.message))
                return "message: string expected";
            }
            if (message.code != null && message.hasOwnProperty("code"))
              switch (message.code) {
                default:
                  return "code: enum value expected";
                case 0:
                case 1:
                case 2:
                  break;
              }
            return null;
          };
          Status.fromObject = function fromObject(object) {
            if (object instanceof $root.opentelemetry.proto.trace.v1.Status)
              return object;
            let message = new $root.opentelemetry.proto.trace.v1.Status();
            if (object.message != null)
              message.message = String(object.message);
            switch (object.code) {
              default:
                if (typeof object.code === "number") {
                  message.code = object.code;
                  break;
                }
                break;
              case "STATUS_CODE_UNSET":
              case 0:
                message.code = 0;
                break;
              case "STATUS_CODE_OK":
              case 1:
                message.code = 1;
                break;
              case "STATUS_CODE_ERROR":
              case 2:
                message.code = 2;
                break;
            }
            return message;
          };
          Status.toObject = function toObject(message, options) {
            if (!options)
              options = {};
            let object = {};
            if (options.defaults) {
              object.message = "";
              object.code = options.enums === String ? "STATUS_CODE_UNSET" : 0;
            }
            if (message.message != null && message.hasOwnProperty("message"))
              object.message = message.message;
            if (message.code != null && message.hasOwnProperty("code"))
              object.code = options.enums === String ? $root.opentelemetry.proto.trace.v1.Status.StatusCode[message.code] === void 0 ? message.code : $root.opentelemetry.proto.trace.v1.Status.StatusCode[message.code] : message.code;
            return object;
          };
          Status.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
          };
          Status.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
            if (typeUrlPrefix === void 0) {
              typeUrlPrefix = "type.googleapis.com";
            }
            return typeUrlPrefix + "/opentelemetry.proto.trace.v1.Status";
          };
          Status.StatusCode = function() {
            const valuesById = {}, values = Object.create(valuesById);
            values[valuesById[0] = "STATUS_CODE_UNSET"] = 0;
            values[valuesById[1] = "STATUS_CODE_OK"] = 1;
            values[valuesById[2] = "STATUS_CODE_ERROR"] = 2;
            return values;
          }();
          return Status;
        }();
        v1.SpanFlags = function() {
          const valuesById = {}, values = Object.create(valuesById);
          values[valuesById[0] = "SPAN_FLAGS_DO_NOT_USE"] = 0;
          values[valuesById[255] = "SPAN_FLAGS_TRACE_FLAGS_MASK"] = 255;
          values[valuesById[256] = "SPAN_FLAGS_CONTEXT_HAS_IS_REMOTE_MASK"] = 256;
          values[valuesById[512] = "SPAN_FLAGS_CONTEXT_IS_REMOTE_MASK"] = 512;
          return values;
        }();
        return v1;
      }();
      return trace;
    }();
    proto.logs = function() {
      const logs = {};
      logs.v1 = function() {
        const v1 = {};
        v1.LogsData = function() {
          function LogsData(properties) {
            this.resourceLogs = [];
            if (properties) {
              for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                if (properties[keys[i]] != null)
                  this[keys[i]] = properties[keys[i]];
            }
          }
          LogsData.prototype.resourceLogs = $util.emptyArray;
          LogsData.create = function create(properties) {
            return new LogsData(properties);
          };
          LogsData.encode = function encode(message, writer) {
            if (!writer)
              writer = $Writer.create();
            if (message.resourceLogs != null && message.resourceLogs.length)
              for (let i = 0; i < message.resourceLogs.length; ++i)
                $root.opentelemetry.proto.logs.v1.ResourceLogs.encode(message.resourceLogs[i], writer.uint32(
                  /* id 1, wireType 2 =*/
                  10
                ).fork()).ldelim();
            return writer;
          };
          LogsData.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
          };
          LogsData.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
              reader = $Reader.create(reader);
            let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.logs.v1.LogsData();
            while (reader.pos < end) {
              let tag = reader.uint32();
              switch (tag >>> 3) {
                case 1: {
                  if (!(message.resourceLogs && message.resourceLogs.length))
                    message.resourceLogs = [];
                  message.resourceLogs.push($root.opentelemetry.proto.logs.v1.ResourceLogs.decode(reader, reader.uint32()));
                  break;
                }
                default:
                  reader.skipType(tag & 7);
                  break;
              }
            }
            return message;
          };
          LogsData.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
              reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
          };
          LogsData.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
              return "object expected";
            if (message.resourceLogs != null && message.hasOwnProperty("resourceLogs")) {
              if (!Array.isArray(message.resourceLogs))
                return "resourceLogs: array expected";
              for (let i = 0; i < message.resourceLogs.length; ++i) {
                let error = $root.opentelemetry.proto.logs.v1.ResourceLogs.verify(message.resourceLogs[i]);
                if (error)
                  return "resourceLogs." + error;
              }
            }
            return null;
          };
          LogsData.fromObject = function fromObject(object) {
            if (object instanceof $root.opentelemetry.proto.logs.v1.LogsData)
              return object;
            let message = new $root.opentelemetry.proto.logs.v1.LogsData();
            if (object.resourceLogs) {
              if (!Array.isArray(object.resourceLogs))
                throw TypeError(".opentelemetry.proto.logs.v1.LogsData.resourceLogs: array expected");
              message.resourceLogs = [];
              for (let i = 0; i < object.resourceLogs.length; ++i) {
                if (typeof object.resourceLogs[i] !== "object")
                  throw TypeError(".opentelemetry.proto.logs.v1.LogsData.resourceLogs: object expected");
                message.resourceLogs[i] = $root.opentelemetry.proto.logs.v1.ResourceLogs.fromObject(object.resourceLogs[i]);
              }
            }
            return message;
          };
          LogsData.toObject = function toObject(message, options) {
            if (!options)
              options = {};
            let object = {};
            if (options.arrays || options.defaults)
              object.resourceLogs = [];
            if (message.resourceLogs && message.resourceLogs.length) {
              object.resourceLogs = [];
              for (let j = 0; j < message.resourceLogs.length; ++j)
                object.resourceLogs[j] = $root.opentelemetry.proto.logs.v1.ResourceLogs.toObject(message.resourceLogs[j], options);
            }
            return object;
          };
          LogsData.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
          };
          LogsData.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
            if (typeUrlPrefix === void 0) {
              typeUrlPrefix = "type.googleapis.com";
            }
            return typeUrlPrefix + "/opentelemetry.proto.logs.v1.LogsData";
          };
          return LogsData;
        }();
        v1.ResourceLogs = function() {
          function ResourceLogs(properties) {
            this.scopeLogs = [];
            if (properties) {
              for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                if (properties[keys[i]] != null)
                  this[keys[i]] = properties[keys[i]];
            }
          }
          ResourceLogs.prototype.resource = null;
          ResourceLogs.prototype.scopeLogs = $util.emptyArray;
          ResourceLogs.prototype.schemaUrl = "";
          ResourceLogs.create = function create(properties) {
            return new ResourceLogs(properties);
          };
          ResourceLogs.encode = function encode(message, writer) {
            if (!writer)
              writer = $Writer.create();
            if (message.resource != null && Object.hasOwnProperty.call(message, "resource"))
              $root.opentelemetry.proto.resource.v1.Resource.encode(message.resource, writer.uint32(
                /* id 1, wireType 2 =*/
                10
              ).fork()).ldelim();
            if (message.scopeLogs != null && message.scopeLogs.length)
              for (let i = 0; i < message.scopeLogs.length; ++i)
                $root.opentelemetry.proto.logs.v1.ScopeLogs.encode(message.scopeLogs[i], writer.uint32(
                  /* id 2, wireType 2 =*/
                  18
                ).fork()).ldelim();
            if (message.schemaUrl != null && Object.hasOwnProperty.call(message, "schemaUrl"))
              writer.uint32(
                /* id 3, wireType 2 =*/
                26
              ).string(message.schemaUrl);
            return writer;
          };
          ResourceLogs.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
          };
          ResourceLogs.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
              reader = $Reader.create(reader);
            let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.logs.v1.ResourceLogs();
            while (reader.pos < end) {
              let tag = reader.uint32();
              switch (tag >>> 3) {
                case 1: {
                  message.resource = $root.opentelemetry.proto.resource.v1.Resource.decode(reader, reader.uint32());
                  break;
                }
                case 2: {
                  if (!(message.scopeLogs && message.scopeLogs.length))
                    message.scopeLogs = [];
                  message.scopeLogs.push($root.opentelemetry.proto.logs.v1.ScopeLogs.decode(reader, reader.uint32()));
                  break;
                }
                case 3: {
                  message.schemaUrl = reader.string();
                  break;
                }
                default:
                  reader.skipType(tag & 7);
                  break;
              }
            }
            return message;
          };
          ResourceLogs.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
              reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
          };
          ResourceLogs.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
              return "object expected";
            if (message.resource != null && message.hasOwnProperty("resource")) {
              let error = $root.opentelemetry.proto.resource.v1.Resource.verify(message.resource);
              if (error)
                return "resource." + error;
            }
            if (message.scopeLogs != null && message.hasOwnProperty("scopeLogs")) {
              if (!Array.isArray(message.scopeLogs))
                return "scopeLogs: array expected";
              for (let i = 0; i < message.scopeLogs.length; ++i) {
                let error = $root.opentelemetry.proto.logs.v1.ScopeLogs.verify(message.scopeLogs[i]);
                if (error)
                  return "scopeLogs." + error;
              }
            }
            if (message.schemaUrl != null && message.hasOwnProperty("schemaUrl")) {
              if (!$util.isString(message.schemaUrl))
                return "schemaUrl: string expected";
            }
            return null;
          };
          ResourceLogs.fromObject = function fromObject(object) {
            if (object instanceof $root.opentelemetry.proto.logs.v1.ResourceLogs)
              return object;
            let message = new $root.opentelemetry.proto.logs.v1.ResourceLogs();
            if (object.resource != null) {
              if (typeof object.resource !== "object")
                throw TypeError(".opentelemetry.proto.logs.v1.ResourceLogs.resource: object expected");
              message.resource = $root.opentelemetry.proto.resource.v1.Resource.fromObject(object.resource);
            }
            if (object.scopeLogs) {
              if (!Array.isArray(object.scopeLogs))
                throw TypeError(".opentelemetry.proto.logs.v1.ResourceLogs.scopeLogs: array expected");
              message.scopeLogs = [];
              for (let i = 0; i < object.scopeLogs.length; ++i) {
                if (typeof object.scopeLogs[i] !== "object")
                  throw TypeError(".opentelemetry.proto.logs.v1.ResourceLogs.scopeLogs: object expected");
                message.scopeLogs[i] = $root.opentelemetry.proto.logs.v1.ScopeLogs.fromObject(object.scopeLogs[i]);
              }
            }
            if (object.schemaUrl != null)
              message.schemaUrl = String(object.schemaUrl);
            return message;
          };
          ResourceLogs.toObject = function toObject(message, options) {
            if (!options)
              options = {};
            let object = {};
            if (options.arrays || options.defaults)
              object.scopeLogs = [];
            if (options.defaults) {
              object.resource = null;
              object.schemaUrl = "";
            }
            if (message.resource != null && message.hasOwnProperty("resource"))
              object.resource = $root.opentelemetry.proto.resource.v1.Resource.toObject(message.resource, options);
            if (message.scopeLogs && message.scopeLogs.length) {
              object.scopeLogs = [];
              for (let j = 0; j < message.scopeLogs.length; ++j)
                object.scopeLogs[j] = $root.opentelemetry.proto.logs.v1.ScopeLogs.toObject(message.scopeLogs[j], options);
            }
            if (message.schemaUrl != null && message.hasOwnProperty("schemaUrl"))
              object.schemaUrl = message.schemaUrl;
            return object;
          };
          ResourceLogs.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
          };
          ResourceLogs.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
            if (typeUrlPrefix === void 0) {
              typeUrlPrefix = "type.googleapis.com";
            }
            return typeUrlPrefix + "/opentelemetry.proto.logs.v1.ResourceLogs";
          };
          return ResourceLogs;
        }();
        v1.ScopeLogs = function() {
          function ScopeLogs(properties) {
            this.logRecords = [];
            if (properties) {
              for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                if (properties[keys[i]] != null)
                  this[keys[i]] = properties[keys[i]];
            }
          }
          ScopeLogs.prototype.scope = null;
          ScopeLogs.prototype.logRecords = $util.emptyArray;
          ScopeLogs.prototype.schemaUrl = "";
          ScopeLogs.create = function create(properties) {
            return new ScopeLogs(properties);
          };
          ScopeLogs.encode = function encode(message, writer) {
            if (!writer)
              writer = $Writer.create();
            if (message.scope != null && Object.hasOwnProperty.call(message, "scope"))
              $root.opentelemetry.proto.common.v1.InstrumentationScope.encode(message.scope, writer.uint32(
                /* id 1, wireType 2 =*/
                10
              ).fork()).ldelim();
            if (message.logRecords != null && message.logRecords.length)
              for (let i = 0; i < message.logRecords.length; ++i)
                $root.opentelemetry.proto.logs.v1.LogRecord.encode(message.logRecords[i], writer.uint32(
                  /* id 2, wireType 2 =*/
                  18
                ).fork()).ldelim();
            if (message.schemaUrl != null && Object.hasOwnProperty.call(message, "schemaUrl"))
              writer.uint32(
                /* id 3, wireType 2 =*/
                26
              ).string(message.schemaUrl);
            return writer;
          };
          ScopeLogs.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
          };
          ScopeLogs.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
              reader = $Reader.create(reader);
            let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.logs.v1.ScopeLogs();
            while (reader.pos < end) {
              let tag = reader.uint32();
              switch (tag >>> 3) {
                case 1: {
                  message.scope = $root.opentelemetry.proto.common.v1.InstrumentationScope.decode(reader, reader.uint32());
                  break;
                }
                case 2: {
                  if (!(message.logRecords && message.logRecords.length))
                    message.logRecords = [];
                  message.logRecords.push($root.opentelemetry.proto.logs.v1.LogRecord.decode(reader, reader.uint32()));
                  break;
                }
                case 3: {
                  message.schemaUrl = reader.string();
                  break;
                }
                default:
                  reader.skipType(tag & 7);
                  break;
              }
            }
            return message;
          };
          ScopeLogs.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
              reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
          };
          ScopeLogs.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
              return "object expected";
            if (message.scope != null && message.hasOwnProperty("scope")) {
              let error = $root.opentelemetry.proto.common.v1.InstrumentationScope.verify(message.scope);
              if (error)
                return "scope." + error;
            }
            if (message.logRecords != null && message.hasOwnProperty("logRecords")) {
              if (!Array.isArray(message.logRecords))
                return "logRecords: array expected";
              for (let i = 0; i < message.logRecords.length; ++i) {
                let error = $root.opentelemetry.proto.logs.v1.LogRecord.verify(message.logRecords[i]);
                if (error)
                  return "logRecords." + error;
              }
            }
            if (message.schemaUrl != null && message.hasOwnProperty("schemaUrl")) {
              if (!$util.isString(message.schemaUrl))
                return "schemaUrl: string expected";
            }
            return null;
          };
          ScopeLogs.fromObject = function fromObject(object) {
            if (object instanceof $root.opentelemetry.proto.logs.v1.ScopeLogs)
              return object;
            let message = new $root.opentelemetry.proto.logs.v1.ScopeLogs();
            if (object.scope != null) {
              if (typeof object.scope !== "object")
                throw TypeError(".opentelemetry.proto.logs.v1.ScopeLogs.scope: object expected");
              message.scope = $root.opentelemetry.proto.common.v1.InstrumentationScope.fromObject(object.scope);
            }
            if (object.logRecords) {
              if (!Array.isArray(object.logRecords))
                throw TypeError(".opentelemetry.proto.logs.v1.ScopeLogs.logRecords: array expected");
              message.logRecords = [];
              for (let i = 0; i < object.logRecords.length; ++i) {
                if (typeof object.logRecords[i] !== "object")
                  throw TypeError(".opentelemetry.proto.logs.v1.ScopeLogs.logRecords: object expected");
                message.logRecords[i] = $root.opentelemetry.proto.logs.v1.LogRecord.fromObject(object.logRecords[i]);
              }
            }
            if (object.schemaUrl != null)
              message.schemaUrl = String(object.schemaUrl);
            return message;
          };
          ScopeLogs.toObject = function toObject(message, options) {
            if (!options)
              options = {};
            let object = {};
            if (options.arrays || options.defaults)
              object.logRecords = [];
            if (options.defaults) {
              object.scope = null;
              object.schemaUrl = "";
            }
            if (message.scope != null && message.hasOwnProperty("scope"))
              object.scope = $root.opentelemetry.proto.common.v1.InstrumentationScope.toObject(message.scope, options);
            if (message.logRecords && message.logRecords.length) {
              object.logRecords = [];
              for (let j = 0; j < message.logRecords.length; ++j)
                object.logRecords[j] = $root.opentelemetry.proto.logs.v1.LogRecord.toObject(message.logRecords[j], options);
            }
            if (message.schemaUrl != null && message.hasOwnProperty("schemaUrl"))
              object.schemaUrl = message.schemaUrl;
            return object;
          };
          ScopeLogs.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
          };
          ScopeLogs.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
            if (typeUrlPrefix === void 0) {
              typeUrlPrefix = "type.googleapis.com";
            }
            return typeUrlPrefix + "/opentelemetry.proto.logs.v1.ScopeLogs";
          };
          return ScopeLogs;
        }();
        v1.SeverityNumber = function() {
          const valuesById = {}, values = Object.create(valuesById);
          values[valuesById[0] = "SEVERITY_NUMBER_UNSPECIFIED"] = 0;
          values[valuesById[1] = "SEVERITY_NUMBER_TRACE"] = 1;
          values[valuesById[2] = "SEVERITY_NUMBER_TRACE2"] = 2;
          values[valuesById[3] = "SEVERITY_NUMBER_TRACE3"] = 3;
          values[valuesById[4] = "SEVERITY_NUMBER_TRACE4"] = 4;
          values[valuesById[5] = "SEVERITY_NUMBER_DEBUG"] = 5;
          values[valuesById[6] = "SEVERITY_NUMBER_DEBUG2"] = 6;
          values[valuesById[7] = "SEVERITY_NUMBER_DEBUG3"] = 7;
          values[valuesById[8] = "SEVERITY_NUMBER_DEBUG4"] = 8;
          values[valuesById[9] = "SEVERITY_NUMBER_INFO"] = 9;
          values[valuesById[10] = "SEVERITY_NUMBER_INFO2"] = 10;
          values[valuesById[11] = "SEVERITY_NUMBER_INFO3"] = 11;
          values[valuesById[12] = "SEVERITY_NUMBER_INFO4"] = 12;
          values[valuesById[13] = "SEVERITY_NUMBER_WARN"] = 13;
          values[valuesById[14] = "SEVERITY_NUMBER_WARN2"] = 14;
          values[valuesById[15] = "SEVERITY_NUMBER_WARN3"] = 15;
          values[valuesById[16] = "SEVERITY_NUMBER_WARN4"] = 16;
          values[valuesById[17] = "SEVERITY_NUMBER_ERROR"] = 17;
          values[valuesById[18] = "SEVERITY_NUMBER_ERROR2"] = 18;
          values[valuesById[19] = "SEVERITY_NUMBER_ERROR3"] = 19;
          values[valuesById[20] = "SEVERITY_NUMBER_ERROR4"] = 20;
          values[valuesById[21] = "SEVERITY_NUMBER_FATAL"] = 21;
          values[valuesById[22] = "SEVERITY_NUMBER_FATAL2"] = 22;
          values[valuesById[23] = "SEVERITY_NUMBER_FATAL3"] = 23;
          values[valuesById[24] = "SEVERITY_NUMBER_FATAL4"] = 24;
          return values;
        }();
        v1.LogRecordFlags = function() {
          const valuesById = {}, values = Object.create(valuesById);
          values[valuesById[0] = "LOG_RECORD_FLAGS_DO_NOT_USE"] = 0;
          values[valuesById[255] = "LOG_RECORD_FLAGS_TRACE_FLAGS_MASK"] = 255;
          return values;
        }();
        v1.LogRecord = function() {
          function LogRecord(properties) {
            this.attributes = [];
            if (properties) {
              for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                if (properties[keys[i]] != null)
                  this[keys[i]] = properties[keys[i]];
            }
          }
          LogRecord.prototype.timeUnixNano = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
          LogRecord.prototype.observedTimeUnixNano = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
          LogRecord.prototype.severityNumber = 0;
          LogRecord.prototype.severityText = "";
          LogRecord.prototype.body = null;
          LogRecord.prototype.attributes = $util.emptyArray;
          LogRecord.prototype.droppedAttributesCount = 0;
          LogRecord.prototype.flags = 0;
          LogRecord.prototype.traceId = $util.newBuffer([]);
          LogRecord.prototype.spanId = $util.newBuffer([]);
          LogRecord.create = function create(properties) {
            return new LogRecord(properties);
          };
          LogRecord.encode = function encode(message, writer) {
            if (!writer)
              writer = $Writer.create();
            if (message.timeUnixNano != null && Object.hasOwnProperty.call(message, "timeUnixNano"))
              writer.uint32(
                /* id 1, wireType 1 =*/
                9
              ).fixed64(message.timeUnixNano);
            if (message.severityNumber != null && Object.hasOwnProperty.call(message, "severityNumber"))
              writer.uint32(
                /* id 2, wireType 0 =*/
                16
              ).int32(message.severityNumber);
            if (message.severityText != null && Object.hasOwnProperty.call(message, "severityText"))
              writer.uint32(
                /* id 3, wireType 2 =*/
                26
              ).string(message.severityText);
            if (message.body != null && Object.hasOwnProperty.call(message, "body"))
              $root.opentelemetry.proto.common.v1.AnyValue.encode(message.body, writer.uint32(
                /* id 5, wireType 2 =*/
                42
              ).fork()).ldelim();
            if (message.attributes != null && message.attributes.length)
              for (let i = 0; i < message.attributes.length; ++i)
                $root.opentelemetry.proto.common.v1.KeyValue.encode(message.attributes[i], writer.uint32(
                  /* id 6, wireType 2 =*/
                  50
                ).fork()).ldelim();
            if (message.droppedAttributesCount != null && Object.hasOwnProperty.call(message, "droppedAttributesCount"))
              writer.uint32(
                /* id 7, wireType 0 =*/
                56
              ).uint32(message.droppedAttributesCount);
            if (message.flags != null && Object.hasOwnProperty.call(message, "flags"))
              writer.uint32(
                /* id 8, wireType 5 =*/
                69
              ).fixed32(message.flags);
            if (message.traceId != null && Object.hasOwnProperty.call(message, "traceId"))
              writer.uint32(
                /* id 9, wireType 2 =*/
                74
              ).bytes(message.traceId);
            if (message.spanId != null && Object.hasOwnProperty.call(message, "spanId"))
              writer.uint32(
                /* id 10, wireType 2 =*/
                82
              ).bytes(message.spanId);
            if (message.observedTimeUnixNano != null && Object.hasOwnProperty.call(message, "observedTimeUnixNano"))
              writer.uint32(
                /* id 11, wireType 1 =*/
                89
              ).fixed64(message.observedTimeUnixNano);
            return writer;
          };
          LogRecord.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
          };
          LogRecord.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
              reader = $Reader.create(reader);
            let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.logs.v1.LogRecord();
            while (reader.pos < end) {
              let tag = reader.uint32();
              switch (tag >>> 3) {
                case 1: {
                  message.timeUnixNano = reader.fixed64();
                  break;
                }
                case 11: {
                  message.observedTimeUnixNano = reader.fixed64();
                  break;
                }
                case 2: {
                  message.severityNumber = reader.int32();
                  break;
                }
                case 3: {
                  message.severityText = reader.string();
                  break;
                }
                case 5: {
                  message.body = $root.opentelemetry.proto.common.v1.AnyValue.decode(reader, reader.uint32());
                  break;
                }
                case 6: {
                  if (!(message.attributes && message.attributes.length))
                    message.attributes = [];
                  message.attributes.push($root.opentelemetry.proto.common.v1.KeyValue.decode(reader, reader.uint32()));
                  break;
                }
                case 7: {
                  message.droppedAttributesCount = reader.uint32();
                  break;
                }
                case 8: {
                  message.flags = reader.fixed32();
                  break;
                }
                case 9: {
                  message.traceId = reader.bytes();
                  break;
                }
                case 10: {
                  message.spanId = reader.bytes();
                  break;
                }
                default:
                  reader.skipType(tag & 7);
                  break;
              }
            }
            return message;
          };
          LogRecord.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
              reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
          };
          LogRecord.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
              return "object expected";
            if (message.timeUnixNano != null && message.hasOwnProperty("timeUnixNano")) {
              if (!$util.isInteger(message.timeUnixNano) && !(message.timeUnixNano && $util.isInteger(message.timeUnixNano.low) && $util.isInteger(message.timeUnixNano.high)))
                return "timeUnixNano: integer|Long expected";
            }
            if (message.observedTimeUnixNano != null && message.hasOwnProperty("observedTimeUnixNano")) {
              if (!$util.isInteger(message.observedTimeUnixNano) && !(message.observedTimeUnixNano && $util.isInteger(message.observedTimeUnixNano.low) && $util.isInteger(message.observedTimeUnixNano.high)))
                return "observedTimeUnixNano: integer|Long expected";
            }
            if (message.severityNumber != null && message.hasOwnProperty("severityNumber"))
              switch (message.severityNumber) {
                default:
                  return "severityNumber: enum value expected";
                case 0:
                case 1:
                case 2:
                case 3:
                case 4:
                case 5:
                case 6:
                case 7:
                case 8:
                case 9:
                case 10:
                case 11:
                case 12:
                case 13:
                case 14:
                case 15:
                case 16:
                case 17:
                case 18:
                case 19:
                case 20:
                case 21:
                case 22:
                case 23:
                case 24:
                  break;
              }
            if (message.severityText != null && message.hasOwnProperty("severityText")) {
              if (!$util.isString(message.severityText))
                return "severityText: string expected";
            }
            if (message.body != null && message.hasOwnProperty("body")) {
              let error = $root.opentelemetry.proto.common.v1.AnyValue.verify(message.body);
              if (error)
                return "body." + error;
            }
            if (message.attributes != null && message.hasOwnProperty("attributes")) {
              if (!Array.isArray(message.attributes))
                return "attributes: array expected";
              for (let i = 0; i < message.attributes.length; ++i) {
                let error = $root.opentelemetry.proto.common.v1.KeyValue.verify(message.attributes[i]);
                if (error)
                  return "attributes." + error;
              }
            }
            if (message.droppedAttributesCount != null && message.hasOwnProperty("droppedAttributesCount")) {
              if (!$util.isInteger(message.droppedAttributesCount))
                return "droppedAttributesCount: integer expected";
            }
            if (message.flags != null && message.hasOwnProperty("flags")) {
              if (!$util.isInteger(message.flags))
                return "flags: integer expected";
            }
            if (message.traceId != null && message.hasOwnProperty("traceId")) {
              if (!(message.traceId && typeof message.traceId.length === "number" || $util.isString(message.traceId)))
                return "traceId: buffer expected";
            }
            if (message.spanId != null && message.hasOwnProperty("spanId")) {
              if (!(message.spanId && typeof message.spanId.length === "number" || $util.isString(message.spanId)))
                return "spanId: buffer expected";
            }
            return null;
          };
          LogRecord.fromObject = function fromObject(object) {
            if (object instanceof $root.opentelemetry.proto.logs.v1.LogRecord)
              return object;
            let message = new $root.opentelemetry.proto.logs.v1.LogRecord();
            if (object.timeUnixNano != null) {
              if ($util.Long)
                (message.timeUnixNano = $util.Long.fromValue(object.timeUnixNano)).unsigned = false;
              else if (typeof object.timeUnixNano === "string")
                message.timeUnixNano = parseInt(object.timeUnixNano, 10);
              else if (typeof object.timeUnixNano === "number")
                message.timeUnixNano = object.timeUnixNano;
              else if (typeof object.timeUnixNano === "object")
                message.timeUnixNano = new $util.LongBits(object.timeUnixNano.low >>> 0, object.timeUnixNano.high >>> 0).toNumber();
            }
            if (object.observedTimeUnixNano != null) {
              if ($util.Long)
                (message.observedTimeUnixNano = $util.Long.fromValue(object.observedTimeUnixNano)).unsigned = false;
              else if (typeof object.observedTimeUnixNano === "string")
                message.observedTimeUnixNano = parseInt(object.observedTimeUnixNano, 10);
              else if (typeof object.observedTimeUnixNano === "number")
                message.observedTimeUnixNano = object.observedTimeUnixNano;
              else if (typeof object.observedTimeUnixNano === "object")
                message.observedTimeUnixNano = new $util.LongBits(object.observedTimeUnixNano.low >>> 0, object.observedTimeUnixNano.high >>> 0).toNumber();
            }
            switch (object.severityNumber) {
              default:
                if (typeof object.severityNumber === "number") {
                  message.severityNumber = object.severityNumber;
                  break;
                }
                break;
              case "SEVERITY_NUMBER_UNSPECIFIED":
              case 0:
                message.severityNumber = 0;
                break;
              case "SEVERITY_NUMBER_TRACE":
              case 1:
                message.severityNumber = 1;
                break;
              case "SEVERITY_NUMBER_TRACE2":
              case 2:
                message.severityNumber = 2;
                break;
              case "SEVERITY_NUMBER_TRACE3":
              case 3:
                message.severityNumber = 3;
                break;
              case "SEVERITY_NUMBER_TRACE4":
              case 4:
                message.severityNumber = 4;
                break;
              case "SEVERITY_NUMBER_DEBUG":
              case 5:
                message.severityNumber = 5;
                break;
              case "SEVERITY_NUMBER_DEBUG2":
              case 6:
                message.severityNumber = 6;
                break;
              case "SEVERITY_NUMBER_DEBUG3":
              case 7:
                message.severityNumber = 7;
                break;
              case "SEVERITY_NUMBER_DEBUG4":
              case 8:
                message.severityNumber = 8;
                break;
              case "SEVERITY_NUMBER_INFO":
              case 9:
                message.severityNumber = 9;
                break;
              case "SEVERITY_NUMBER_INFO2":
              case 10:
                message.severityNumber = 10;
                break;
              case "SEVERITY_NUMBER_INFO3":
              case 11:
                message.severityNumber = 11;
                break;
              case "SEVERITY_NUMBER_INFO4":
              case 12:
                message.severityNumber = 12;
                break;
              case "SEVERITY_NUMBER_WARN":
              case 13:
                message.severityNumber = 13;
                break;
              case "SEVERITY_NUMBER_WARN2":
              case 14:
                message.severityNumber = 14;
                break;
              case "SEVERITY_NUMBER_WARN3":
              case 15:
                message.severityNumber = 15;
                break;
              case "SEVERITY_NUMBER_WARN4":
              case 16:
                message.severityNumber = 16;
                break;
              case "SEVERITY_NUMBER_ERROR":
              case 17:
                message.severityNumber = 17;
                break;
              case "SEVERITY_NUMBER_ERROR2":
              case 18:
                message.severityNumber = 18;
                break;
              case "SEVERITY_NUMBER_ERROR3":
              case 19:
                message.severityNumber = 19;
                break;
              case "SEVERITY_NUMBER_ERROR4":
              case 20:
                message.severityNumber = 20;
                break;
              case "SEVERITY_NUMBER_FATAL":
              case 21:
                message.severityNumber = 21;
                break;
              case "SEVERITY_NUMBER_FATAL2":
              case 22:
                message.severityNumber = 22;
                break;
              case "SEVERITY_NUMBER_FATAL3":
              case 23:
                message.severityNumber = 23;
                break;
              case "SEVERITY_NUMBER_FATAL4":
              case 24:
                message.severityNumber = 24;
                break;
            }
            if (object.severityText != null)
              message.severityText = String(object.severityText);
            if (object.body != null) {
              if (typeof object.body !== "object")
                throw TypeError(".opentelemetry.proto.logs.v1.LogRecord.body: object expected");
              message.body = $root.opentelemetry.proto.common.v1.AnyValue.fromObject(object.body);
            }
            if (object.attributes) {
              if (!Array.isArray(object.attributes))
                throw TypeError(".opentelemetry.proto.logs.v1.LogRecord.attributes: array expected");
              message.attributes = [];
              for (let i = 0; i < object.attributes.length; ++i) {
                if (typeof object.attributes[i] !== "object")
                  throw TypeError(".opentelemetry.proto.logs.v1.LogRecord.attributes: object expected");
                message.attributes[i] = $root.opentelemetry.proto.common.v1.KeyValue.fromObject(object.attributes[i]);
              }
            }
            if (object.droppedAttributesCount != null)
              message.droppedAttributesCount = object.droppedAttributesCount >>> 0;
            if (object.flags != null)
              message.flags = object.flags >>> 0;
            if (object.traceId != null) {
              if (typeof object.traceId === "string")
                $util.base64.decode(object.traceId, message.traceId = $util.newBuffer($util.base64.length(object.traceId)), 0);
              else if (object.traceId.length >= 0)
                message.traceId = object.traceId;
            }
            if (object.spanId != null) {
              if (typeof object.spanId === "string")
                $util.base64.decode(object.spanId, message.spanId = $util.newBuffer($util.base64.length(object.spanId)), 0);
              else if (object.spanId.length >= 0)
                message.spanId = object.spanId;
            }
            return message;
          };
          LogRecord.toObject = function toObject(message, options) {
            if (!options)
              options = {};
            let object = {};
            if (options.arrays || options.defaults)
              object.attributes = [];
            if (options.defaults) {
              if ($util.Long) {
                let long = new $util.Long(0, 0, false);
                object.timeUnixNano = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
              } else
                object.timeUnixNano = options.longs === String ? "0" : 0;
              object.severityNumber = options.enums === String ? "SEVERITY_NUMBER_UNSPECIFIED" : 0;
              object.severityText = "";
              object.body = null;
              object.droppedAttributesCount = 0;
              object.flags = 0;
              if (options.bytes === String)
                object.traceId = "";
              else {
                object.traceId = [];
                if (options.bytes !== Array)
                  object.traceId = $util.newBuffer(object.traceId);
              }
              if (options.bytes === String)
                object.spanId = "";
              else {
                object.spanId = [];
                if (options.bytes !== Array)
                  object.spanId = $util.newBuffer(object.spanId);
              }
              if ($util.Long) {
                let long = new $util.Long(0, 0, false);
                object.observedTimeUnixNano = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
              } else
                object.observedTimeUnixNano = options.longs === String ? "0" : 0;
            }
            if (message.timeUnixNano != null && message.hasOwnProperty("timeUnixNano"))
              if (typeof message.timeUnixNano === "number")
                object.timeUnixNano = options.longs === String ? String(message.timeUnixNano) : message.timeUnixNano;
              else
                object.timeUnixNano = options.longs === String ? $util.Long.prototype.toString.call(message.timeUnixNano) : options.longs === Number ? new $util.LongBits(message.timeUnixNano.low >>> 0, message.timeUnixNano.high >>> 0).toNumber() : message.timeUnixNano;
            if (message.severityNumber != null && message.hasOwnProperty("severityNumber"))
              object.severityNumber = options.enums === String ? $root.opentelemetry.proto.logs.v1.SeverityNumber[message.severityNumber] === void 0 ? message.severityNumber : $root.opentelemetry.proto.logs.v1.SeverityNumber[message.severityNumber] : message.severityNumber;
            if (message.severityText != null && message.hasOwnProperty("severityText"))
              object.severityText = message.severityText;
            if (message.body != null && message.hasOwnProperty("body"))
              object.body = $root.opentelemetry.proto.common.v1.AnyValue.toObject(message.body, options);
            if (message.attributes && message.attributes.length) {
              object.attributes = [];
              for (let j = 0; j < message.attributes.length; ++j)
                object.attributes[j] = $root.opentelemetry.proto.common.v1.KeyValue.toObject(message.attributes[j], options);
            }
            if (message.droppedAttributesCount != null && message.hasOwnProperty("droppedAttributesCount"))
              object.droppedAttributesCount = message.droppedAttributesCount;
            if (message.flags != null && message.hasOwnProperty("flags"))
              object.flags = message.flags;
            if (message.traceId != null && message.hasOwnProperty("traceId"))
              object.traceId = options.bytes === String ? $util.base64.encode(message.traceId, 0, message.traceId.length) : options.bytes === Array ? Array.prototype.slice.call(message.traceId) : message.traceId;
            if (message.spanId != null && message.hasOwnProperty("spanId"))
              object.spanId = options.bytes === String ? $util.base64.encode(message.spanId, 0, message.spanId.length) : options.bytes === Array ? Array.prototype.slice.call(message.spanId) : message.spanId;
            if (message.observedTimeUnixNano != null && message.hasOwnProperty("observedTimeUnixNano"))
              if (typeof message.observedTimeUnixNano === "number")
                object.observedTimeUnixNano = options.longs === String ? String(message.observedTimeUnixNano) : message.observedTimeUnixNano;
              else
                object.observedTimeUnixNano = options.longs === String ? $util.Long.prototype.toString.call(message.observedTimeUnixNano) : options.longs === Number ? new $util.LongBits(message.observedTimeUnixNano.low >>> 0, message.observedTimeUnixNano.high >>> 0).toNumber() : message.observedTimeUnixNano;
            return object;
          };
          LogRecord.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
          };
          LogRecord.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
            if (typeUrlPrefix === void 0) {
              typeUrlPrefix = "type.googleapis.com";
            }
            return typeUrlPrefix + "/opentelemetry.proto.logs.v1.LogRecord";
          };
          return LogRecord;
        }();
        return v1;
      }();
      return logs;
    }();
    proto.collector = function() {
      const collector = {};
      collector.logs = function() {
        const logs = {};
        logs.v1 = function() {
          const v1 = {};
          v1.LogsService = function() {
            function LogsService(rpcImpl, requestDelimited, responseDelimited) {
              $protobuf.rpc.Service.call(this, rpcImpl, requestDelimited, responseDelimited);
            }
            (LogsService.prototype = Object.create($protobuf.rpc.Service.prototype)).constructor = LogsService;
            LogsService.create = function create(rpcImpl, requestDelimited, responseDelimited) {
              return new this(rpcImpl, requestDelimited, responseDelimited);
            };
            Object.defineProperty(LogsService.prototype["export"] = function export_(request, callback) {
              return this.rpcCall(export_, $root.opentelemetry.proto.collector.logs.v1.ExportLogsServiceRequest, $root.opentelemetry.proto.collector.logs.v1.ExportLogsServiceResponse, request, callback);
            }, "name", { value: "Export" });
            return LogsService;
          }();
          v1.ExportLogsServiceRequest = function() {
            function ExportLogsServiceRequest(properties) {
              this.resourceLogs = [];
              if (properties) {
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                  if (properties[keys[i]] != null)
                    this[keys[i]] = properties[keys[i]];
              }
            }
            ExportLogsServiceRequest.prototype.resourceLogs = $util.emptyArray;
            ExportLogsServiceRequest.create = function create(properties) {
              return new ExportLogsServiceRequest(properties);
            };
            ExportLogsServiceRequest.encode = function encode(message, writer) {
              if (!writer)
                writer = $Writer.create();
              if (message.resourceLogs != null && message.resourceLogs.length)
                for (let i = 0; i < message.resourceLogs.length; ++i)
                  $root.opentelemetry.proto.logs.v1.ResourceLogs.encode(message.resourceLogs[i], writer.uint32(
                    /* id 1, wireType 2 =*/
                    10
                  ).fork()).ldelim();
              return writer;
            };
            ExportLogsServiceRequest.encodeDelimited = function encodeDelimited(message, writer) {
              return this.encode(message, writer).ldelim();
            };
            ExportLogsServiceRequest.decode = function decode(reader, length) {
              if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
              let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.collector.logs.v1.ExportLogsServiceRequest();
              while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                  case 1: {
                    if (!(message.resourceLogs && message.resourceLogs.length))
                      message.resourceLogs = [];
                    message.resourceLogs.push($root.opentelemetry.proto.logs.v1.ResourceLogs.decode(reader, reader.uint32()));
                    break;
                  }
                  default:
                    reader.skipType(tag & 7);
                    break;
                }
              }
              return message;
            };
            ExportLogsServiceRequest.decodeDelimited = function decodeDelimited(reader) {
              if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
              return this.decode(reader, reader.uint32());
            };
            ExportLogsServiceRequest.verify = function verify(message) {
              if (typeof message !== "object" || message === null)
                return "object expected";
              if (message.resourceLogs != null && message.hasOwnProperty("resourceLogs")) {
                if (!Array.isArray(message.resourceLogs))
                  return "resourceLogs: array expected";
                for (let i = 0; i < message.resourceLogs.length; ++i) {
                  let error = $root.opentelemetry.proto.logs.v1.ResourceLogs.verify(message.resourceLogs[i]);
                  if (error)
                    return "resourceLogs." + error;
                }
              }
              return null;
            };
            ExportLogsServiceRequest.fromObject = function fromObject(object) {
              if (object instanceof $root.opentelemetry.proto.collector.logs.v1.ExportLogsServiceRequest)
                return object;
              let message = new $root.opentelemetry.proto.collector.logs.v1.ExportLogsServiceRequest();
              if (object.resourceLogs) {
                if (!Array.isArray(object.resourceLogs))
                  throw TypeError(".opentelemetry.proto.collector.logs.v1.ExportLogsServiceRequest.resourceLogs: array expected");
                message.resourceLogs = [];
                for (let i = 0; i < object.resourceLogs.length; ++i) {
                  if (typeof object.resourceLogs[i] !== "object")
                    throw TypeError(".opentelemetry.proto.collector.logs.v1.ExportLogsServiceRequest.resourceLogs: object expected");
                  message.resourceLogs[i] = $root.opentelemetry.proto.logs.v1.ResourceLogs.fromObject(object.resourceLogs[i]);
                }
              }
              return message;
            };
            ExportLogsServiceRequest.toObject = function toObject(message, options) {
              if (!options)
                options = {};
              let object = {};
              if (options.arrays || options.defaults)
                object.resourceLogs = [];
              if (message.resourceLogs && message.resourceLogs.length) {
                object.resourceLogs = [];
                for (let j = 0; j < message.resourceLogs.length; ++j)
                  object.resourceLogs[j] = $root.opentelemetry.proto.logs.v1.ResourceLogs.toObject(message.resourceLogs[j], options);
              }
              return object;
            };
            ExportLogsServiceRequest.prototype.toJSON = function toJSON() {
              return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
            };
            ExportLogsServiceRequest.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
              if (typeUrlPrefix === void 0) {
                typeUrlPrefix = "type.googleapis.com";
              }
              return typeUrlPrefix + "/opentelemetry.proto.collector.logs.v1.ExportLogsServiceRequest";
            };
            return ExportLogsServiceRequest;
          }();
          v1.ExportLogsServiceResponse = function() {
            function ExportLogsServiceResponse(properties) {
              if (properties) {
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                  if (properties[keys[i]] != null)
                    this[keys[i]] = properties[keys[i]];
              }
            }
            ExportLogsServiceResponse.prototype.partialSuccess = null;
            ExportLogsServiceResponse.create = function create(properties) {
              return new ExportLogsServiceResponse(properties);
            };
            ExportLogsServiceResponse.encode = function encode(message, writer) {
              if (!writer)
                writer = $Writer.create();
              if (message.partialSuccess != null && Object.hasOwnProperty.call(message, "partialSuccess"))
                $root.opentelemetry.proto.collector.logs.v1.ExportLogsPartialSuccess.encode(message.partialSuccess, writer.uint32(
                  /* id 1, wireType 2 =*/
                  10
                ).fork()).ldelim();
              return writer;
            };
            ExportLogsServiceResponse.encodeDelimited = function encodeDelimited(message, writer) {
              return this.encode(message, writer).ldelim();
            };
            ExportLogsServiceResponse.decode = function decode(reader, length) {
              if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
              let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.collector.logs.v1.ExportLogsServiceResponse();
              while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                  case 1: {
                    message.partialSuccess = $root.opentelemetry.proto.collector.logs.v1.ExportLogsPartialSuccess.decode(reader, reader.uint32());
                    break;
                  }
                  default:
                    reader.skipType(tag & 7);
                    break;
                }
              }
              return message;
            };
            ExportLogsServiceResponse.decodeDelimited = function decodeDelimited(reader) {
              if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
              return this.decode(reader, reader.uint32());
            };
            ExportLogsServiceResponse.verify = function verify(message) {
              if (typeof message !== "object" || message === null)
                return "object expected";
              if (message.partialSuccess != null && message.hasOwnProperty("partialSuccess")) {
                let error = $root.opentelemetry.proto.collector.logs.v1.ExportLogsPartialSuccess.verify(message.partialSuccess);
                if (error)
                  return "partialSuccess." + error;
              }
              return null;
            };
            ExportLogsServiceResponse.fromObject = function fromObject(object) {
              if (object instanceof $root.opentelemetry.proto.collector.logs.v1.ExportLogsServiceResponse)
                return object;
              let message = new $root.opentelemetry.proto.collector.logs.v1.ExportLogsServiceResponse();
              if (object.partialSuccess != null) {
                if (typeof object.partialSuccess !== "object")
                  throw TypeError(".opentelemetry.proto.collector.logs.v1.ExportLogsServiceResponse.partialSuccess: object expected");
                message.partialSuccess = $root.opentelemetry.proto.collector.logs.v1.ExportLogsPartialSuccess.fromObject(object.partialSuccess);
              }
              return message;
            };
            ExportLogsServiceResponse.toObject = function toObject(message, options) {
              if (!options)
                options = {};
              let object = {};
              if (options.defaults)
                object.partialSuccess = null;
              if (message.partialSuccess != null && message.hasOwnProperty("partialSuccess"))
                object.partialSuccess = $root.opentelemetry.proto.collector.logs.v1.ExportLogsPartialSuccess.toObject(message.partialSuccess, options);
              return object;
            };
            ExportLogsServiceResponse.prototype.toJSON = function toJSON() {
              return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
            };
            ExportLogsServiceResponse.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
              if (typeUrlPrefix === void 0) {
                typeUrlPrefix = "type.googleapis.com";
              }
              return typeUrlPrefix + "/opentelemetry.proto.collector.logs.v1.ExportLogsServiceResponse";
            };
            return ExportLogsServiceResponse;
          }();
          v1.ExportLogsPartialSuccess = function() {
            function ExportLogsPartialSuccess(properties) {
              if (properties) {
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                  if (properties[keys[i]] != null)
                    this[keys[i]] = properties[keys[i]];
              }
            }
            ExportLogsPartialSuccess.prototype.rejectedLogRecords = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
            ExportLogsPartialSuccess.prototype.errorMessage = "";
            ExportLogsPartialSuccess.create = function create(properties) {
              return new ExportLogsPartialSuccess(properties);
            };
            ExportLogsPartialSuccess.encode = function encode(message, writer) {
              if (!writer)
                writer = $Writer.create();
              if (message.rejectedLogRecords != null && Object.hasOwnProperty.call(message, "rejectedLogRecords"))
                writer.uint32(
                  /* id 1, wireType 0 =*/
                  8
                ).int64(message.rejectedLogRecords);
              if (message.errorMessage != null && Object.hasOwnProperty.call(message, "errorMessage"))
                writer.uint32(
                  /* id 2, wireType 2 =*/
                  18
                ).string(message.errorMessage);
              return writer;
            };
            ExportLogsPartialSuccess.encodeDelimited = function encodeDelimited(message, writer) {
              return this.encode(message, writer).ldelim();
            };
            ExportLogsPartialSuccess.decode = function decode(reader, length) {
              if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
              let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.collector.logs.v1.ExportLogsPartialSuccess();
              while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                  case 1: {
                    message.rejectedLogRecords = reader.int64();
                    break;
                  }
                  case 2: {
                    message.errorMessage = reader.string();
                    break;
                  }
                  default:
                    reader.skipType(tag & 7);
                    break;
                }
              }
              return message;
            };
            ExportLogsPartialSuccess.decodeDelimited = function decodeDelimited(reader) {
              if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
              return this.decode(reader, reader.uint32());
            };
            ExportLogsPartialSuccess.verify = function verify(message) {
              if (typeof message !== "object" || message === null)
                return "object expected";
              if (message.rejectedLogRecords != null && message.hasOwnProperty("rejectedLogRecords")) {
                if (!$util.isInteger(message.rejectedLogRecords) && !(message.rejectedLogRecords && $util.isInteger(message.rejectedLogRecords.low) && $util.isInteger(message.rejectedLogRecords.high)))
                  return "rejectedLogRecords: integer|Long expected";
              }
              if (message.errorMessage != null && message.hasOwnProperty("errorMessage")) {
                if (!$util.isString(message.errorMessage))
                  return "errorMessage: string expected";
              }
              return null;
            };
            ExportLogsPartialSuccess.fromObject = function fromObject(object) {
              if (object instanceof $root.opentelemetry.proto.collector.logs.v1.ExportLogsPartialSuccess)
                return object;
              let message = new $root.opentelemetry.proto.collector.logs.v1.ExportLogsPartialSuccess();
              if (object.rejectedLogRecords != null) {
                if ($util.Long)
                  (message.rejectedLogRecords = $util.Long.fromValue(object.rejectedLogRecords)).unsigned = false;
                else if (typeof object.rejectedLogRecords === "string")
                  message.rejectedLogRecords = parseInt(object.rejectedLogRecords, 10);
                else if (typeof object.rejectedLogRecords === "number")
                  message.rejectedLogRecords = object.rejectedLogRecords;
                else if (typeof object.rejectedLogRecords === "object")
                  message.rejectedLogRecords = new $util.LongBits(object.rejectedLogRecords.low >>> 0, object.rejectedLogRecords.high >>> 0).toNumber();
              }
              if (object.errorMessage != null)
                message.errorMessage = String(object.errorMessage);
              return message;
            };
            ExportLogsPartialSuccess.toObject = function toObject(message, options) {
              if (!options)
                options = {};
              let object = {};
              if (options.defaults) {
                if ($util.Long) {
                  let long = new $util.Long(0, 0, false);
                  object.rejectedLogRecords = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                } else
                  object.rejectedLogRecords = options.longs === String ? "0" : 0;
                object.errorMessage = "";
              }
              if (message.rejectedLogRecords != null && message.hasOwnProperty("rejectedLogRecords"))
                if (typeof message.rejectedLogRecords === "number")
                  object.rejectedLogRecords = options.longs === String ? String(message.rejectedLogRecords) : message.rejectedLogRecords;
                else
                  object.rejectedLogRecords = options.longs === String ? $util.Long.prototype.toString.call(message.rejectedLogRecords) : options.longs === Number ? new $util.LongBits(message.rejectedLogRecords.low >>> 0, message.rejectedLogRecords.high >>> 0).toNumber() : message.rejectedLogRecords;
              if (message.errorMessage != null && message.hasOwnProperty("errorMessage"))
                object.errorMessage = message.errorMessage;
              return object;
            };
            ExportLogsPartialSuccess.prototype.toJSON = function toJSON() {
              return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
            };
            ExportLogsPartialSuccess.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
              if (typeUrlPrefix === void 0) {
                typeUrlPrefix = "type.googleapis.com";
              }
              return typeUrlPrefix + "/opentelemetry.proto.collector.logs.v1.ExportLogsPartialSuccess";
            };
            return ExportLogsPartialSuccess;
          }();
          return v1;
        }();
        return logs;
      }();
      collector.trace = function() {
        const trace = {};
        trace.v1 = function() {
          const v1 = {};
          v1.TraceService = function() {
            function TraceService(rpcImpl, requestDelimited, responseDelimited) {
              $protobuf.rpc.Service.call(this, rpcImpl, requestDelimited, responseDelimited);
            }
            (TraceService.prototype = Object.create($protobuf.rpc.Service.prototype)).constructor = TraceService;
            TraceService.create = function create(rpcImpl, requestDelimited, responseDelimited) {
              return new this(rpcImpl, requestDelimited, responseDelimited);
            };
            Object.defineProperty(TraceService.prototype["export"] = function export_(request, callback) {
              return this.rpcCall(export_, $root.opentelemetry.proto.collector.trace.v1.ExportTraceServiceRequest, $root.opentelemetry.proto.collector.trace.v1.ExportTraceServiceResponse, request, callback);
            }, "name", { value: "Export" });
            return TraceService;
          }();
          v1.ExportTraceServiceRequest = function() {
            function ExportTraceServiceRequest(properties) {
              this.resourceSpans = [];
              if (properties) {
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                  if (properties[keys[i]] != null)
                    this[keys[i]] = properties[keys[i]];
              }
            }
            ExportTraceServiceRequest.prototype.resourceSpans = $util.emptyArray;
            ExportTraceServiceRequest.create = function create(properties) {
              return new ExportTraceServiceRequest(properties);
            };
            ExportTraceServiceRequest.encode = function encode(message, writer) {
              if (!writer)
                writer = $Writer.create();
              if (message.resourceSpans != null && message.resourceSpans.length)
                for (let i = 0; i < message.resourceSpans.length; ++i)
                  $root.opentelemetry.proto.trace.v1.ResourceSpans.encode(message.resourceSpans[i], writer.uint32(
                    /* id 1, wireType 2 =*/
                    10
                  ).fork()).ldelim();
              return writer;
            };
            ExportTraceServiceRequest.encodeDelimited = function encodeDelimited(message, writer) {
              return this.encode(message, writer).ldelim();
            };
            ExportTraceServiceRequest.decode = function decode(reader, length) {
              if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
              let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.collector.trace.v1.ExportTraceServiceRequest();
              while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                  case 1: {
                    if (!(message.resourceSpans && message.resourceSpans.length))
                      message.resourceSpans = [];
                    message.resourceSpans.push($root.opentelemetry.proto.trace.v1.ResourceSpans.decode(reader, reader.uint32()));
                    break;
                  }
                  default:
                    reader.skipType(tag & 7);
                    break;
                }
              }
              return message;
            };
            ExportTraceServiceRequest.decodeDelimited = function decodeDelimited(reader) {
              if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
              return this.decode(reader, reader.uint32());
            };
            ExportTraceServiceRequest.verify = function verify(message) {
              if (typeof message !== "object" || message === null)
                return "object expected";
              if (message.resourceSpans != null && message.hasOwnProperty("resourceSpans")) {
                if (!Array.isArray(message.resourceSpans))
                  return "resourceSpans: array expected";
                for (let i = 0; i < message.resourceSpans.length; ++i) {
                  let error = $root.opentelemetry.proto.trace.v1.ResourceSpans.verify(message.resourceSpans[i]);
                  if (error)
                    return "resourceSpans." + error;
                }
              }
              return null;
            };
            ExportTraceServiceRequest.fromObject = function fromObject(object) {
              if (object instanceof $root.opentelemetry.proto.collector.trace.v1.ExportTraceServiceRequest)
                return object;
              let message = new $root.opentelemetry.proto.collector.trace.v1.ExportTraceServiceRequest();
              if (object.resourceSpans) {
                if (!Array.isArray(object.resourceSpans))
                  throw TypeError(".opentelemetry.proto.collector.trace.v1.ExportTraceServiceRequest.resourceSpans: array expected");
                message.resourceSpans = [];
                for (let i = 0; i < object.resourceSpans.length; ++i) {
                  if (typeof object.resourceSpans[i] !== "object")
                    throw TypeError(".opentelemetry.proto.collector.trace.v1.ExportTraceServiceRequest.resourceSpans: object expected");
                  message.resourceSpans[i] = $root.opentelemetry.proto.trace.v1.ResourceSpans.fromObject(object.resourceSpans[i]);
                }
              }
              return message;
            };
            ExportTraceServiceRequest.toObject = function toObject(message, options) {
              if (!options)
                options = {};
              let object = {};
              if (options.arrays || options.defaults)
                object.resourceSpans = [];
              if (message.resourceSpans && message.resourceSpans.length) {
                object.resourceSpans = [];
                for (let j = 0; j < message.resourceSpans.length; ++j)
                  object.resourceSpans[j] = $root.opentelemetry.proto.trace.v1.ResourceSpans.toObject(message.resourceSpans[j], options);
              }
              return object;
            };
            ExportTraceServiceRequest.prototype.toJSON = function toJSON() {
              return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
            };
            ExportTraceServiceRequest.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
              if (typeUrlPrefix === void 0) {
                typeUrlPrefix = "type.googleapis.com";
              }
              return typeUrlPrefix + "/opentelemetry.proto.collector.trace.v1.ExportTraceServiceRequest";
            };
            return ExportTraceServiceRequest;
          }();
          v1.ExportTraceServiceResponse = function() {
            function ExportTraceServiceResponse(properties) {
              if (properties) {
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                  if (properties[keys[i]] != null)
                    this[keys[i]] = properties[keys[i]];
              }
            }
            ExportTraceServiceResponse.prototype.partialSuccess = null;
            ExportTraceServiceResponse.create = function create(properties) {
              return new ExportTraceServiceResponse(properties);
            };
            ExportTraceServiceResponse.encode = function encode(message, writer) {
              if (!writer)
                writer = $Writer.create();
              if (message.partialSuccess != null && Object.hasOwnProperty.call(message, "partialSuccess"))
                $root.opentelemetry.proto.collector.trace.v1.ExportTracePartialSuccess.encode(message.partialSuccess, writer.uint32(
                  /* id 1, wireType 2 =*/
                  10
                ).fork()).ldelim();
              return writer;
            };
            ExportTraceServiceResponse.encodeDelimited = function encodeDelimited(message, writer) {
              return this.encode(message, writer).ldelim();
            };
            ExportTraceServiceResponse.decode = function decode(reader, length) {
              if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
              let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.collector.trace.v1.ExportTraceServiceResponse();
              while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                  case 1: {
                    message.partialSuccess = $root.opentelemetry.proto.collector.trace.v1.ExportTracePartialSuccess.decode(reader, reader.uint32());
                    break;
                  }
                  default:
                    reader.skipType(tag & 7);
                    break;
                }
              }
              return message;
            };
            ExportTraceServiceResponse.decodeDelimited = function decodeDelimited(reader) {
              if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
              return this.decode(reader, reader.uint32());
            };
            ExportTraceServiceResponse.verify = function verify(message) {
              if (typeof message !== "object" || message === null)
                return "object expected";
              if (message.partialSuccess != null && message.hasOwnProperty("partialSuccess")) {
                let error = $root.opentelemetry.proto.collector.trace.v1.ExportTracePartialSuccess.verify(message.partialSuccess);
                if (error)
                  return "partialSuccess." + error;
              }
              return null;
            };
            ExportTraceServiceResponse.fromObject = function fromObject(object) {
              if (object instanceof $root.opentelemetry.proto.collector.trace.v1.ExportTraceServiceResponse)
                return object;
              let message = new $root.opentelemetry.proto.collector.trace.v1.ExportTraceServiceResponse();
              if (object.partialSuccess != null) {
                if (typeof object.partialSuccess !== "object")
                  throw TypeError(".opentelemetry.proto.collector.trace.v1.ExportTraceServiceResponse.partialSuccess: object expected");
                message.partialSuccess = $root.opentelemetry.proto.collector.trace.v1.ExportTracePartialSuccess.fromObject(object.partialSuccess);
              }
              return message;
            };
            ExportTraceServiceResponse.toObject = function toObject(message, options) {
              if (!options)
                options = {};
              let object = {};
              if (options.defaults)
                object.partialSuccess = null;
              if (message.partialSuccess != null && message.hasOwnProperty("partialSuccess"))
                object.partialSuccess = $root.opentelemetry.proto.collector.trace.v1.ExportTracePartialSuccess.toObject(message.partialSuccess, options);
              return object;
            };
            ExportTraceServiceResponse.prototype.toJSON = function toJSON() {
              return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
            };
            ExportTraceServiceResponse.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
              if (typeUrlPrefix === void 0) {
                typeUrlPrefix = "type.googleapis.com";
              }
              return typeUrlPrefix + "/opentelemetry.proto.collector.trace.v1.ExportTraceServiceResponse";
            };
            return ExportTraceServiceResponse;
          }();
          v1.ExportTracePartialSuccess = function() {
            function ExportTracePartialSuccess(properties) {
              if (properties) {
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                  if (properties[keys[i]] != null)
                    this[keys[i]] = properties[keys[i]];
              }
            }
            ExportTracePartialSuccess.prototype.rejectedSpans = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
            ExportTracePartialSuccess.prototype.errorMessage = "";
            ExportTracePartialSuccess.create = function create(properties) {
              return new ExportTracePartialSuccess(properties);
            };
            ExportTracePartialSuccess.encode = function encode(message, writer) {
              if (!writer)
                writer = $Writer.create();
              if (message.rejectedSpans != null && Object.hasOwnProperty.call(message, "rejectedSpans"))
                writer.uint32(
                  /* id 1, wireType 0 =*/
                  8
                ).int64(message.rejectedSpans);
              if (message.errorMessage != null && Object.hasOwnProperty.call(message, "errorMessage"))
                writer.uint32(
                  /* id 2, wireType 2 =*/
                  18
                ).string(message.errorMessage);
              return writer;
            };
            ExportTracePartialSuccess.encodeDelimited = function encodeDelimited(message, writer) {
              return this.encode(message, writer).ldelim();
            };
            ExportTracePartialSuccess.decode = function decode(reader, length) {
              if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
              let end = length === void 0 ? reader.len : reader.pos + length, message = new $root.opentelemetry.proto.collector.trace.v1.ExportTracePartialSuccess();
              while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                  case 1: {
                    message.rejectedSpans = reader.int64();
                    break;
                  }
                  case 2: {
                    message.errorMessage = reader.string();
                    break;
                  }
                  default:
                    reader.skipType(tag & 7);
                    break;
                }
              }
              return message;
            };
            ExportTracePartialSuccess.decodeDelimited = function decodeDelimited(reader) {
              if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
              return this.decode(reader, reader.uint32());
            };
            ExportTracePartialSuccess.verify = function verify(message) {
              if (typeof message !== "object" || message === null)
                return "object expected";
              if (message.rejectedSpans != null && message.hasOwnProperty("rejectedSpans")) {
                if (!$util.isInteger(message.rejectedSpans) && !(message.rejectedSpans && $util.isInteger(message.rejectedSpans.low) && $util.isInteger(message.rejectedSpans.high)))
                  return "rejectedSpans: integer|Long expected";
              }
              if (message.errorMessage != null && message.hasOwnProperty("errorMessage")) {
                if (!$util.isString(message.errorMessage))
                  return "errorMessage: string expected";
              }
              return null;
            };
            ExportTracePartialSuccess.fromObject = function fromObject(object) {
              if (object instanceof $root.opentelemetry.proto.collector.trace.v1.ExportTracePartialSuccess)
                return object;
              let message = new $root.opentelemetry.proto.collector.trace.v1.ExportTracePartialSuccess();
              if (object.rejectedSpans != null) {
                if ($util.Long)
                  (message.rejectedSpans = $util.Long.fromValue(object.rejectedSpans)).unsigned = false;
                else if (typeof object.rejectedSpans === "string")
                  message.rejectedSpans = parseInt(object.rejectedSpans, 10);
                else if (typeof object.rejectedSpans === "number")
                  message.rejectedSpans = object.rejectedSpans;
                else if (typeof object.rejectedSpans === "object")
                  message.rejectedSpans = new $util.LongBits(object.rejectedSpans.low >>> 0, object.rejectedSpans.high >>> 0).toNumber();
              }
              if (object.errorMessage != null)
                message.errorMessage = String(object.errorMessage);
              return message;
            };
            ExportTracePartialSuccess.toObject = function toObject(message, options) {
              if (!options)
                options = {};
              let object = {};
              if (options.defaults) {
                if ($util.Long) {
                  let long = new $util.Long(0, 0, false);
                  object.rejectedSpans = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                } else
                  object.rejectedSpans = options.longs === String ? "0" : 0;
                object.errorMessage = "";
              }
              if (message.rejectedSpans != null && message.hasOwnProperty("rejectedSpans"))
                if (typeof message.rejectedSpans === "number")
                  object.rejectedSpans = options.longs === String ? String(message.rejectedSpans) : message.rejectedSpans;
                else
                  object.rejectedSpans = options.longs === String ? $util.Long.prototype.toString.call(message.rejectedSpans) : options.longs === Number ? new $util.LongBits(message.rejectedSpans.low >>> 0, message.rejectedSpans.high >>> 0).toNumber() : message.rejectedSpans;
              if (message.errorMessage != null && message.hasOwnProperty("errorMessage"))
                object.errorMessage = message.errorMessage;
              return object;
            };
            ExportTracePartialSuccess.prototype.toJSON = function toJSON() {
              return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
            };
            ExportTracePartialSuccess.getTypeUrl = function getTypeUrl(typeUrlPrefix) {
              if (typeUrlPrefix === void 0) {
                typeUrlPrefix = "type.googleapis.com";
              }
              return typeUrlPrefix + "/opentelemetry.proto.collector.trace.v1.ExportTracePartialSuccess";
            };
            return ExportTracePartialSuccess;
          }();
          return v1;
        }();
        return trace;
      }();
      return collector;
    }();
    return proto;
  }();
  return opentelemetry2;
})();

export {
  opentelemetry
};
/*! Bundled license information:

long/umd/index.js:
  (**
   * @license
   * Copyright 2009 The Closure Library Authors
   * Copyright 2020 Daniel Wirtz / The long.js Authors.
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   *
   * SPDX-License-Identifier: Apache-2.0
   *)
*/
